0.278 2025-06-30
----------------


MAME Testers bugs fixed
-----------------------
- 00185: [Graphics] (konami/combatsc.cpp) combatsc, combatscj, combatsct: Player names disappear during gameplay. (Jim Westfall)
- 00401: [Graphics] (konami/contra.cpp) contra: Continue screen sprites appear after they should be cleared. (Jim Westfall)
- 00402: [Flip Screen/Cocktail] (konami/contra.cpp) All sets in contra.cpp: Graphics are misplaced when screen is flipped. (hap)
- 01878: [Flip Screen/Cocktail] (konami/labyrunr.cpp) All sets in labyrunr.cpp: Graphics are misplaced when screen is flipped. (hap)
- 02131: [Graphics] (igs/igs011.cpp) lhb2: Animation is missing when winning by drawing a tile (zimo/tsumo). (Vas Crabb)
- 02152: [Graphics] (igs/igs011.cpp) dbc, lhb, lhbv33c, xymg, wlcc: Text drawn from program ROM is not visible. (Vas Crabb)
- 02185: [Graphics] (igs/igs011.cpp) xymg, wlcc: The odds screen banner is not erased correctly in attract mode. (Vas Crabb)
- 03591: [Color/Palette] (konami/contra.cpp) contra and clones: The background colour is incorrect during power-on checks. (hap)
- 05678: [DIP/Input] (igs/igs011.cpp) dbc, lhbv33c, ryukobou: Coins are not recognised. (Vas Crabb)
- 05726: [Gameplay] (konami/mainevt.cpp) devstors and clones: Collisions and enemy behaviour are incorrect. (hap)
- 06340: [DIP/Input] mz80b, mz2000, mz2500: Rear panel reset switches are not emulated. (Angelo Salese)
- 08439: [Flip Screen/Cocktail] (konami/fastlane.cpp) fastlane: Graphics are misplaced when screen is flipped. (hap)
- 08790: [Misc.] (sega/model3.cpp) lostwsga: The memory test considers most of the program ROMs to be bad. (Angelo Salese)
- 08947: [Known Issues/To-Do's] (sega/stv.cpp) colmns97: No warnings are displayed for major emulation issues. (Angelo Salese)
- 08993: [Graphics] (igs/igs011.cpp) lhb, lhb2, lhb3, tygn, xymg: Service mode text drawn from program ROM is invisible. (Vas Crabb)
- 09031: [Crash/Freeze] (igs/pgm.cpp) kovsh and clones: The emulated game displays an error message and crashes. (hap)
- 09089: [Crash/Freeze] (dataeast/dec8.cpp) gondou: Certain attacks and boss fights may cause an emulator fatal error. (hap)
- 09099: [Crash/Freeze] (misc/spool99.cpp) spool99, spool99a, spool99b, spool99c: Power-on RAM test always fails. (Angelo Salese)
- 09160: [Crash/Freeze] (namco/namcos23.cpp) finfurl: The emulator crashes during attract mode. (Vas Crabb)
- 09174: [Core] CPU Hitachi HD6309: Timing is incorrect for relative branches in HD6309 native mode. (Peer)
- 09175: [Graphics] (misc/cardline.cpp) cardline: The screen image incorrectly wraps vertically near the bottom. (Angelo Salese)
- 09176: [Graphics] (amiga/arsystems.cpp) ar_ldrb, ar_ldrba, ar_ldrbb: Graphics are displayed incorrectly. (Angelo Salese)
- 09177: [DIP/Input] (exidy/exidy.cpp) venture: Default one coin per credit DIP switch setting doesn’t match the manual. (Vas Crabb)
- 09185: [Documentation] (taito/taitotz.cpp) pwrshovla: The hard disk image is corrupt. (Necosada)
- 09188: [Gameplay] (konami/konamigs.cpp) musclhit: The games fail to boot. (smf)


New working systems
-------------------
Block Fever [Dillweed, smf]
Conny / VideoJet Oui-Oui - Pocket Dream Console (VideoJet, France) [David Haywood, Sean Riddle, TeamEurope]
Conny / VideoJet PDC30 - Pocket Dream Console (Pink version) (VideoJet, France) [David Haywood, Sean Riddle, TeamEurope]
Control Universal EuroCUBE-09 [Nigel Barnes]
Control Universal EuroCUBE-65 [Nigel Barnes]
Elektronika Uchitel' arifmetiki (prototype?) [Milan Galcik, Igor Nys]
Elektronika Vesolaya arifmetika [Milan Galcik, Igor Nys]
Excalibur Electronics Carl Edwards 99 [David Haywood, Sean Riddle, TeamEurope]
Hasbro / Milton Bradley / Atari Backyard Baseball & Soccer [David Haywood, Sean Riddle, TeamEurope]
Hasbro / Milton Bradley My Little Pony - Grand Puzzleventure [David Haywood, Sean Riddle, TeamEurope]
Hasbro / Milton Bradley Whac-A-Mole (TV Game) [David Haywood, Sean Riddle, TeamEurope]
Hasbro Littlest Pet Shop [David Haywood, Sean Riddle, TeamEurope]
JAKKS Pacific Inc / 1st Playable Productions Go Diego Go! (JAKKS Pacific TV Game) [David Haywood, Sean Riddle, TeamEurope]
JAKKS Pacific Inc / 5000ft, Inc Jeopardy! (JAKKS Pacific TV Game) [David Haywood, Sean Riddle, TeamEurope]
JAKKS Pacific Inc / Amaze Entertainment X-Men - Mutant Reign (JAKKS Pacific TV Game) [David Haywood, Sean Riddle, TeamEurope]
JAKKS Pacific Inc / Handheld Games Are You Smarter than a 5th Grader? (JAKKS Pacific TV Game)
  [David Haywood, Sean Riddle, TeamEurope]
JAKKS Pacific Inc / Handheld Games The Cheetah Girls - Passport to Fame (JAKKS Pacific TV Game) (Aug 1 2007 10:32:50)
  [David Haywood, Sean Riddle, TeamEurope]
JAKKS Pacific Inc / Handheld Games Cinderella - Once Upon a Midnight (JAKKS Pacific TV Game) (Aug 29 2007 11:15:55)
  [David Haywood, Sean Riddle, TeamEurope]
JAKKS Pacific Inc / Handheld Games Disney Princess Magical Adventures (JAKKS Pacific TV Game)
  [David Haywood, Sean Riddle, TeamEurope]
JAKKS Pacific Inc / Handheld Games Dora the Explorer - Dora's World Adventure! (JAKKS Pacific TV Game)
  [David Haywood, Sean Riddle, TeamEurope]
JAKKS Pacific Inc / Handheld Games Dreamworks Shrek / Over The Hedge (JAKKS Pacific TV Game)
  [David Haywood, Sean Riddle, TeamEurope]
JAKKS Pacific Inc / Handheld Games High School Musical (JAKKS Pacific TV Game) (Dec 19 2007 17:08:20)
  [David Haywood, Sean Riddle, TeamEurope]
JAKKS Pacific Inc / Handheld Games Marvel Heroes: Ultimate Action (JAKKS Pacific TV Game) [David Haywood, Sean Riddle, TeamEurope]
JAKKS Pacific Inc / Handheld Games Nicktoons - Summer Camp (JAKKS Pacific TV Game) [David Haywood, Sean Riddle, TeamEurope]
JAKKS Pacific Inc / HotGen Ltd The Amazing Spider-Man in Villain Round-Up (JAKKS Pacific TV Game) (24 Apr 2006 A)
  [David Haywood, Sean Riddle, TeamEurope]
JAKKS Pacific Inc / HotGen Ltd Avatar: The Last Airbender - Book One Challenges (JAKKS Pacific TV Game) (06 Jun 2006 A)
  [David Haywood, Sean Riddle, TeamEurope]
JAKKS Pacific Inc / HotGen Ltd Hannah Montana - Best of Both Worlds (JAKKS Pacific TV Game) (Aug 17 2007 22:47:47)
  [David Haywood, Sean Riddle, TeamEurope]
JAKKS Pacific Inc / HotGen Ltd Hannah Montana - One in a Million (JAKKS Pacific TV Game) (Aug 13 2007 15:42:29)
  [David Haywood, Sean Riddle, TeamEurope]
JAKKS Pacific Inc / HotGen Ltd Sesame Street Beat (JAKKS Pacific TV Game) (Aug 23 2006 19:12:03, PAL/UK)
  [David Haywood, Sean Riddle, TeamEurope]
JAKKS Pacific Inc / HotGen Ltd Sleeping Beauty - Tales of Enchantment (JAKKS Pacific TV Game) (Sep 17 2007 14:45:02)
  [David Haywood, Sean Riddle, TeamEurope]
JAKKS Pacific Inc / HotGen Ltd Wheel of Fortune - 2nd Edition (JAKKS Pacific TV Game) (Mar 15 2007 PAK2)
  [David Haywood, Sean Riddle, TeamEurope]
JAKKS Pacific Inc / Namco / HotGen Ltd Arcade Gold featuring Pac-Man (20 APR 2007 A SKU O) [David Haywood, Sean Riddle, TeamEurope]
JAKKS Pacific Inc / Namco / HotGen Ltd Retro Arcade featuring Pac-Man (20 AUG 2008 A SKU N) [David Haywood, Sean Riddle, TeamEurope]
JAKKS Pacific Inc / Namco / HotGen Ltd Super Pac-Man Collection (26 JAN 2006 A SKU L) [David Haywood, Sean Riddle, TeamEurope]
JAKKS Pacific Inc / Pronto Games 1 Vs 100 (JAKKS Pacific TV Game) [David Haywood, Sean Riddle, TeamEurope]
JAKKS Pacific Inc / Pronto Games Deal or No Deal (JAKKS Pacific TV Game) [David Haywood, Sean Riddle, TeamEurope]
Majiang Xingyun Shenlong (China, D121) [little0]
Mattel Barbie: I Love Pets - Pet Rescue [David Haywood, Sean Riddle, TeamEurope]
Mattel Hot Wheels (steering wheel controller) [David Haywood, Sean Riddle, TeamEurope]
Mattel Rock 'Em Sock 'Em Robots (TV Game) [David Haywood, Sean Ridle, TeamEurope]
Performance Designed Products / Disney / Jungle Soft Disney Game It! Princess Pals [David Haywood, Sean Riddle, TeamEurope]
Super Shanghai 2001 (set 1, red board) [Roberto Fresca, Grull Osgo, Ioannis Bampoulas]
Trapeze / Trampoline [Pedro Suarez, smf]
Tronica Treasure Island (Tronica) [Milan Galcik, Algestam]
Victory Paradise II (V9) [hammy]
Xor World (different hardware, ver 1.1, checksum 3333BA, prototype) [Josep Quingles, Recreativas.org, David Haywood]
Xor World (Modular System, prototype, set 1) [Javier Valero, Recreativas.org, David Haywood]


New working clones
------------------
Bang! (version 2, checksum 140E) [Josep Quingles, Recreativas.org]
Bang! (version 2, checksum D35D) [Josep Quingles, Recreativas.org]
Big Karnak (ver. 1.0, checksum 1e38b94) [Josep Quingles, Recreativas.org]
bootleg (Elektronika) Vinni-Pukh [Milan Galcik, Igor Nys]
Break Thru (World) [Jordi Tuells]
Cal Omega - Game 7.9b (Arcade Poker, bootleg?) [Roberto Fresca, Grull Osgo, Ioannis Bampoulas]
Control Universal EuroBEEB-1 [Nigel Barnes]
Control Universal EuroBEEB-2 (Teletext) [Nigel Barnes]
Control Universal EuroBEEB-3C (CU-Graph colour) [Nigel Barnes]
Control Universal EuroBEEB-3M (CU-Graph monochrome) [Nigel Barnes]
Cosmic Battle (Recreativos Franco bootleg of Space Invaders) [Jordi Tuells]
Double Axle (US, Rev 1, set 2) [Sean Sutton, Smitdogg, Brian Troha, The Dumping Union]
Fantastic Spacians (hack of 'Super Galaxians') [Dillweed, smf]
Flower (Japan) [Team Japump]
Football Power (version 1.4) [Josep Quingles, Recreativas.org]
Football Power (version 4.6) [Josep Quingles, Recreativas.org]
G-LOC Air Battle (Japan) [Team Japump]
Glass (ver 1.0, Break Edition, checksum 2B43D337, 10 Nov 1993) [Josep Quingles, Recreativas.org, David Haywood]
Glass (ver 1.0, Break Edition, checksum 6241CD67, 16 Nov 1993) [Josep Quingles, Recreativas.org, David Haywood]
Glass (ver 1.0, Break Edition, checksum EBCB0BFE, 22 Nov 1993) [Josep Quingles, Recreativas.org, David Haywood]
Glass (ver 1.1, Break Edition, checksum 3D8A724F, Version 1994, unprotected, Korea) [Josep Quingles, Recreativas.org, David Haywood]
Glass (ver 1.1, Break Edition, checksum 49D5E66B, Version 1994, set 2) [Josep Quingles, Recreativas.org, David Haywood]
Glass (ver 1.1, Break Edition, checksum D7AF5496, Version 1994, US) [Josep Quingles, Recreativas.org, David Haywood]
Gun Gabacho (Japan, version 2, checksum 1C8C) [Josep Quingles, Recreativas.org]
Gun Gabacho (Japan, version 2, checksum B75B) [Josep Quingles, Recreativas.org]
GTI Double or Nothing Draw Poker (GoT PCB, set 1) [Roberto Fresca, Grull Osgo, Ioannis Bampoulas]
Hegener + Glaser Mephisto Lyon 16 Bit (v2.09) [Berger]
In The Hunt (Korea?) [nnap]
JAKKS Pacific Inc / Namco / HotGen Ltd Ms. Pac-Man Collection 5-in-1 (JAKKS Pacific TV Game) (01 APR 2004 A)
  [David Haywood, Sean Riddle, TeamEurope]
JAKKS Pacific Inc / Namco / HotGen Ltd Ms. Pac-Man Collection 7-in-1 (JAKKS Pacific TV Game) (QVC version, 12 JUL 2004 A)
  [David Haywood, Sean Riddle, TeamEurope]
Janpai Puzzle Choukou (Japan 010820 Publicity) [Team Japump]
Jungle King (V105US) [Ioannis Bampoulas]
Lady Bug (bootleg on Galaxian hardware, encrypted) [Luis Arrufat, Francisco Javier Muñoz Calero]
Last KM (ver 1.0.0227, checksum 747a7443, prototype) [Josep Quingles, Recreativas.org]
Lizard Hunt (unprotected, checksum 25A83609) [Josep Quingles, Recreativas.org]
Mahjong Gal no Kokuhaku (Japan, set 2) [buffi]
Mahjong Reach Ippatsu (Japan, NM526-01) [buffi]
Maniac Square (unprotected, version 1.0, checksum BEAE) [Josep Quingles, Recreativas.org]
Master Boy (1987, Z80 hardware) [Josep Quingles, Recreativas.org]
Master Boy (Italy, set 3, checksum 6918) [Josep Quingles, Recreativas.org]
Master Boy (Italy, set 4, checksum 680C) [Josep Quingles, Recreativas.org]
Master Boy (Italy, set 5, checksum E84C) [Josep Quingles, Recreativas.org]
Master Boy (Italy, test version) [Josep Quingles, Recreativas.org]
Master Boy (Spain, set 3, checksum 6070) [Josep Quingles, Recreativas.org]
Master Boy (Spain, set 4, checksum CC6D) [Josep Quingles, Recreativas.org]
Master Boy (Spain, set 5, checksum DF11) [Josep Quingles, Recreativas.org]
Master Boy Olympic (Italy, set 1, checksum 77A8) [Josep Quingles, Recreativas.org]
Master Boy Olympic (Spain, set 1, checksum 7309) [Josep Quingles, Recreativas.org]
Master Boy Olympic (Spain, set 2, checksum 741B) [Josep Quingles, Recreativas.org]
Master Boy Version II (Italy, set 1, checksum 618F) [Josep Quingles, Recreativas.org]
Master Boy Version II (Spain, set 1, checksum 5A0B) [Josep Quingles, Recreativas.org]
Master Boy Version II (Spain, set 2, checksum 5B1D) [Josep Quingles, Recreativas.org]
Next Century (bootleg of Defender) [Asociación Retroclub, Recreativas.org]
New Splash (ver. 1.4, checksum A26032A3, Korea, set 1) [Josep Quingles, Recreativas.org]
New Splash (ver. 1.4, checksum A26032A3, Korea, set 2) [Josep Quingles, Recreativas.org]
Moon Cresta (SNK) [Dillweed, smf]
Poker (Version 50.02 ICB, set 3 alt) [Roberto Fresca, Grull Osgo, Ioannis Bampoulas]
Power Drift (Japan, Rev B) [Team Japump]
Pro Cycle Tele Cardioline (Salter fitness bike, V.1.0, checksum 3523) [Josep Quingles, Recreativas.org]
Pro Cycle Tele Cardioline (Salter fitness bike, V.1.0, checksum DECA) [Josep Quingles, Recreativas.org]
Pro Stepper Tele Cardioline (Salter fitness stepper, V.1.0, checksum 2B83) [Josep Quingles, Recreativas.org]
Puzz Loop 2 (Japan 010201 Publicity) [Team Japump]
Quick Shots (ver 1.0, checksum AD0C) [Josep Quingles, Recreativas.org, David Haywood]
R-Shark (set 2) [twistedsymphony]
Super Star 97 / Ming Xing 97 (version V153A) [little0]
Riviera Hi-Score (2131-08, U5-3C) [Roberto Fresca, Grull Osgo, Ioannis Bampoulas]
Riviera Hi-Score (2131-08P, set 1) [Roberto Fresca, Grull Osgo, Ioannis Bampoulas]
Riviera Hi-Score (2131-08P, set 2) [Roberto Fresca, Grull Osgo, Ioannis Bampoulas]
Rock'n MegaSession (Japan, ver 1.0) [hammy, buffi]
Rollergames (Asia) [twistedsymphony]
Sasuke vs. Commander (set 2) [Dillweed, smf]
Speed Up (version 2.00, checksum 491B) [Josep Quingles, Recreativas.org]
Speed Up (version 2.00, checksum E145) [Josep Quingles, Recreativas.org]
Speed Up (version 2.10, checksum 9536) [Josep Quingles, Recreativas.org]
Splash (Modular System, ver. 1.0, checksum A6C431A4, non North America, uncensored) [Josep Quingles, Recreativas.org, David Haywood]
Splash! (ver. 1.1, checksum 4697D2BF, non North America) [Josep Quingles, Recreativas.org]
Splash! (ver. 1.2, checksum 5071804D, non North America) [Josep Quingles, Recreativas.org]
Splash! (ver. 1.3, checksum E7BEEBFA, Korea) [Josep Quingles, Recreativas.org]
Splash! (ver. 1.3, checksum E7BEEEFA, North America) [Josep Quingles, Recreativas.org]
Squash (USA, ver. 1.1, checksum 015b6f8a) [Josep Quingles, Recreativas.org]
Super Shanghai 2001 (set 2, red board) [Roberto Fresca, Grull Osgo, Ioannis Bampoulas]
Super Splash (ver 1.1, Break Edition, checksum 59D5E66B, Version 1994) [Josep Quingles, Recreativas.org, David Haywood]
Surf Planet (version 1.0) [Josep Quingles, Recreativas.org]
Surf Planet (version 1.2) [Josep Quingles, Recreativas.org]
Surf Planet (version 3.1) [Josep Quingles, Recreativas.org]
Target Hits (ver 1.1, checksum B1F7) [Josep Quingles, Recreativas.org]
Tarzan (V106FA) [Ioannis Bampoulas]
Tekken 3 (Japan, TET1/VER.D) [Tailsnic Retroworks]
TH Strikes Back (non North America, version 1.0, checksum 0206DF91) [Josep Quingles, Recreativas.org]
TH Strikes Back (non North America, version 1.0, checksum 0206DF91, without title) [Josep Quingles, Recreativas.org]
TH Strikes Back (non North America, version 1.0, checksum 020EB346) [Josep Quingles, Recreativas.org]
TH Strikes Back (non North America, version 1.0, checksum 020E154A) [Josep Quingles, Recreativas.org]
Thunder Hoop (non North America, ver. X, checksum 00000020, set 1) [Josep Quingles, Recreativas.org]
Thunder Hoop (non North America, ver. X, checksum 00000020, set 2) [Josep Quingles, Recreativas.org]
Thunder Hoop (North America, ver. C4, checksum 02A0A008) [Josep Quingles, Recreativas.org]
Thunder Hoop (ver. 1, checksum 02a09fcd) [Josep Quingles, Recreativas.org]
Thunder Hoop (ver. X, checksum 00000020, without title) [Josep Quingles, Recreativas.org]
Touch and Go (non North America, checksum 056533F0) [Josep Quingles, Recreativas.org]
Touch and Go (non North America, checksum 056C138F) [Josep Quingles, Recreativas.org]
Touch and Go (non North America, checksum 056C2336) [Josep Quingles, Recreativas.org]
Touch and Go (North America, checksum 05737572) [Josep Quingles, Recreativas.org]
VTech Dora the Explorer - Dora TV Adventure Globe (UK) [TeamEurope, David Haywood]
World Rally 2: Twin Racing (version 09-06, checksum 50A2) [Josep Quingles, Recreativas.org]
World Rally 2: Twin Racing (version 09-06, checksum 7BE1) [Josep Quingles, Recreativas.org]
World Rally 2: Twin Racing (version 20-07, checksum B1B8) [Josep Quingles, Recreativas.org]
World Rally Championship (version 1.0, checksum 3D84, 02 Apr 1993) [Josep Quingles, Recreativas.org]
World Rally Championship (version 1.0, checksum C448) [Josep Quingles, Recreativas.org]
World Rally Championship (version 1.0, checksum DE0D, 08 Nov 1993) [Josep Quingles, Recreativas.org]
World Rallye Championship (prototype on Modular System, 23 Nov 1992) [Javier Valero, Recreativas.org, David Haywood]
Xor World (different hardware, ver 1.1, checksum 333462, prototype) [Josep Quingles, Recreativas.org, David Haywood]
Xor World (Modular System, prototype, set 2) [Josep Quingles, Recreativas.org, David Haywood]
Xor World (ver 1.2, checksum DB5D10, prototype) [Josep Quingles, Recreativas.org, David Haywood]


Systems promoted to working
---------------------------
Alantin - Aladdin's Magic Lamp [Roberto Fresca, Grull Osgo]
Bandit (US prototype) [Angelo Salese]
Dark Seal (8-liner) [Roberto Fresca, Grull Osgo]
Huahua Shijie 5 / Feixing Shijie (V107CN) [David Haywood, Ivan Vangelista]
Kaimen Hu [Vas Crabb]
Nelsonic Super Mario Bros. 3 (Nelsonic) [Sean Riddle, MagicianType0]
Nelsonic Super Mario World (Nelsonic) [Sean Riddle]
Roland TR-707 Rhythm Composer [m1macrophage]
Qiji 6 (V118CN) [David Haywood, Ivan Vangelista]
Super Shanghai 2000 (set 1, green board) [Roberto Fresca, Grull Osgo]
Super Shanghai 2000 - Wrestle Fiesta (30% bonus, red board) [Roberto Fresca, Grull Osgo]
Zuqiu Wang - King of Football [Vas Crabb]


Clones promoted to working
--------------------------
Bomberman (Version 6.6, Avraam bootleg) [Roberto Fresca, Grull Osgo]
Bomberman (Version 6.6, J.T. bootleg) [Roberto Fresca, Grull Osgo]
Master Boy Version II (Italy, set 2, checksum 629B) [Josep Quingles, Recreativas.org]
Super Shanghai 2000 (set 2, green board) [Roberto Fresca, Grull Osgo]


New systems marked not working
------------------------------
3 Mini [Javier Blanco, Recreativas.org]
36-in-1 Classic Games phone case [TeamEurope]
AV-Mahjong Yanchana Koneko (Japan Ver 1.01 1990/08/23) [hammy]
Bai Bian Dou Dizhu [little0]
Bandai / SSD Company LTD Let's! TV Play Gekiwaza Shuutoku Gekiranger - Super Gekiranger-e no Michi (Japan) [TeamEurope]
Bandai / SSD Company LTD Let's! TV Play Taikan Daikaijuu Battle: Ayatsure! Ultra Daikaijuu! (Japan) [TeamEurope]
Bandai Anpanman Color PC (Japan) [TeamEurope]
Bandai Let's! TV Play Team Taikou! Card de Power Up! Tamagotchi School Senshuken (Japan) [TeamEurope, David Haywood]
Biorhythm (For-Play) [Siftware]
Casio FZ-1 Digital Sampling Synthesizer [Rainer Buchty, Devin Acker]
Casio Super Picky Talk - My room fantasy [QUFB]
Challenge Golf (J 990326 V1.000) [hammy, Darksoft]
Chanbara Kids (Japan) [alamone]
Chaoji Bie Qi (V205CN) [little0]
Chaoji Gan Dengyan (V110CN) [little0]
Dahua Xiyou (V201CN) [little0]
Diier-D-10 168-in-1 phone case [TeamEurope]
Dingji Dou Dizhu [little0]
Dou Dizhu II [little0]
dreamGEAR My Arcade Ms. Pac-Man (DGUNL-7010, Pocket Player Pro) [TeamEurope]
dreamGEAR My Arcade Pac-Man (DGUNL-4198, Pocket Player Pro) [TeamEurope]
Epoch / SSD Company LTD Sasuke & Kinniku Battle!! Sportsman No. 1 Ketteisen (Japan) [TeamEurope]
Extrablatt [stonedDiscord]
Fengdou Jiaqiang Ban [little0]
Fengkuang Dou Dizhu [little0]
Fisher Price Smart Cycle [TeamEurope]
Flashback [James Wallace, BuyItFixIt]
G9 Game Box 666 Games [TeamEurope]
Gangbao Sifang [little0]
Huangpai Zuqiu Plus / Chaoji Shuangxing Plus (V103CN) [little0]
Huo Qilin (V116CN) [little0]
JAKKS Pacific Inc / Code Mystics Retro Arcade featuring Space Invaders (JAKKS Pacific TV Game)
  [David Haywood, Sean Riddle, TeamEurope]
JAKKS Pacific Inc / Digital Eclipse World Poker Tour (JAKKS Pacific TV Game) [David Haywood, Sean Riddle, TeamEurope]
JAKKS Pacific Inc / HotGen Ltd Bejeweled Deluxe (JAKKS Pacific TV Game) (Feb 28 2008 22:54:43)
  [David Haywood, Sean Riddle, TeamEurope]
JAKKS Pacific Inc / HotGen Ltd The Price Is Right (JAKKS Pacific TV Game) (Mar 24 2009 17:34:55)
  [David Haywood, Sean Riddle, TeamEurope]
JAKKS Pacific Inc / HotGen Ltd Star Wars: The Clone Wars - Republic Squadron (JAKKS Pacific TV Motion Game) (May 6 2009 12:53:31)
  [TeamEurope]
JAKKS Pacific Inc / HotGen Ltd Thomas & Friends - Right on Time (JAKKS Pacific TV Game) (Jun 28 2006 18:24:37) (US, NTSC)
  [David Haywood, Sean Riddle, TeamEurope]
JAKKS Pacific Inc Blue's Room: Coloring With Blue (JAKKS Pacific TV Game) [David Haywood, Sean Riddle, TeamEurope]
JAKKS Pacific Inc SpongeBob SquarePants Dilly Dabbler (JAKKS Pacific TV Game) [David Haywood, Sean Riddle, TeamEurope]
JAKKS Pacific Inc Super Silly Makeover (JAKKS Pacific TV Game) [David Haywood, Sean Riddle, TeamEurope]
JAKKS Pacific Inc Tele-Doodle (JAKKS Pacific TV Game) [David Haywood, Sean Riddle, TeamEurope]
Korg Triton Music Workstation/Sampler (v2.0.0) [Antonio Malara]
L.J.Technical Systems Mac III 6502 Microcomputer [Nigel Barnes]
Jan Mu [hammy]
Jin Huangguan 3-dai (V445CN) [little0]
Jungle King 2004 (V101US) [Ioannis Bampoulas]
Lexibook Compact Cyber Arcade - Batman (JL2367BAT) [TeamEurope]
Lexibook Compact Cyber Arcade - Disney Princess (JL2367DP, 150-in-1) [TeamEurope]
Lexibook Compact Cyber Arcade - Spider-Man (JL2367SP, 150-in-1) [TeamEurope]
Lexibook Cyber Arcade Pocket - Disney Princess (JL1895DP) [TeamEurope]
Lexibook Cyber Arcade Pocket - Spider-Man (JL1895SP-2) [TeamEurope]
Lexibook Cyber Arcade Racing (JL3150) [TeamEurope]
Lexibook Power Console - Lilo & Stitch [TeamEurope]
Loto-Play (set 1) [Josep Quingles, Recreativas.org]
Mahjong Jongoh (Japan, TTL800-03-04) [buffi]
Mahjong Sweet Academy (Japan, TSM010-002) [buffi]
Mahjong The Mysterious World Returns (Japan) [buffy]
Majiang Zhengba (V103CN) [little0, Mr. Kong]
Majiang Zhizun (S100CN) [little0]
Mega Turbo 2 [Roberto Fresca, Grull Osgo, Ioannis Bampoulas]
MGA Entertainment Miuchiz Bratz Cloe [Lord Nightmare]
MGA Entertainment Miuchiz Bratz Yasmin [Lord Nightmare]
MGA Entertainment Miuchiz Monsterz Creeper [Lord Nightmare]
MGA Entertainment Miuchiz Monsterz Inferno [Lord Nightmare]
MGA Entertainment Miuchiz Monsterz Roc [Lord Nightmare]
MGA Entertainment Miuchiz Pawz Dash [Lord Nightmare]
MGA Entertainment Miuchiz Pawz Spike [Lord Nightmare]
MITS Altair 8800b [DeRamp.com]
Mueve [Josep Quingles, Recreativas.org]
Mushiking The King Of Beetles 2003 Second (Japan) [HRKT20, MetalliC, rtw]
Namco / Mitsubishi DS-5000 Driving Simulator [Phil Bennett]
Neo Carnival [buffi]
Ob-La-Di [Josep Quingles, Recreativas.org]
Olivetti Celint 2000 (Superfono Santander edition) [ArcadeHacker]
Paint 'N Puzzle Super [Tylar R]
Piaoliang Jinhua [little0]
Piaoliang Jinhua 2 [little0]
Play 4 Texas Hold'em [anonymous]
Progressive Clown Magic [hammy, buffi]
Pub Time Darts v1.4 [Roberto Fresca, Grull Osgo, Ioannis Bampoulas]
Radica Jibbi [David Haywood, Sean Riddle, TeamEurope]
Red5 Retro Arcade Game Controller (150-in-1) [TeamEurope]
Royal 5+ (V101US) [Ioannis Bampoulas]
San Da Ha [little0]
Sega SystemSP Factory Check Server [HRKT20, MetalliC, rtw]
Shenzhou Jielong [little0]
SSD Company LTD PowerKIDS Jr. (XaviXPORT, Japan) [TeamEurope]
SSD Company LTD XaviX Aero Check & Balance (XaviXPORT, Japan) [TeamEurope]
STC Telecommunications Ltd. STC 3910 Executel [Binary Dinosaurs, Nigel Barnes]
Super Match 2003 (Version 3.1 2003-11-04) [hammy, Darksoft]
Super Multi (DOB) [stonedDiscord]
System 3000 Kramergame Poker (encrypted set 4) [Roberto Fresca, Grull Osgo, Ioannis Bampoulas]
System 3000 Kramergame Poker (encrypted set 5) [Roberto Fresca, Grull Osgo, Ioannis Bampoulas]
Takara Tomy Boku wa Plarail Untenshi - Shinkansen de Ikou! (2007 version) (Japan) [TeamEurope]
Takara Tomy Punirunes (Europe, pastel blue) [TeamEurope]
Tiansheng Haoshou (V101CN) [little0, Mr. Kong]
Tomy Takara Disney Princess Dress Mania TV (Japan) [David Haywood, TeamEurope]
Top Draw (encrypted, set 1) [Roberto Fresca, Grull Osgo, Ioannis Bampoulas]
Turbo Poker 1 (set 1) [Roberto Fresca, Grul Osgo, Ioannis Bampoulas]
unknown 100-in-1 handheld (Mega Drive based) [TeamEurope]
unknown Kramer Poker (encrypted) [Roberto Fresca, Grul Osgo, Ioannis Bampoulas]
Vision Quest [James Wallace, Jeff Anderson, Dragon’s Lair Project]
Wakeng [little0]
Xin Jin Huangguan (V400CN) [little0]
Xiyou Douniu (S110CN) [little0]


New clones marked not working
-----------------------------
005 (earlier version?) [Dillweed, smf]
Action [stonedDiscord]
Allfred [m170.dev]
Animal Wonders (ver A900 66) [Ioannis Bampoulas]
Animal Wonders (ver A900, Bicigo bootleg) [Ioannis Bampoulas]
Asterix und Kleopatra [stonedDiscord]
Bad Cats (LF-1) [Internet Pinball Database, PinMAME]
Bandai Super Note Club µ teen's time (Japan) [TeamEurope, QUFB]
Casio FZ-10M Digital Sampling Synthesizer Module [Tom Virostek, Devin Acker]
Casio FZ-20M Digital Sampling Synthesizer Module [BCM, Devin Acker]
Chaoji Da Manguan II (China, V765C) [Mr. Kong, little0]
Cherry Bonus V Five (V1.4) [hammy]
Cue Ball Wizard (Spanish) [Victor Fernandez, Jordi Beltrán]
Dream 9 Flower (v1.00c, set 2) [hammy]
Funny Land de Luxe (W2 set) [m170.dev]
Funny Land de Luxe (W4 set) [m170.dev]
Glass (development PCB) [Javier Valero, Recreativas.org, David Haywood]
Glücks-Stern [stonedDiscord]
Goldart (France, Covielsa license) [Josep Quingles, Recreativas.org]
Goldart (Germany) [Josep Quingles, Recreativas.org]
Goldart (PIC16C54, France, Covielsa license) [Josep Quingles, Recreativas.org]
Goldart (PIC16C54, Germany) [Josep Quingles, Recreativas.org]
Goldart (PIC16C54, Portugal) [Josep Quingles, Recreativas.org]
Goldart (PIC16C54, Spain) [Josep Quingles, Recreativas.org]
Goldart (PIC16C54, United Kingdom) [Josep Quingles, Recreativas.org]
Goldart (United Kingdom) [Josep Quingles, Recreativas.org]
Grand Hand [stonedDiscord]
GTI Double or Nothing Draw Poker (GoT PCB, set 2) [Roberto Fresca, Grull Osgo, Ioannis Bampoulas]
GTI Double or Nothing Draw Poker (GoT PCB, set 3) [Roberto Fresca, Grull Osgo, Ioannis Bampoulas]
Happy Farm (Ver. IN.01.02.B) [Ioannis Bampoulas]
Happy Pierrot (V987271) [buffi]
HI-LO Double Up Joker Poker (set 2) [Roberto Frresca, Grull Osgo, Ioannis Bampoulas]
JAKKS Pacific Inc / Digital Eclipse EA Sports Classics: NHL 95 & Madden 95 (JAKKS Pacific TV Game)
  [David Haywood, Sean Riddle, TeamEurope]
JAKKS Pacific Inc / HotGen Ltd Bob the Builder - Project: Build It (JAKKS Pacific TV Game) (Feb 28 2006 10:48:40)
  [David Haywood, Sean Riddle, TeamEurope]
JAKKS Pacific Inc / HotGen Ltd Disney (JAKKS Pacific TV Game) (SPG110 hardware, 28 MAY 2004 A)
  [David Haywood, Sean Riddle, TeamEurope]
JAKKS Pacific Inc / HotGen Ltd Thomas & Friends - Right on Time (JAKKS Pacific TV Game) (Jun 28 2006 18:01:22) (UK, PAL)
  [David Haywood, Sean Riddle, TeamEurope]
Juwel [stonedDiscord]
Karo As [stonedDiscord]
Knights of Valour / Sanguo Zhan Ji / Sangoku Senki (bootleg, ver. 112CN?) [little0, Mr. Kong]
Knights of Valour Plus / Sanguo Zhan Ji Zhengzong Plus / Sangoku Senki Masamune Plus (bootleg, ver. 117CN?) [little0, Mr. Kong]
Korg Triton Music Workstation/Sampler (v2.5.3) [hap]
Korg Triton Music Workstation/Sampler (v2.5.0) [hap]
Kuaile Xiyou Ji (V102CN) [little0]
Little Witch (Ver. EN.01.A) [Ioannis Bampoulas]
Long Hu Bang II: Cuo Pai Gaoshou (China, V127C) [little0]
Long Hu Zhengba 2 (China, VS210M) [little0]
Long Hu Zhengba 2 (China, VS220M) [little0]
Loto-Play (PIC16C54) [Josep Quingles, Recreativas.org]
Loto-Play (set 2) [Josep Quingles, Recreativas.org]
Loto-Play (set 3) [Josep Quingles, Recreativas.org]
Loto-Play (set 4) [Josep Quingles, Recreativas.org]
Lucky Star (newer Z180-based hardware, set 2) [hammy]
Magic Bomb (Ver. BR71.A, 30/05/14) [Ioannis Bampoulas]
Master Boy (1987, Modular System) [Josep Quingles, Recreativas.org]
Monkey Land (Ver. EN.20.B) [Ioannis Bampoulas]
Multi Multi [stonedDiscord]
Pro Cycle Tele Cardioline (Salter fitness bike, older hardware, ver. 1.0, checksum 1AF9) [Josep Quingles, Recreativas.org]
Pro Cycle Tele Cardioline (Salter fitness bike, older hardware, ver. 1.0, checksum 5678) [Josep Quingles, Recreativas.org]
Pro Cycle Tele Cardioline (Salter fitness bike, older hardware, ver. 1.0, checksum BAE7) [Josep Quingles, Recreativas.org]
Pro Cycle Tele Cardioline (Salter fitness bike, unknown version) [Josep Quingles, Recreativas.org]
Pro Stepper Tele Cardioline (Salter fitness stepper, older hardware, ver. 1.0, checksum 6D94) [Josep Quingles, Recreativas.org]
Pro Stepper Tele Cardioline (Salter fitness stepper, older hardware, ver. 1.0, checksum 8BF3) [Josep Quingles, Recreativas.org]
Pro Stepper Tele Cardioline (Salter fitness stepper, older hardware, ver. 1.0, checksum 8E5A) [Josep Quingles, Recreativas.org]
Radikal Bikers (prototype) [Javier Valero, Recreativas.org]
Shuang Long Qiang Zhu 2 VS (China, VS203J, set 2) [little0]
Special Dream 9 (v1.0.7G) [hammy]
Squash (newer PCB) [Josep Quingles, Recreativas.org]
SSD Company LTD XaviX Bowling (XaviXPORT, PT2-BWL-11, Japan) [David Haywood, TeamEurope]
Sunny [stonedDiscord]
Super Mario Brothers (pinball, Spanish, set 1) [Vicor Fernandez (City Game)]
Super Mario Brothers (pinball, Spanish, set 2) [jordigahan]
Super Splash (Ver 1.0, checksum 2104394E, 27 Oct 1993) [Josep Quingles, Recreativas.org, David Haywood]
Tai Pan Money [stonedDiscord]
Top Draw (encrypted, set 2) [Roberto Fresca, Grull Osgo, Ioannis Bampoulas]
Top Draw (encrypted, set 3) [Roberto Fresca, Grull Osgo, Ioannis Bampoulas]
Top Draw (encrypted, set 4) [Roberto Fresca, Grull Osgo, Ioannis Bampoulas]
Turbo Poker 1 (set 2) [Roberto Fresca, Grull Osgo, Ioannis Bampoulas]
Turbo Poker 2 (set 4) [Roberto Fresca, Grull Osgo, Ioannis Bampoulas]
Turbo Poker 2 (set 5) [Roberto Fresca, Grull Osgo, Ioannis Bampoulas]
Turbo Sunny [stonedDiscord]
Zulu (Ver. 2.04J, Feb 3 2004) [ClawGrip, Recreativas.org]


New working software list items
-------------------------------
a7800: Impossible Mission (NTSC, bug-fix) [Guru]
bbc_rom:
  Colourjet Driver 1.0, GameROM: Chuckie Egg 1.10, GameROM: Missile Control 1.10, GameROM: Snapper 1.10, Mega-ROM 1.03,
  Wordwise-B20 1.20, XOB Multi Print Server 2.03 [Nigel Barnes]
cdi: Cyber Soldier Sharaku (Japan) [ShiroeNL, redump.org]
ekara_cart:
  e-kara Web cartridge 8M (used, with 8 songs, set 2) (Japan), e-kara Web cartridge 8M (used, with 8 songs, set 3) (Japan),
  e-kara Web cartridge 8M (used, with 8 songs, set 4) (Japan), e-kara Web cartridge 12M (used, with 12 songs, set 2) (Japan),
  e-kara Web cartridge 12M (used, with 12 songs, set 3) (Japan), e-kara Web cartridge 12M (used, with 12 songs, set 4) (Japan),
  e-kara Web cartridge 12M (used, with 12 songs, set 5) (Japan), e-kara Web cartridge 12M (used, with 12 songs, set 6) (Japan),
  e-kara Web cartridge 12M (used, with 12 songs, set 7) (Japan), e-kara Web cartridge 12M (used, with 12 songs, set 8) (Japan),
  e-kara Web cartridge 12M (used, with 12 songs, set 9) (Japan), e-kara Web cartridge 28M (used, with 26 songs) (Japan),
  Kids' Song 20 (Japan) (KD-4) [David Haywood, TeamEurope]
fmtowns_cd:
  Advanced Dungeons & Dragons - Heroes of the Lance, Arquelphos, CD Learning System II - New Horizon English Course 3,
  CD Learning System II - New Horizon English Course 3 (FM Towns Marty version),
  ClearMind - Shimoguchi Yuuzan no Shuuchuuryoku Kaihatsu, Digital Pinup Girls Vol. 2 - Lovely Shooting,
  Euphony II / Score V1.1 L10, F-BASIC386 Compiler V2.1 L20, FM Towns Appli Jikkou Set (TownsGEAR, F-BASIC386) V2.1 L20,
  FM Towns Demonstration CD-ROM 1993-nen Haru-gou, Fouge Vol. 1 - Ki - Japan - Maeda Shinzou no Sekai,
  Fujitsu Journal Special Edition by CD-ROM, Heike Monogatari (Joukan) (rerelease), Image Fight (demo),
  Iwanami Bungakukan - Natsume Souseki, LiveMovie V1.1 L10, Many Colors (HMD-225), Moko - Dougen Zenji 750-kai Daionki Kinen,
  Music Pro-Towns v1.3 (MIDI Ongenban), TownsGraph V2.1 L10 [redump.org]
megadriv:
  Earthworm Jim 2 (USA, prototype 19950809) [Hidden Palace]
  Lethal Wedding (demo 1), Lethal Wedding (demo 2) [Mega Cat Studios]
  Attack of the Petscii Robots, Fire Shark (Retro-Bit), Gaiares (Retro-Bit), The Lost Vikings (USA, rev. A),
  Magic Girl: featuring Ling Ling the Little Witch (Europe, USA), Smart Mouse (USA), The Smurfs (Brazil), Syd of Valis (Retro-Bit),
  T.C.K - The Cursed Knight, T.C.K - The Cursed Knight (demo 1.0), T.C.K - The Cursed Knight (demo 1.1),
  T.C.K - The Cursed Knight (demo 2.0), T.C.K - The Cursed Knight (demo 2.1), T.C.K - The Cursed Knight (demo 3.0),
  T.C.K - The Cursed Knight (pre-release beta), Thunder Paw, Truxton (Europe, USA) (Retro-Bit), Valis (Retro-Bit),
  Valis III (Retro-Bit), Xeno Crisis [No-Intro]
  Captain Barrel (demo) [OzzyOuzo]
  Black Jewel Reborn (demo 2.1), Black Jewel Reborn (demo 2.11) [PSCDGames]
  Kirito - The Game (demo) [tulfared prod]
psx:
  3, 2, 1, Smurf! My First Racing Game (Europe), 2002 FIFA World Cup (Europe), 2002 FIFA World Cup (France),
  2002 FIFA World Cup (Germany), 2002 FIFA World Cup (Italy), 2002 FIFA World Cup (Spain), Ace Combat (Japan), Air Combat (Europe),
  Air Combat (Europe) (EDC), Darkseed (Japan), Transport Tycoon 3D: SL Kara Hajimeyou!! (Japan) [redump.org]
sega_beena_cart: Densha Daishuugou! Card de Asobou [TeamEurope]
snes:
  Mechanoids II - The Final Conflict (non-playable prototype), Mechanoids II - The Final Conflict (prototype) [Games That Weren’t]
  Dragon View (USA, Limited Run Games), Dragon View (USA, prototype), Eyra - The Crow Maiden (USA),
  Eyra - The Crow Maiden (demo 20210910), Eyra - The Crow Maiden (digital), Fork Parker's Crunch Out,
  Ghoul Patrol (USA, Limited Run Games), Jim Power - The Lost Dimension in 3D, Märchen Adventure Cotton 100% (USA),
  Socks the Cat Rocks the Hill, Super Turrican 2 (USA, Strictly Limited Games), Super Turrican Collection (USA),
  Sydney Hunter and the Caverns of Death (Europe), Unholy Night: The Darkness Hunter (Europe),
  Zombies Ate My Neighbors (USA, Limited Run Games) [No-Intro]
spectrum_cass:
  J.S. Compilation 1 [Planeta Sinclair, Luís Rato]
  British Isles Geography - Ports, Countries - Africa - Cities, Countries - Africa - Features, Countries - Australia - Features,
  Countries - Australia - Towns, Countries - South America - Features, Klokkijken Analoog + Klokkijken Digitaal, Learn Chess,
  Lifeboat, Prince, Princess and the Wicked Witch, World Geography - Land & Water [Planeta Sinclair, Steven Brown]
  Chuck Yeager's Advanced Flight Trainer (Dro Soft), Chuckman (ZX Data), J.S. Compilation 2, J.S. Compilation 4, J.S. Compilation 5,
  J.S. Compilation 6, J.S. Compilation 7, Vindicators (Erbe), Vocabulario Aleman (Cohete), Vocabulario Frances (Portero),
  Vocabulario Infantil Frances (Raton), Vocabulario Infantil Ingles (Platero), VU-3D (Polbrit), VU-3D (Psion),
  VU-Calc (Investronica), Wanderer (MCM), Wanderers - Chained in the Dark (alt) (English), Wanderers - Chained in the Dark (Czech),
  Wanderers - Chained in the Dark (Russian), Wanderers - Chained in the Dark (Slovak), War in the East (for Timex Sinclair 2068),
  Your Spectrum Mega Basic (v4.0), ZX Football Manager 2005 (128K) [Spectrum Computing]
zx81_cass:
  1K Supertrio, House of Gnomes (alt), Kludo + Battleships, ZX81 Program Pack 2, ZX81 Program Pack 4, ZX81 Program Pack 5,
  ZX81 Program Pack 6 [Planeta Sinclair, Mark Westmoreland, Steven Brown]
  Darts (type-in), Kong Jump (type-in, Your Computer Vol. 3 № 6 - June 1983),
  Mad Maze (type-in, Sinclair User № 11 - February 1983), Meteors II (type-in), On Final (type-in, The ZX Collection - Winter 1984),
  Othello (Roy Eastwood), Pilot (type-in), Road Hog, Universal Patterner (type-in, Sinclair Programs № 1 - May/June 1982)
  [Planeta Sinclair, Steven Brown]
  Matemática II [Planeta Sinclair, Zé Oliveira]
  Trader (Trimp) [Spectrum Computing]
  2ª Dimensão, Aventura & Mistério, Aventuras na Selva (type-in, Micro Sistemas Nº 23 - Agosto 1983), Bichos & Cia, Combate,
  Defensor 3D, Mercador dos Sete Mares, Midway, Patrulha Galática, Retorno dos Vegas, Selva, Subespaço, Terceira Dimensão, Valkirie,
  Velho Oeste, Visita ao Ca$$ino, Zaxxon [ZX81 Never Die]
  Captain on the Bridge - Episode 1: Sinclair Maru? [Warp 8-bit Games]


Software list items promoted to working
---------------------------------------
bbc_rom: Barry-Box [Nigel Barnes]
pc98: Hamlet, Houkago wa Betsu no Kao, LEX [Angelo Salese]
sega_beena_cart: Soreike! Anpanman Card de Tanoshiku ABC [QUFB]


New software list items marked not working
------------------------------------------
bbc_rom: BeebScan 1.30 [Nigel Barnes]
fmtowns_cd: CRI StacCard, FM Towns Demonstration CD-ROM 1992-nen Haru-gou, Tele Harmonium - City Lights [redump.org]
pc100_flop: Aerial, Lift, Mieyen [Inufuto]
psx: Bedlam (Europe) [redump.org]
saturn: AI Shougi 2 (Japan) [redump.org]
sega_beena_cart: Go! Go! Advance Drive: 6-tsu no Machine ni Chousen da! (Rev. S-100004-1100) [TeamEurope]
smartcycle_cart:
  Discover the Dinosaurs (0308), Learning Adventure (0608), The Penguins of Madagascar (1410), Scooby-Doo! (2108) [TeamEurope]
snes: Rendering Ranger R2 (USA) [No-Intro]
snotec: Nakayoshi Diary (1999), Nakayoshi PetMate, Ochame na PetMate 2, Primo Puel [TeamEurope, QUFB]
squale_cart: Squale BASIC, Squale BASIC (Squash) [anonymous]
zx81_cass: Fighter Pilot [Planeta Sinclair, Steven Brown]


Translations added or modified
------------------------------
Belarusian [holub]


Merged pull requests
--------------------
- 7564: frontend/mame: Allow Lua scripts to change the enabled property for input classes. [Nathan Woods]
- 13456: psx.xml: Added twelve items (eleven working), and replaced four items with better dumps. [redump.org, ArcadeShadow]
- 13471: Added a Belarusian UI translation. [holub]
- 13490: machine/ldp1450hle.cpp: Added preliminary text overlay support; atari/cops.cpp: Added Vision Quest. [James Wallace]
- 13524: vtech/prestige.cpp, snotec.xml: Added Note Club µ teen's time and four new software items. [QUFB, TeamEurope]
- 13529: adp/stella8085.cpp: Added dumps of eleven games (not working). [stonedDiscord]
- 13583: act/victor9k_fdc.cpp: Greatly improved the Victor 9000 floppy controller emulation. [donohoe00]
- 13594: bus/multibus: Propagate the bus clock frequency to slots on start. [F.Ulivi]
- 13612: snes.xml: Added eighteen items (seventeen working), and replaced three dumps with modified headers. [ArcadeShadow]
- 13623: casio/fz1.cpp: Added preliminary emulation of the Casio FZ series samplers. [Devin Acker, Rainer Buchty, Tom Virostek, BCM]
- 13628: tvgames/spg2xx.cpp: Added two TV games based on SunPlus SoCs (one working). [TeamEurope, David Haywood]
- 13629: video/ef9345.cpp: Fixed the double-height character scaling algorithm. [Fabio D'Urso]
- 13630: cpu/z80: Optimized pending interrupt checks. [holub]
- 13631: video/ef9345.cpp: Fixed insert attribute handling and cursor rendering. [Fabio D'Urso]
- 13636: Updated Visual Studio build settings to separate options by compiler type and reflect current clang-cl. [Patrick Mackinlay]
- 13636: moog/source.cpp, moog/nl_source.cpp: Emulated the envelope generators and low-frequency oscillator timing. [m1macrophage]
- 13637: oberheim/dmx.cpp: Updated sound routing for the new sound system. [m1macrophage]
- 13639: midway/williams.cpp: Added Next Century (Spanish Defender bootleg). [Asociación Retroclub, Recreativas.org, ClawGrip]
- 13640: gaelco/gaelco2.cpp: Added four versions of Touch and Go. [Josep Quingles, Recreativas.org, ClawGrip]
- 13641: formats/tzx_cas.cpp: Log warnings for bad checksums and truncated images. [holub]
- 13642: linn/linndrum.cpp: Updated sound routing for the new sound system. [m1macrophage]
- 13643: 3rdparty/expat: Updated to expat 2.7.1 (fixes compilation with Emscripten 3.1.35). [holub]
- 13644: midw8080/8080bw.cpp; Added a Spanish Space Invaders bootleg called Cosmic Battle. [Jordi Tuells, ClawGrip]
- 13645: sega/sega_beena.cpp, sega_beena_cart.xml: Added peripheral card reader support and three software items. [QUFB, TeamEurope]
- 13646: namco/mappy.cpp: Fixed the Pac'n'Pal bonus life DIP switch setting labels. [codefrog2002]
- 13651: fmtowns_cd.xml: Added 23 items (twenty working), and replaced three items with better dumps. [redump.org, r09]
- 13654: cpu/z80: Removed the effective address variable – effective addresses can be passed around as needed. [holub]
- 13655: misc/acefruit.cpp: Added Flashback (not working). [James Wallace, BuyItFixIt]
- 13656: casio/pickytlk.cpp: Added Super Picky Talk - My room fantasy (not working). [QUFB]
- 13657: olivetti/celint2k.cpp: Dumped an Olivetti Celint 2000 phone/Videotext terminal. [ArcadeHacker, ClawGrip]
- 13658: saturn.xml: Added one item (not working), and replaced nine items with better dumps. [redump.org, David Silva]
- 13659: sega/model2_v.cpp: Added an upper limit to the number of geometry operations to avoid an infinite loop. [Matthew Daniels]
- 13660: capcom/cps2.cpp Added Publicity versions of Puzz Loop 2 and Janpai Puzzle Choukou. [Team Japump, Wayder]
- 13662: act/victor9k.cpp: Fixed 8253 PIT input clock frequencies and output connections, allowing serial ports to work. [freitz85]
- 13664: phoenix/phoenix.cpp: Dumped the PROMs for Next Fase. [Jordi Tuells, ClawGrip]
- 13665: act/victor9k_hdc.cpp: Emulated the Victor 9000 SASI hard disk controller. [donohoe00]
- 13666: cdi.xml: Added Cyber Soldier Sharaku. [ShiroeNL, redump.org, David Silva]
- 13667: cpu/i960: Reduced stack padding for servicing interrupts to avoid stack overflows. [Matthew Daniels]
- 13668: sega/segaybd.cpp: Added additional Japanese versions of G-LOC Air Battle and Power Drift. [Team Japump, Wayder]
- 13671: cpu/z80: Changed source syntax to use an @ prefix rather than a call keyword to invoke macros. [holub]
- 13672: docs: Fixed a formatting error and some syntax warnings. [Firehawke]
- 13673: debugger/osx: Added a workaround for auto-scrolling views failing to scroll when they initially fill. [Antonio Malara]
- 13674: gaelco/mastboy.cpp: Added eleven versions of Master Boy and corrected/verified supported versions.
  [Josep Quingles, Recreativas.org, ClawGrip]
- 13675: taito/taitojc.cpp: Changed the comment for sidebs2j to match the test screen. [FMecha]
- 13676: cpu/z80: Simplified 16-bit memory accesses (improves performance). [holub]
- 13677: tvgames: Added two TV games (not working). [David Haywood, TeamEurope]
- 13679: gaelco/mastboyo.cpp: Added a 1987 version of Master Boy using a Z80 CPU. [Josep Quingles, Recreativas.org, ClawGrip]
- 13680: moog/nl_source.cpp: Moved the netlist declaration to its own header. [m1macrophage]
- 13681: galaxian/galaxian.cpp: Added an encrypted Lady Bug bootleg. [Luis Arrufat, Francisco Javier Muñoz Calero, ClawGrip]
- 13682: dataeast/brkthru.cpp: Added the World release of Break Thru. [Jordi Tuells, ClawGrip]
- 13683: namco/namcos12.cpp: Changed the year for Tekken 3 from the copyright year to the release year. [AnthonyRyuki]
- 13684: gaelco: Dumped the PLDs for several Gaelco games. [Josep Quingles, Recreativas.org, ClawGrip]
- 13686: debug/debugvw.cpp: Fall back to zero when recomputing the expression if the previous expression can’t be parsed. [dave-br]
- 13687: debugger/win: Added symbolic constants for console pane view indices. [dave-br]
- 13688: gaelco/goldart.cpp: Dumped three additional versions of Goldart (not working). [Josep Quingles, Recreativas.org, ClawGrip]
- 13690: Dumped the PROMs and PLDs for several Gaelco Modular System games and bootlegs. [Josep Quingles, Recreativas.org, ClawGrip]
- 13691: taito/taitotz.cpp: Edited descriptions and release years. [FMecha]
- 13692: dataeast/brkthru.cpp: Removed a bootleg with identical ROMs to the official World release. [ClawGrip]
- 13693: pinball/gts3a.cpp: Dumped Cue Ball Wizard (Spanish) from Vifico. [Victor Fernandez (City Game), Jordi Beltrán, ClawGrip]
- 13694: debug/debugcmd.cpp: Changed the behavior of the debugger symlist command. [dave-br]
- 13695: gaelco/lotoplay.cpp: Dumped four versions of Loto-Play (not working). [Josep Quingles, Recreativas.org, ClawGrip]
- 13696: namco/rallyx.cpp: Confirmed the PROM content for Danger Track. [Recreativas.org, ClawGrip]
- 13697: tvgames: Added fifteen TV games based on SunPlus SoCs (twelve working). [David Haywood, Sean Riddle, TeamEurope]
- 13698: pc/play4texash.cpp: Dumped Play 4 Texas Hold’em (casino poker machine). [anonymous, ClawGrip]
- 13699: gaelco/gaelco2.cpp: Added an unprotected version of Lizard Hunt. [Josep Quingles, Recreativas.org, ClawGrip]
- 13700: gaelco/gaelcof3.cpp: Dumped the Mueve and Ob-La-Di kiddie rides. [Josep Quingles, Recreativas.org, ClawGrip]
- 13702: gaelco/gaelco2.cpp: Added four versions of Bang!/Gun Gabacho. [Josep Quingles, Recreativas.org, ClawGrip]
- 13703: gaelco/gaelco3d.cpp: Added two versions of Football Power. [Josep Quingles, Recreativas.org, ClawGrip]
- 13704: misc/flower.cpp: Dumped a Sega/Alpha Flower board (the program ROM matches the Komax version). [Team Japump, Wayder]
- 13706: gaelco/gaelco.cpp: Added a prototype of Last KM. [Josep Quingles, Recreativas.org, ClawGrip]
- 13707: tandberg/tdv2100_disp_logic.cpp: Fixed attribute handling and polarity for some jumper settings. [Frode van der Meeren]
- 13708: namco/namcos21.cpp: Changed the background fill colour for the Winning Run games to palette index zero. [FlykeSpice]
- 13710: roland/roland_tr707.cpp: Emulated most of the hardware besides the display and audio. [m1macrophage]
- 13711: gaelco/gaelco2.cpp: Dumped nine Salter fitness machine versions (one working). [Josep Quingles, Recreativas.org, ClawGrip]
- 13712: korg/korgtriton.cpp: Added a skeleton driver for the Korg TRITON sampling music workstation. [Antonio Malara]
- 13713: gaelco/gaelco.cpp: Added an additional version of Big Karnak. [Josep Quingles, Recreativas.org, ClawGrip]
- 13714: cirsa/missbamby.cpp: Dumped Arfyc 3 Mini. [Javier Blanco Ojeda, Recreativas.org, ClawGrip]
- 13716: misc/miuchiz.cpp: Flagged systems as having unemulated sound (fixes validity errors). [Matthew Daniels]
- 13718: cpu/mb86235: Improved TGPx4 disassembly and emulation, particularly for data transfers. [Matthew Daniels]
- 13720: spectrum_cass.xml: Added 35 working items, and replaced one item with a better dump. [ArcadeShadow]
- 13721: moog/memorymoog.cpp, oberheim/xpander.cpp: Simplified LED matrix output. [m1macrophage]
- 13722: gelco/goldart.cpp: Dumped four versions of Goldart using PIC16C54 MCUs. [Josep Quingles, Recreativas.org, ClawGrip]
- 13723: skeleton/whtm68k.cpp: Marked systems as having imperfect sound rather than completely unemulated sound. [flama12333]
- 13724: gaelco/thoop2.cpp: Added four additional versions of TH Strikes Back. [Josep Quingles, Recreativas.org, ClawGrip]
- 13725: gaelco/gaelco2.cpp: Added an additional Pro Cycle Tele Cardioline set. [Josep Quingles, Recreativas.org, ClawGrip]
- 13726: gaelco/gaelco.cpp: Added two additional versions of Squash (one working). [Josep Quingles, Recreativas.org, ClawGrip]
- 13727: Improved emulation of the VT369 SoC and added internal ROMs to a number of systems using it. [David Haywood]
- 13729: cpu/z80: Store flag register bits separately (improves performance). [holub]
- 13730: tvgames: Added six TV games based on SunPlus SoCs (five working). [David Haywood, Sean Riddle, TeamEurope]
- 13731: misc/falgas_m89.cpp: Marked systems as having imperfect sound, rather than completely unemulated sound. [flama12333]
- 13732: gaelco/gaelco.cpp: Added five additional versions of Thunder Hoop. [Josep Quingles, Recreativas.org, ClawGrip]
- 13734: nichibutsu/nbmj8688.cpp: Improved DIP switch setting labels for Mahjong Crystal Gal and Mahjong Crystal Gal 2. [buffi]
- 13735: galeco/wrally_ms.cpp: Dumped a World Rally Championship prototype running on the Modular System (not working).
  [Josep Quingles, Recreativas.org, David Haywood, ClawGrip]
- 13736: handheld/hh_sm510.cpp: Added Tronica Treasure Island. [Milan Galcik, algestam, hap]
- 13737: pinball/gts3a.cpp: Dumped a Spanish version of the Super Mario Bros pinball. [Victor Fernandez (City Game), ClawGrip]
- 13738: adp/adp.cpp, adp/stella8085.cpp, adp/stellafr.cpp: Dumped eleven games (not working). [m170.dev, stonedDiscord]
- 13739: handheld/hh_sm510.cpp: Added Elektronika Vesolaya arifmetiki. [Milan Galcik, Igor Nys]
- 13740: gaelco/xorworld_ms.cpp: Dumped a version of Xor World for the Modular System. [Javier Valero, Recreativas.org, ClawGrip]
- 13742: handheld/hh_sm510.cpp: Added the Soviet prototype Uchitel' arifmetiki device. [Milak Galcik, Igor Nys]
- 13743: gaelco: Dumped the PLDs and PROMs for three games on the Modular System. [Josep Quingles, Recreativas.org, ClawGrip]
- 13744: gaelco/gaelco.cpp: Moved some Salter fitness machines to a more appropriate source file. [David Haywood]
- 13746: gaelco/gaelco3d.cpp: Added a prototype of Radikal Bikers (not working). [Javier Valero, Recreativas.org, ClawGrip]
- 13747: gaelco/glass.cpp: Added a prototype of Glass (not working). [Javier Valero, Recreativas.org, David Haywood, ClawGrip]
- 13748: video/ppu2c0x_vt.cpp: Added support for high-resolution modes, and improved VT32 PPU emulation. [David Haywood]
- 13949: tvgames: Added six JAKKS Pacific TV games (four working). [David Haywood, Sean Riddle, TeamEurope]
- 13750: gaelco/wrally.cpp: Added three additional versions of World Rally Championship. [Josep Quingles, Recreativas.org, ClawGrip]
- 13751: gaelco/gaelco.cpp: Identified the test switch for Salter exercise machines. [ClawGrip]
- 13752: handheld/hh_sm510.cpp: Added Elektronika Vinni-Pukh (Winnie the Pooh). [Milan Glacik, Igor Nys]
- 13753: gaelco/gaelco2.cpp: Added three additional versions of World Rally 2. [Josep Quingles, Recreativas.org, ClawGrip]
- 13754: sanyo/phc25.cpp: Connected the CRT controller’s GM1 input to I/O port 0x40 bit 4. [Sylvain Glaize]
- 13755: formats/phc25_cas.cpp, sanyo/phc25.cpp: Corrected the cassette signal polarity. [Olivier Valentin]
- 13757: gaelco/targeth.cpp: Added two additional versions of Target Hits/Quick Shots.
  [Josep Quingles, Recreativas.org, David Haywood, ClawGrip]
- 13758: emu/validity.cpp: Validate device input defaults and inputs for non-default slot options. [AJR]
- 13759: cirsa/missbamby.cpp: Added a note about an alternate ROM arrangement for Deta Multy. [Javier Blanco Ojeda, ClawGrip]
- 13760: sinclair/tsconf_rs232.cpp: Emulated the TS-Conf “ZiFi” UART. [holub]
- 13761: tvgames: Added eight TV games (five working), and re-dumped the Wall-E TV game. [David Haywood, Sean Riddle, TeamEurope]
- 13762: gaelco/wrally.cpp: Reordered the World Rally Championship sets by likely release order. [ClawGrip]
- 13763: gaelco/glass.cpp: Added seven additional versions of Glass and Super Splash.
  [Josep Quingles, Recreativas.org, David Haywood, ClawGrip]
- 13764: trs/coco3.cpp: Reordered devices in machine configuration to work around non-deterministic behaviour. [Tim Lindner]
- 13765: megadriv.xml: Added 27 working items, and replaced one item with a better dump. [ArcadeShadow]
- 13766: gaelco/lotoplay.cpp: Added a version of Loto Play using a PIC16C54 MCU. [Josep Quingles, Recreativas.org, ClawGrip]
- 13769: gaelco/gaelco3d.cpp: Added three additional versions of Surf Planet. [Josep Quingles, Recreativas.org, ClawGrip]
- 13770: cpu/sharc: Corrected alignment of 32-bit PM bus accesses. [Matthew Daniels]
- 13771: gaelco/targeth.cpp: Updated a system short name in a comment. [ClawGrip]
- 13772: gaelco/gaelco3d.cpp: Added three additional versions of Speed Up. [Josep Quingles, Recreativas.org, ClawGrip]
- 13775: machine/mm58174.cpp: Improved leap year handling, save state support and logging, and cleaned up code. [Mark Garlanger]
- 13776: gaelco/splash.cpp: Added three additional versions of Splash! [Josep Quingles, Recreativas.org, ClawGrip]
- 13777: gaelco/splash_ms.cpp: Added an additional version of Splash for the modular system.
  [Josep Quingles, Recreativas.org, David Haywood, ClawGrip]
- 13778: tvgames: Added seven TV games based on SunPlus SoCs (two working). [David Haywood, Sean Riddle, TeamEurope]
- 13779: taito/taitotz.cpp: Marked the hard disk for the Japanese version of Raizin Ping Pong as a bad dump. [Necosada, FMecha]
- 13781: gaelco/gaelco2.cpp: Added an additional version of Maniac Square. [Josep Quingles, Recreativas.org, ClawGrip]
- 13782: sanyo/phc25.cpp: Corrected the CRT controller type and fixed incorrectly re-triggered interrupts. [Sylvain Glaize]
- 13783: gaelco/splash.cpp: Added three additional versions of Splash! and New Splash. [Josep Quingles, Recreativas.org, ClawGrip]
- 13784: gaelco/glass.cpp: Added an earlier version of Super Splash. [Josep Quingles, Recreativas.org, David Haywood, ClawGrip]
- 13785: gaelco/xorworld_ms.cpp: Dumped an additional version of Xor World on the Modular System (not working).
  [Josep Quingles, Recreativas.org, ClawGrip]
- 13786: sega/segahang.cpp: Fixed the PCM sample ROM loading for endurobl. [cam900]
- 13787: sinclair/specnext.cpp: Removed the imperfect graphics flag (emulated graphics features are believed to be correct). [holub]
- 13788: heathzenith/z100.cpp: Corrected and confirmed all the Z-100 PROM dumps. [Mark Garlanger]
- 13789: roland/roland_tr707.cpp: Added an interactive layout for the TR-707 and TR-727. [m1macrophage]
- 13792: 3rdparty/bx, file/posixdir.cpp, file/posixptty.cpp: Adjusted some platform detection code. [Pino Toscano]
- 13793: gaelco/gaelco2.cpp: Added the correct graphics and sound ROMs for the North America version of Touch and Go. [ClawGrip]
- 13794: gaelco/xorworld.cpp: Added a prototype of Xor World 1.2. [Josep Quingles, Recreativas.org, David Haywood, ClawGrip]
- 13795: konami/k007121.cpp: Fixed the sprite limit and moved the sprite RAM bank selection logic into the device. [Jim Westfall]
- 13796: sega/model2.cpp: Implemented texture mirroring and fixed some texture issues affecting racing games. [Matthew Daniels]
- 13798: video/hd61602.cpp, roland/roland_tr707.cpp: Emulated the HD61602 LCD controller and Roland TR-808 display. [m1macrophage]
- 13799: cpu/m6800: Fixed the 6801 ICR read handlers (high- and low-order bytes were reversed). [m1macrophage]
- 13800: gaelco/gaelco.cpp: Added two versions of Xor World on earlier hardware (not working).
  [Josep Quingles, Recreativas.org, David Haywood, ClawGrip]
- 13801: tvgames/spg2xx.cpp, tvgames/spg2xx_pdc.cpp: Added seven working games. [David Haywood, Sean Riddle, TeamEurope]
- 13802: gaelco/xorworld_ms.cpp: Added graphics, sound and input emulation, and promoted the games to working. [David Haywood]
- 13803: usp/patinho_feio.cpp: Fixed some corrupted text in the internal artwork for the Patinho Feio computer. [Felipe Sanches]
- 13804: nichibutsu/galivan.cpp: Re-dumped the Tecfri version of Ninja Emaki. [Jordi Tuells, ClawGrip]
- 13805: gaelco/wrally_ms.cpp: Improved emulation so the game boots and shows graphics. [David Haywood]
- 13806: gaelco/wrally.cpp: Reordered World Rally Championship sets. [David Haywood]
- 13807: namco/namcos11.cpp: Noted that music synchronisation issues in Pocket Racer are an original game bug. [AnthonyRyuki]
- 13808: bus/spectrum/ay: Added a slot to allow the sound module to be selected for the Spectrum 128 computer family. [holub]
- 13809: bus/spectrum/zxbus: Grouped ZXBUS device source files in a subdirectory. [holub]
- 13812: sinclair/z88.cpp: Moved the Cambridge Computers Z88 and associated devices to the Sinclair project. [holub]
- 13813: Added thirteen TV games and handheld games (two working). [David Haywood, Sean Riddle, TeamEurope]
- 13814: sega/model1_m.cpp, sega/model2.cpp: Fixed sine/cosine lookup corner cases (fixes issues in Daytona USA). [Matthew Daniels]
- 13815: machine/mos6551.cpp: Copy received data from shift register to data register bit-by-bit during stop bit. [Colin Leroy-Mira]
- 13816: astrocorp/astrcorp.cpp: Added a note about what the ASTRO F01 chip is based on die markings. [ArcadeHacker, ClawGrip]
- 13818: konami/contra.cpp: Added the watchdog timer. [Jim Westfall]
- 13819: konami/tmnt2.cpp: Removed the sound CPU non-maskable interrupt connection for Lightning Fighters. [jotego]
- 13820: ekara_cart.xml: Added a Kids' Song 20 cartridge and twelve used e-kara Web cartridges. [David Haywood, TeamEurope]
- 13821: tvgames/xavix_2002.cpp: Re-dumped the ROM for PowerKIDS Jr. [TeamEurope, David Haywood]
- 13822: gaelco/wrally_ms.cpp: Fixed graphics priorities and promoted the World Rallye prototype to working. [David Haywood]
- 13823: sinclair/tsconf.cpp: Added CRAM initialisation, and changed the initial system RAM fill to 0x00. [holub]
- 13825: Dumped seven TV games and hand-held games. [TeamEurope, David Haywood]
- 13827: heathzenith/z100.cpp: Fixed the 8085 speed, improved saved state support, and tidied code. [Mark Garlanger]
- 13828: machine/spg_renderer.cpp: Don’t blend when drawing over transparent pixels. [Simon Eriksson]
- 13830: Removed a few empty if blocks in the build scripts for the SDL OSD layer. [Pino Toscano]
- 13831: zx81_cass.xml: Added 37 items (36 working). [ArcadeShadow]
- 13832: dataeast/dec8.cpp: Corrected non-maskable interrupt gating logic for The Real Ghostbusters. [Jim Westfall]
- 13834: act/victor9k.cpp: Restored hard disk controller access. [Paul Devine, donohoe00]
- 13837: file/posixptty.cpp: Added a workaround for systems that don’t define PATH_MAX. [Pino Toscano]
- 13839: taito/taitotz.cpp: Improved 3D graphics, including adding support for alpha effects on direct geometry. [Ryan Holtz]
- 13840: sinclair/tsconf.cpp Emulated memory access cache and wait states for 14 MHz operation. [holub].
- 13843: namco/wacky_gator.cpp: Improved the internal artwork for Wacky Gator. [Felipe Sanches]
- 13846: pinball/gts3a.cpp: Dumped an earlier version of the Vifico Super Mario Brothers pinball machine. [jordigahan, ClawGrip]
- 13847: taito/taitotz.cpp: Increased the size and improved handling of the direct-FIFO (fixes crashes). [Ryan Holtz]
- 13848: Dumped four TV games/electronic toys and four associated cartridges. [TeamEurope, David Haywood]
- 13849: casio/fz1.cpp, formats/fz1_dsk.cpp: Added floppy drive to Casio FZ-1, and corresponding floppy disk format. [Devin Acker]
- 13851: sega/model2.cpp: Improved sound communication. [Matthew Daniels]
- 13856: roland/roland_tr707.cpp: Added sound emulation and promoted system to working. [m1macrophage]
- 13858: tvgames/xavix_2002.cpp: Added Bandai Taikan Daikaijuu Battle. [TeamEurope, David Haywood]
- 13860: moog/source.cpp, paia/fatman.cpp: Disable superfluous envelope generator stream outputs. [m1macrophage]
- 13868: sound/dac76.cpp, sound/va_eg.cpp, sound/va_vca.cpp: Adapt to configured inputs and outputs. [m1macrophage]
- 13870: pc/play4texash.cpp: Dumped the CPLD used by Play 4 Texas Hold'em. [ClawGrip]
- 13871: namco/namcos12.cpp: Added Tekken 3 (Japan, TET1/VER.D). [Tailsnic Retroworks, ClawGrip]
- 13872: nintendo/nes_vt369_vtunknown.cpp: Added Lexibook Cyber Arcade Pocket - Spider-Man. [TeamEurope, David Haywood]


Source changes
--------------
-pgm: use retry_access to sync on reads for 2-way sound comms [hap]

-ics2115: update stream before r/w, some irq flag fixes [hap]

-skeleton/e100.cpp: Minor cleanup. [Nigel Barnes]
 * Simplified screen_update, and corrected character width of 6 pixels.

-New driver for Super Shanghai 2000 series. [Roberto Fresca, Grull Osgo] all three existent sets were renamed, rearranged, and moved
 to this new driver to complete their emulation. [Roberto Fresca]

Systems promoted to working
---------------------------
Super Shanghai 2000 (set 1, green board) [Roberto Fresca, Grull Osgo]
Super Shanghai 2000 - Wrestle Fiesta (30% bonus, red board) [Roberto Fresca, Grull Osgo]

Clones promoted to working
--------------------------
Super Shanghai 2000 (set 2, green board) [Roberto Fresca, Grull Osgo]

-misc/sshanghai.cpp driver. Default DIP switches and cleanup. [Roberto Fresca]

New working clones
------------------
Cal Omega - Game 7.9b (Arcade Poker, bootleg?) [Roberto Fresca, Grull Osgo, Ioannis Bampoulas]

-misc: clean up some utf8 strings [hap]

-hash/a7800.xml: redumped and corrected ROM labels for foodfu, karatekau, polepos2u. Added PCB values for some more sets [Guru]

-New sound infrastructure. [Olivier Galibert]
 * Should be added soon:
   - mute
   - speaker/microphone resampling
     * To be added a little later:
   - compression
   - reverb
     * Needs to be added by someone else:
   - coreaudio
   - direct
   - portaudio
   - xaudio2
   - js

-sound/va_eg.cpp: Fix assert for debug build [AJR]

-ef9345: apply same double-height scaling as the real chip (#13629) [Fabio D'Urso]
 * Before this commit, characters with the double-height attribute (H) were scaled by repeating all their scanlines twice.
 * In the real chip, the first scanline is repeated three times and the last one only once.

-namco/polepos.cpp: Custom audio device cleanups and fixes [AJR]
 * Save state variables
 * Eliminate use of absolute tag by making device tag the same as that of the memory region
 * Use finder for memory region

-src/mame/tvgames/spg2xx.cpp: Added 2 plug and plays (#13628) [mamehaze]

New working clones
------------------
Dora the Explorer - Dora TV Adventure Globe (UK) [TeamEurope, David Haywood]

New NOT WORKING machines
------------------------
Let's! TV Play Team Taikou! Card de Power Up! Tamagotchi School Senshuken (Japan) [TeamEurope, David Haywood]

-Fix for dkong and avi recording [Olivier Galibert]

-sound: disable verbosity by default [Olivier Galibert]

-taitogn: fix sound routing regression [hap]

-sound docs: small corrections after doing a quick read [hap]

-cbus/pc9801_86.cpp: fix DAC routing regression [angelosa]

-nec/pc9821.cpp: use the internal IDE BIOS for pc9821ap2 [angelosa]

-Some fixes [Olivier Galibert]

-cassette: add more items to savestate [hap]

-misc: be consistent with dummy save state var name (easy to grep if the workaround is obsolete in the future) [hap]

-simulate sh3 sci transmitter emptying, fixes https://github.com/mamedev/mame/issues/13634 [smf-]

-Simplified Popeye & Sky Skipper background code [smf]

New working clones
------------------
Chaoji Da Manguan II (China, V765C) [Mr. Kong, little0]

New systems marked not working
------------------------------
Biorhythm (For-Play) [Siftware]

-hash/a7800.xml: corrected ROM label for rampage [Guru]

-Cleaned up various things. [Vas Crabb]

-More fixes [Olivier Galibert]

-cassette/misc: small cleanup [hap]

-Some like it wide [Olivier Galibert]

-Make avi able to do more than stereo [Olivier Galibert]

-sound sliders: press Del to set to 0db like before (mute is alt+left) [hap]

-sound sliders: multiply internal value by 10 to allow fine grained slider controls (left/right while holding Shift) [hap]

-sound sliders: correction to prev commit [hap]

-astrob: apply same fix as spacfury [hap]

-Fixed a bunch of new audio system regressions for various Macintosh models. [R. Belmont]

-oberheim/dmx.cpp: Adapting to new sound interface. (#13637) [m1macrophage]

-namcos12_cdxa: fix crash on set output gain [hap]

-audiomix: use fat triangles instead of arrows for L/R indicators [hap]

-moog/source.cpp: emulating envelope generators and LFO timing. (#13636) [m1macrophage]

-audiomix: more control over db adjustment (like with sliders, hold shift for +/- 0.1, hold ctrl for +/- 10) [hap]

-audiomix: update docs after prev commit [hap]

-sound: make sure m_samples_to_update is 0 when returning from update() [hap]

-atari/jaguar.cpp: adjusted clock of the MIPS based games to the actual chip type [Brian Troha]

-igs/igs017.cpp: added NVRAM support to most sets [Ivan Vangelista]

-seta/simple_st0016.cpp: added controls for dcrown [Brian Troha]

-seta/st0016.cpp: adjusted some visible areas, added some notes [Ivan Vangelista]

-add preliminary driver for Casio FZ series samplers (#13623) [Devin Acker]
 * implement internal serial interrupt for V50
 * support alternate screen dimensions for HD44352

New NOT_WORKING machine
-----------------------
Casio FZ-1 Digital Sampling Synthesizer [Rainer Buchty, Devin Acker]

New NOT_WORKING clone
---------------------
Casio FZ-10M Digital Sampling Synthesizer Module [Tom Virostek, Devin Acker]
Casio FZ-20M Digital Sampling Synthesizer Module [BCM, Devin Acker]

-sound: suppress some warnings [Patrick Mackinlay]

-linn/linndrum.cpp: Adapting to the new sound interface. (#13642) [m1macrophage]

-formats/tap: added warnings about wrong checksum and size of the image (#13641) [holub]

-i8255: remove unreachable code [hap]

-device_mixer_interface: set samplerate to osd rate, like how it was before sound rewrite [hap]

-magmax,terracre,opwolf: remove obsolete mixer device now that multiple sound outputs can be sent to a sound device single input
 (probably can be done to other drivers too, i only did arcade games) [hap]

-Revert "device_mixer_interface: set samplerate to osd rate, like how it was before sound rewrite" [hap]
 * This reverts commit 99fc7b2c7f45562a10dea68c754015c29173b537.

-Fixed discrete (probably) [Olivier Galibert]

-sound: add sync time to savestates [hap]

-taitosj: workaround for large speed loss [hap]

-emu/device.cpp: Allow flagging devices as not working or not supporting saved states. [Vas Crabb]
 * emu/device.cpp: Removed device_sound_interface from mixins that require device to register members for saved states.
 * emu/machine.cpp: Finalise saved state registrations before loading configuration - network devices no longer leak timers.
 * emu/validity.cpp: Added check for systems marked as supporting saved states that use devices lacking saved state support (besides
    slot cards).
 * machine/mc6852.cpp: First device marked as not supporting saved states.
 * osd/interface/audio.h: Avoid unnecessary float/double conversions.

-igs/igs_m027.cpp: Added I/O for ccly. [Vas Crabb]

-igs/igs_m027.cpp: Added internal layout for ccly and fixed some inputs. [Vas Crabb]
 * Not promoting to working as I think sound may still be bad.

New clones marked not working
-----------------------------
Kuai Le Xi You Ji (V102CN) [little0]

-Only link asmjit if native DRCs are built. [Vas Crabb]

-cpu/h8/h8_adc.cpp: Wrap channel to avoid crash if end channel gets set lower than current channel (MT09160). [Vas Crabb]

-igs/igs_m027.cpp: Added I/O for the Kuaile Xiyou Ji games. [Vas Crabb]
 * It's kind of similar to Tarzan Chuang Tianguan 2 Jiaqiang Ban, but with different button assignments, particularly in mahjong
    panel mode.
 * Not promoting to working as they regularly give "hopper empty" errors in "joystick" mode, possibly due to not liking the timings
    from our hopper device.  The games are playable if you use Key-Out to pay out winnings.

-igs/igs_m027.cpp: Added a few missing inputs for tct2p, klxyj102cn and klxyj104cn. [Vas Crabb]
 * Also added a more detailed comment explaining mahjong panel controls for tct2p.

-netlist: prevent stream buffer overflow after detecting it [hap]

-rsp: add preliminary savestates [hap]

-rsp: add m_v to savestates [hap]

-misc/sshanghai.cpp driver improvements: [Roberto Fresca]
 * Sorted out and added more default DIP switches.
 * Added technical and game notes about the stealth systems.
 * Added instructions to play and switch the games.

-3rdparty/expat: Updated expat to version 2.7.1. (#13643) [holub]

-ui/info.cpp: Root device is special for non-working message. [Vas Crabb]

-bmc/koftball.cpp: Improved I/O: [Vas Crabb]
 * Identified take/w-up/high/low for koftball.
 * Make known inputs match test mode for kaimenhu and jxzh.
 * Added hopper for kaimenhu and jxzh.
 * Identified in-game music DIP switch for kaimenhu and jxzh.
 * Identified odds rate DIP switches for jxzh.
 * Added credits in/out counters for kaimenhu and jxzh.
 * Corrected DIP switch polarity for kaimenhu and jxzh.

-cpu/z80: Optimized detection of attention needed in service step. (#13630) [holub]

-igs/igs011.cpp: Fixed inputs for lhb3 (same as lbh2). [Vas Crabb]
 * Also identified the auto reach DIP switch for lhb2/lhb3 and cleaned up some code.

-namco/mappy.cpp: Pac'n'Pal settings fix [codefrog2002]

-gaelco/gaelco2.cpp: Sorted out Touch and Go sets and add missing ones (#13640) [ClawGrip]

New working clones
------------------
Touch and Go (non North America, 16/Nov/1995, checksum 056533F0) [Josep Quingles, Recreativas.org]
Touch and Go (non North America, 15/Nov/1995, checksum 056C2336) [Josep Quingles, Recreativas.org]
Touch and Go (non North America, 15/Nov/1995, checksum 056C138F) [Josep Quingles, Recreativas.org]
Touch and Go (North America, 14/Nov/1995) [Josep Quingles, Recreativas.org]

-victor9k: Fix 8253 PIT input clock rates and connect outputs to uPD7201 serial interface (#13662) [freitz85]

-m50dass: device is unemulated, disable cpu for now [hap]

-model2: prevent infinite loop in geo_parse() (#13659) [Matthew Daniels]
 * MAME no longer hangs when exiting Sonic the Fighters service menu

-igs/igs011.cpp: Improved inputs and DIP switches for xymg and wlcc. [Vas Crabb]
 * Also initialise data members, filled in some of the lhb2 DIP switch settings that aren't drawn properly from a hardware
    screenshot, cleaned up slightly, and updated known issues comment for lhb3.

-capcom/cps2.cpp Added Publicity versions of Puzz Loop 2 and Choko. (#13660) [Nekoziman]

New working clones
------------------
Puzz Loop 2 (Japan 010201 Publicity) [Team Japump!!!]
Janpai Puzzle Choukou (Japan 010820 Publicity) [Team Japump!!!]

-misc/acefruit.cpp: Added Flashback (not working). (#13655) [James Wallace]

New systems marked not working
------------------------------
Flashback [James Wallace, BuyItFixIt]

-fmtowns_cd.xml: Added 23 items (twenty working) and replaced three items with better dumps. (#13651) [r09]

New working software list items (fmtowns_cd.xml)
------------------------------------------------
Advanced Dungeons & Dragons - Heroes of the Lance [redump.org]
Arquelphos [redump.org]
CD Learning System II - New Horizon English Course 3 [redump.org]
CD Learning System II - New Horizon English Course 3 (FM Towns Marty version) [redump.org]
ClearMind - Shimoguchi Yuuzan no Shuuchuuryoku Kaihatsu [redump.org]
Digital Pinup Girls Vol. 2 - Lovely Shooting [redump.org]
Euphony II / Score V1.1 L10 [redump.org]
F-BASIC386 Compiler V2.1 L20 [redump.org]
FM Towns Appli Jikkou Set (TownsGEAR, F-BASIC386) V2.1 L20 [redump.org]
FM Towns Demonstration CD-ROM 1993-nen Haru-gou [redump.org]
Fouge Vol. 1 - Ki - Japan - Maeda Shinzou no Sekai [redump.org]
Fujitsu Journal Special Edition by CD-ROM [redump.org]
Heike Monogatari (Joukan) (rerelease) [redump.org]
Image Fight (demo) [redump.org]
Iwanami Bungakukan - Natsume Souseki [redump.org]
LiveMovie V1.1 L10 [redump.org]
Many Colors (HMD-225) [redump.org]
Moko - Dougen Zenji 750-kai Daionki Kinen [redump.org]
Music Pro-Towns v1.3 (MIDI Ongenban) [redump.org]
TownsGraph V2.1 L10 [redump.org]

New software list items marked not working (fmtowns_cd.xml)
-----------------------------------------------------------
CRI StacCard [redump.org]
FM Towns Demonstration CD-ROM 1992-nen Haru-gou [redump.org]
Tele Harmonium - City Lights [redump.org]

Replaced software list items (fmtowns_cd.xml)
---------------------------------------------
Hishouzame / Flying Shark [redump.org]
Strike Commander Plus [redump.org]
Super Street Fighter II - The New Challengers (sample disc) [redump.org]

-misc/acefruit.cpp: Fixed build. [Vas Crabb]

-casio/pickytlk.cpp: Added JD-366. (#13656) [qufb]

New systems marked not working
------------------------------
Casio Super Picky Talk - My room fantasy [QUFB]

-bmc/koftball.cpp: Added koftball counter outputs. [Vas Crabb]
 * Also identified a DIP switch and added a comment about soft settings.

-cpu/z80: Removed internal TADR variable - effective addresses can be passed around as needed. (#13654) [holub]

-Add a much faster LoFi resampler [Olivier Galibert]

-Add resampler configuration saving and documentation [Olivier Galibert]

-cpu/i960: Reduce padding area size when servicing interrupt (#13667) [Matthew Daniels]
 * Prevents crash due to stack overflow during ranking screen in Virtual-On

-snes.xml: Added eighteen items (seventeen working) and replaced three dumps with modified headers. (#13612) [ArcadeShadow]
 * Replaced Piko games with modified headers with correct dumps (Pinkie, Little Medusa, Jim Power enhanced version). [No-Intro]
 * Added developer and language metadata for many items

New working software list items (snes.xml)
------------------------------------------
Dragon View (USA, Limited Run Games) [No-Intro]
Dragon View (USA, prototype) [No-Intro]
Eyra - The Crow Maiden (demo 20210910) [No-Intro]
Eyra - The Crow Maiden (digital) [No-Intro]
Eyra - The Crow Maiden (USA) [No-Intro]
Fork Parker's Crunch Out [No-Intro]
Ghoul Patrol (USA, Limited Run Games) [No-Intro]
Jim Power - The Lost Dimension in 3D [No-Intro]
Märchen Adventure Cotton 100% (USA) [No-Intro]
Mechanoids II - The Final Conflict (prototype) [Game That Weren't]
Mechanoids II - The Final Conflict (non-playable prototype) [Game That Weren't]
Socks the Cat Rocks the Hill [No-Intro]
Super Turrican 2 (USA, Strictly Limited Games) [No-Intro]
Super Turrican Collection (USA) [No-Intro]
Sydney Hunter and the Caverns of Death (Europe) [No-Intro]
Unholy Night: The Darkness Hunter (Europe) [No-Intro]
Zombies Ate My Neighbors (USA, Limited Run Games) [ArcadeShadow]

New software list items marked not working (snes.xml)
-----------------------------------------------------
Rendering Ranger R2 (USA) [No-Intro]

-phoenix/phoenix.cpp: Dumped the palette PROMs for Next Fase. (#13664) [Jordi Tuells]

-Fix typo in lofi resampler [Olivier Galibert]

-Fix wavwrite [Olivier Galibert]

-Fix resampler config interaction with reset [Olivier Galibert]

-DUH [Olivier Galibert]

-Who knows, maybe I'll get it right on the third time [Olivier Galibert]

-discrete: Fix streamed inputs [Olivier Galibert]

-sound: only rebuild resamplers when necessary [hap]

-audioeffects: like with the rest of the UI, press Del to set resampler settings to default [hap]

-audioeffects: gray out hq resampler settings if resampler is not hq [hap]

-bmc/koftball.cpp: Split out common parts of address map, better inputs for jxzh and kaimenhu. [Vas Crabb]

-sound: correct sample timings [Olivier Galibert]

-bmc/bmcpokr.cpp, bmc/koftball.cpp, misc/gms.cpp: Better inputs. [Vas Crabb]
 * bmc/bmcpokr.cpp: Better inputs for xyddzhh, and cleaned up some DIP switches.
 * bmc/koftball.cpp: Identified a few DIP switches, marked games as having uneumlated protection, promoted koftball and kaimenhu to
    working.
 * misc/gms.cpp: Hooked up mahjong keyboard for yyhm.

Systems promoted to working
---------------------------
Zuqiu Wang - King of Football [Vas Crabb]
Kaimen Hu [Vas Crabb]

-misc/carrera.cpp driver improvements: [Roberto Fresca, Grull Osgo]
 * Fix color bipolar PROM decode and palette calculation, based on real games screenshots.
 * Added NVRAM support for all games.
 * Created default NVRAM for carrera and bsebman sets, with harcoded critical values/registers needed to get the games working.
 * Workaround that fix the titles corruption for both carrera and bsebman sets.
 * Inputs and DIP switches.
 * Fix alantin colors, based on the real game screenshots.
 * Changed bsebman description to: Carrera (Version 6.7) / Bomberman (Version 6.6)
 * Added technical and game notes.

Systems promoted to working
---------------------------
Bomberman (Version 6.6, Avraam bootleg) [Roberto Fresca, Grull Osgo]
Bomberman (Version 6.6, J.T. bootleg) [Roberto Fresca, Grull Osgo]
Alantin - Aladdin's Magic Lamp [Roberto Fresca, Grull Osgo]
Dark Seal (8-liner) [Roberto Fresca, Grull Osgo]

-netlist: Ensure correct input of non-audio data [Olivier Galibert]

-resampler: Correct history sizes to take desynchronization into account [Olivier Galibert]

-Correct sample counts on update [Olivier Galibert]

-odyssey2: set voice subslot cartridge as required [hap]

-cpu/z80: Changed macro call syntax in generator input (#13671) [holub]
 * cpu/z80: Changed macro call syntax in generator input
 * help compiler
 * fix

-sound: avoid updating at t=0, the environment may not be not initialized enough [Olivier Galibert]

-sound: update prev commit with different init detection [hap]

-sound: update prev commit with different init detection (retry) [hap]

-z80.lst: small cleanup (press enter after semicolon) [hap]

-z80.lst: std::swap correction [hap]

-misc/gms.cpp: Fixed inputs for mahjong games. [Vas Crabb]
 * Mahjong keyboard, joystick and buttons, coin, key-in, service and bookkeeping work for all mahjong games now.
 * Improved DIP switch labels for cjdlz.
 * Identified nine DIP switches for ssanguoj.

-Merge a number of speakers. [Olivier Galibert]

New systems marked not working
------------------------------
Bai Bian Dou Dizhu [little0]
Dingji Dou Dizhu [little0]
Dou Dizhu II [little0]

-sunwise/jankmg2.cpp: corrected game title [Wayder]

-lofi resampler: Better step precision to avoid crackling [Olivier Galibert]

New systems marked not working
------------------------------
Fengdou Jiaqiang Ban [little0]
Fengkuang Dou Dizhu [little0]
Gangbao Sifang [little0]
San Da Ha [little0]

-hash/a7800.xml: verified dump and improved documentation for aceoface [Guru]

-bmc/koftball: updated drawing routine to work correctly for available dumps. More studying needed. [Ivan Vangelista]

-sealy/sealy_z80.cpp.preliminary GFX decoding, borrowed from sealy_m16c.cpp [Ivan Vangelista]

-effects: Recompute filters after loading the configuration [Olivier Galibert]

-misc/gms.cpp: Better inputs: [Vas Crabb]
 * Added mahjong keyboard option for Baile 2000.
 * Hooked up key-out input for games with mahjong keyboard hooked up.
 * Hooked up payout input in joytstick mode for games with mahjong keyboard hooked up.

-bmc/koftball.cpp: Slightly less hacky layer enable logic. [Vas Crabb]

-redbook routing fix [Olivier Galibert]

-moog/source.cpp: Moved netlist declaration to nl_source.h. (#13680) [m1macrophage]

-dspp: Various fixes [AJR]
 * Register STATE_GENPCBASE so debugger will recognize CPU
 * Limit ACC to 20 bits in debugger state display
 * Use util::sext for sign extension in non-DRC paths. Note that this changes behavior because positive values were sometimes not
    truncated to 20 bits previously.
 * Make disassembly slightly less broken, though still very much a stub

-modules.lua: only check for pipewire lib if NO_USE_PIPEWIRE is 0 [hap]

-correct sidebs2j (Evoluzione RR) buildtag (#13675) [FMecha]

-namcos12: Fix Tekken 3 release date (#13683) [AnthonyRyuki]

-ui: remove master volume slider if driver has no sound [hap]

-dspp: Add a real disassembler [AJR]

-Fix for SH3/SH4 DRC regression in b26662f1bba6809df145d9e8b3f78f66e3a7c7db, which prevented generate_checksum_block() being called
 for RAM areas. [smf]

-dspp: Tweak mnemonics in disassembler [AJR]

-misc/gms.cpp: Improved I/O: [Vas Crabb]
 * Hooked up hopper and counters.
 * Added payout key in mahjong matrix.
 * Reworked inputs and DIP switches for San Se Caishen: use conventional poker terminology, hooked up mahjong keyboard, better DIP
    switch labels.
 * Improved joystick controls and added mahjong keyboard option for Jinpai Suoha - Show Hand.

-ui/confswitch.cpp: Fixed layout issue when DIP switch bank with the most switches has the shortest name, and reduced space between
 name and switches a bit. [Vas Crabb]

-ui/info.cpp: Fixed some non-bug "warnings" going missing. [Vas Crabb]

-bmc/bmcpokr.cpp: Got rid of indirection on bitmap. [Vas Crabb]

-misc/gms.cpp: Organise buttons so Big comes before Small. [Vas Crabb]

-ui/confswitch.cpp: Fixed copy/paste error. [Vas Crabb]

New working clones
------------------
Rollergames (Asia) [twistedsymphony]

-skeleton/boramz80.cpp: started fleshing it out [Ivan Vangelista]

-dataeast/brkthru.cpp: Add the world set of Break Thru (new parent) (#13682) [ClawGrip]

New working systems
-------------------
Break Thru (World) [Jordi Tuells]

-gaelco/mastboyo.cpp: Add a new Master Boy (1987) set (#13679) [ClawGrip]

New working clones
------------------
Master Boy (1987, Z80 hardware) [Josep Quingles, Recreativas.org]

-gaelco/mastboy.cpp: Sorted out Master Boy sets and added missing ones (#13674) [ClawGrip]

New working clones
------------------
Master Boy (Spain, set 3, checksum 6070) [Josep Quingles, Recreativas.org]
Master Boy (Spain, set 4, checksum CC6D) [Josep Quingles, Recreativas.org]
Master Boy (Italy, set 3, checksum 6918) [Josep Quingles, Recreativas.org]
Master Boy (Italy, set 4, checksum 680C) [Josep Quingles, Recreativas.org]
Master Boy (Italy, test version) [Josep Quingles, Recreativas.org]
Master Boy Olympic (Italy, set 1, checksum 77A8) [Josep Quingles, Recreativas.org]
Master Boy Olympic (Spain, set 1, checksum 7309) [Josep Quingles, Recreativas.org]
Master Boy Olympic (Spain, set 2, checksum 741B) [Josep Quingles, Recreativas.org]
Master Boy Version II (Italy, set 1, checksum 618F) [Josep Quingles, Recreativas.org]
Master Boy Version II (Spain, set 1, checksum 5A0B) [Josep Quingles, Recreativas.org]
Master Boy Version II (Spain, set 2, checksum 5B1D) [Josep Quingles, Recreativas.org]

Clones promoted to working
--------------------------
Master Boy Version II (Italy, set 1, checksum 629B) [Josep Quingles, Recreativas.org]

-Added correct MCU ROM for Italian Version II sets. [ClawGrip]

-Verified old extracted MCU ROM for Spanish sets is 100% good. [ClawGrip]

-Add a new Lady Bug bootleg set on Galaxian hardware (#13681) [ClawGrip]

New working clones
------------------
Lady Bug (bootleg on Galaxian hardware, encrypted) [Luis Arrufat, Francisco Javier Muñoz Calero]

-misc/gms.cpp: Added double up game functions to input names. [Vas Crabb]

-[win] debugger crash: Add fallback to "0" if address evaluation fails (#13686) [dave-br]
 * Memory window address field: If address string evaluation fails, we'd fall back to the last-known-working string.  This works
    great if the failure is due to the user changing the string.  But if the user changes the source, that also can cause failures
    (different symbol table used for evaluation), and this fallback does not help.
 * The fix is to add a second fallback: Use "0" as the address string when all else fails.

-emu/inpttype.ipp: Group default double-up game control assignments on home row. [Vas Crabb]
 * Also moved Mahjong P to P and Payout to 4.  This fixes the conflict between Mahjong I and Payout.
 * misc/gms.cpp: Added missing Key Out, Payout and hopper inputs for Super 555 and improved input names.
 * misc/gms.cpp: Use poker input types for Baile 2005.
 * dynax/ddenlovr.cpp, dynax/dynax.cpp, dynax/royalmah.cpp: Removed Payout assignments as they match the new default anyway.
 * docs: Bumped version since various features not in 0.277 are documented now.

-pipewire: do not block on shift-f3 [Olivier Galibert]

-sdl sound: make system default work, hopefully [Olivier Galibert]

-Small documentation fixes (#13672) [Firehawke]

-Don't show the audio menus when there are no audio devices [Olivier Galibert]

New systems marked not working
------------------------------
Victory Paradise (V9) [Hammy]

New clones marked not working
-----------------------------
Dream 9 Flower (v1.00c, set 2) [Hammy]
Long Hu Bang II: Cuo Pai Gaoshou (China, V127C) [little0]
Lucky Star (newer Z180-based hardware, set 2) [Hammy]

-Remove obsolete options (compressor will be in effects, speaker report should go into a lua plugin) [Olivier Galibert]

-misc/gms.cpp: Fixed more I/O: [Vas Crabb]
 * Added lamp outputs, worked out what they do for Super Card 2 in 1 and Super Ball 2001.
 * Fixed inputs for Magic Slot and Super Card 2 in 1.
 * Fixed inputs, added mahjong keyboard option and improved DIP switch labels for Huangguan Leyuan.
 * Improved I/O for Super Ball 2001 (not fully understood).
 * Improved DIP switch labels for Super 555.

-misc/gms.cpp: Fixed inputs and worked out lamps for Ball Challenge and Creatures of the Sea. [Vas Crabb]

-Rework a case where the sound defaults are not put in place in correct order (when starting a system with mandatory cart without
 one) [Olivier Galibert]

-igs/igs011.cpp: corrected mistake in the lhb2cpgs ROM addition, hooked up correct decryption and preliminary protection patches
 [Ivan Vangelista]

-skeleton/boramz80.cpp: added inputs for the pkboram set [Ivan Vangelista]

-hash/a7800.cpp: PCB type and proper rom names for most entries [Guru]

-docs: remove mentions of removed compressor cmdline option [hap]

-misc/gms.cpp: Added internal layouts for most games with lamps. [Vas Crabb]
 * Super Ball 2001, Super Card 2 in 1, Jinpai Suoha - Show Hand, Ball Challenge and Creatures of the Sea now have clickable layouts
    with button lamps.
 * Also updated a couple of input names and comments.

-igs/igs011.cpp: Determined what some of the characters that can't be seen in lhb2 DIP switch test are supposed to be. [Vas Crabb]

-dataeast/brkthru.cpp: Remove brkthrubl. Has the same ROMs as the original World version (#13692) [ClawGrip]

-misc: add braces around switch/case variable declaration [hap]

-sound: Add a compressor.  May need some tuning [Olivier Galibert]

-compressor: remove printf spam [hap]

-sealy/sealy_m16c.cpp: dumped Oki ROM for fkddz [little0]

-sealy/sealy_z80.cpp: dumped Oki ROM and EEPROM for ddz2 [little0]

-debugger cleanup: use enums for m_views indices (#13687) [dave-br]
 * For the wininfos that participate as individual panes in the main console window, their viewinfos are referenced via the
    m_views[] array with hard-coded indices of 0, 1, and 2.
   - Define & use enums for those indices (VIEW_IDX_DISASM, VIEW_IDX_STATE, VIEW_IDX_CONSOLE)
   - Change MAX_VIEWS from a hard-coded constant of 4 to the last enum in that list, which changes it to 3.  (I don't think it
      should have been 4 in the first place.)
   - wininfos that NEVER appear as panes in the main console window (e.g., logwin_info, pointswin_info, etc.) continue to use
      m_views[0]

-current Plug and Play PR (2 not working sets) (#13677) [mamehaze]

New NOT WORKING machines
------------------------
Disney Princess Dress Mania TV (Japan) [David Haywood, Team Europe]
XaviX Bowling (XaviXPORT, PT2-BWL-11, Japan) [David Haywood, Team Europe]

-sound: Better decoupling of the effects thread [Olivier Galibert]

-sound: fix incorrect detection of config loading when the driver file was not yet created [Olivier Galibert]

-EQ: detect when not actually used [Olivier Galibert]

-New machines marked as NOT_WORKING (#13529) [stonedDiscord]

-adp/stella8085.cpp: Start mapping peripherals [AJR]

-adp/stella8085.cpp: Update IC notes [AJR]

New machines marked as NOT_WORKING
----------------------------------
Altair 8800b [DeRamp.com]

-mits/al8800b.cpp: Fix build [AJR]

-gaelco/goldart.cpp: Add new sets for different countries (#13688) [ClawGrip]

New clones marked not working
-----------------------------
Goldart (France, Covielsa license) [Josep Quingles, Recreativas.org]
Goldart (Germany) [Josep Quingles, Recreativas.org]
Goldart (United Kingdom) [Josep Quingles, Recreativas.org]

-Add PLD dumps to Gaelco games and verify bruteforced ones [Josep Quingles, Recreativas.org] (#13684) [ClawGrip]

-sega\segaybd.cpp Added G-LOC (Japan) and Power Drift (Japan, Rev C) (#13668) [Nekoziman]

New working clones
------------------
G-LOC Air Battle (Japan) [Team Japump!!!]
Power Drift (Japan, Rev C) [Team Japump!!!]

-changed old 'pdriftj' to 'pdriftjb' [Nekoziman]

-adlib: use official product name for device string [hap]

-adlib: remove unneeded r/w trampoline [hap]

-igs/igs011.cpp: Fixed video RAM handling. [Vas Crabb]
 * Fixes numerous graphical glitches, including missing characters in service mode (MT08993), bad colours on vbowl game over screen,
    glitchy "ODDS" banner remaining on-screen in xymg, incorrect colours on copyright years on titles screens for lhb and clones,
    and more.
 * There's only enough video RAM for four 8-bit layers.  The "depth" register configures how many 8-bit layers are required (zero to
    four), and the remaining buffers are treated as pairs of 4-bit layers.  For example xymg uses one 8-bit layer and six 4-bit
    layers.
 * The CPU always sees an 8-bit view of video memory, and must handle updating the correct nybble to draw to an individual 4-bit
    layer.  The blitter always uses 4-bit source data for 4-bit layers, but can use 4-bit or 8-bit source data for 8-bit layers (it
    also supports 5-bit source mode with the top bit read from a separate ROM area).

-audio compressor: make it a little less enthusiastic [Olivier Galibert]

-sblaster: add command 0x80 [cracyc]

-emu/emupal: added xGRB format [Ivan Vangelista]

-skeleton/boramz80.cpp: added colors [Ivan Vangelista]

-misc/gms.cpp: Add multiplexed EEPROM interface that works for most games. (Unfortunately, this does not eliminate the need for 68K
 ROM patches.) [AJR]
 * machine/eepromser.cpp: Add configuration parameter for DO tristate level

-i386: check for fault before setting register [cracyc]

-sound: Fix synchronous streams [Olivier Galibert]

-Sorry, local configuration leaked out [Olivier Galibert]

New machine added
-----------------
Trapeze / Trampoline [Dilweed, smf]

-Added Circus memory map mirroring from the schematics, trapeze uses 0x5000 for video ram. [smf]

New machines added
------------------
Block Fever [Dilweed, smf]

-Sound frequencies are estimated from a video of the real game, as schematics do not exist. The clickable artwork colors were taken
 from the same video. An output is pulsed when you finish a game after scoring enough points to replay, it's purpose is unknown.
 Better pictures of the PCB are required to confirm the layout. [smf-]

-circus: fix compile error [hap]

New working clones added
------------------------
Fantastic Spacians (hack of 'Super Galaxians') [Dilweed, smf]

New working clones
------------------
Moon Cresta (SNK) [Dillweed, smf]

-srcclean [smf-]

New not working clones
----------------------
005 (Earlier version?) [smf-]

New working clones added
------------------------
Sasuke vs. Commander (set 2) [Dillweed, smf]

-igs/igs011.cpp: Added range check on blit destination. [Vas Crabb]
 * Just log a message if a game tries to blit to an out-of-range layer for the current configuration.
 * Also set vertical blanking time and total lines based on measurements for nkishusp, and always blit to the whole 512*256 area as
    in principle the CPU can read areas that aren't visible on-screen.

-tx1: remove set_output_gain to nonexistent output [hap]

New systems marked not working
------------------------------
AV-Mahjong Yanchana Koneko (Japan Ver 1.01 1990/08/23) [Hammy]
Paint 'N Puzzle Super [Tylar R]
Piaoliang Jinhua [little0]
Piaoliang Jinhua 2 [little0]

New clones marked not working
-----------------------------
Shuang Long Qiang Zhu 2 VS (China, VS203J, set2) [little0]

-hash/a7800.xml: more PCB and ROM label updates [Guru]

-sega/segae.cpp, taito/taito_z.cpp: documentation updates [Brian Troha]

-misc/pntnpuzls.cpp: hookup CRTC, RAMDAC, UART [angelosa]

-stella8085: correction to rom_load sizes [hap]

-igs/igs011.cpp: Hooked up hopper, and fixed some inputs and DIP switches. [Vas Crabb]

-sound: enhance portaudio support. [Olivier Galibert]
 * Sadly, portaudio is limited to the worst case of all OSes audio supports (and ALSA est rather bad) and does not yet handle
    hotplug. So the result is quite limited.
 * Also, the devices when running portaudio over emulated alsa over pulseaudio are quite ugly.  Still works though.

-adp/stella8085.cpp: More memory map improvements; mark ROMs for excellent as bad dumps [AJR]

-sound: Fix save states [Olivier Galibert]

-sound: Do not interpolate when not changing rate, fixes pbobble2 and gunlock [Olivier Galibert]

-pntnpuzls: more hookup [cracyc]

-hxchfe: Reimplemented HxC floppy emulator HFE format. [Michael Zapf]

-ti99: Make the HFE format available to the disk controllers. [Michael Zapf]

-igs/igs011.cpp: Revert interrupt frequency changes from 515ae3f08181af64b008ea4ebf90a2752702f8dd. [Vas Crabb]
 * The commit message for 515ae3f08181af64b008ea4ebf90a2752702f8dd (was SVN r14679 at the time) doesn't provide a justification for
    changing the periodic interrupt frequencies, implying it's just cleaning up use of deprecated functionality.  The change from
    120 Hz to 240 Hz for systems using the "lhb" configuration caused dbc, lhb33c and ryukobou to stop recognising coins reliably
    (MT05678).  Despite the comments added to the machine configuration functions, changing the frequency of these timers does not
    change the music tempo.
 * This changes the periodic timer frequencies back to what they were previously.  The timing is still suspect.  We really need
    someone to hook some of these games up in a logic analyser to get proper video timings and work out where the periodic
    interrupts actually come from.

-build: update vs/msbuild settings to reflect current clangcl (#13633) [Patrick Mackinlay]

-3rdparty: cherry-pick upstream fixes for clangcl [Patrick Mackinlay]

-hxchfe_dsk: fix build [Patrick Mackinlay]

-misc/pntnpuzls.cpp: decode video [angelosa]

-misc/pntnpuzls.cpp: hookup ir0, start identifying buttons [angelosa]

-pntnpuzls: add coin inputs [cracyc]

-pntnpuzls: more inputs [cracyc]

-misc/pntnpuzls.cpp: standardize button layout [angelosa]

-pntnpuzls: connect touchscreen [cracyc]

-microtch: fix conversion [cracyc]

-pntnpuzls: add sound [cracyc]

-igs/igs011.cpp: Miscellaneous changes: [Vas Crabb]
 * Implemented video suppress bit in blitter "depth" register (used to blank the screen while setting up scenes that take multiple
    frames to draw).
 * Reduced audio output levels to avoid hitting the compressor at least most of the time.
 * Optimised blit and screen update a little.
 * Split class up a bit more, made more things private, made a sub-map function for the blitter registers.

New working systems
-------------------
Super Shanghai 2001 (set 1, red board) [Roberto Fresca, Grull Osgo, Ioannis Bampoulas]
Super Shanghai 2001 (set 2, red board) [Roberto Fresca, Grull Osgo, Ioannis Bampoulas]

-Created a new driver for New Carrera 2000. [Roberto Fresca, Grull Osgo] The MCU behavior has been simulated to make the game
 playable. The MCU also has full range memory access, so it can read ROM and Read/Write NVRAM, can draw graphics, manages reels
 display animation, and inputs. [Roberto Fresca]

-misc/sshanghai.cpp driver: Remove leftover. [Roberto Fresca]

-misc/pntnpuzls.cpp: update QA, misc cleanups [angelosa]

-deco16: turn off verbose log flag [hap]

-bwing: correct bgpen and paletteram read [hap]

-cexpert: update notes [hap]

-misc/ncarrera.cpp: Fixed compile and srcclean. [R. Belmont]

-igs/igs011.cpp: corrected address maps for lhb3 and tygn. Avoids crashes. [Ivan Vangelista]

-midway/midzeus.cpp: corrected ROM size for u2 of mk4b [Brian Troha]

-skeleton/boramz80.cpp: added DIP definitions for other sets that boot [Ivan Vangelista]

-skeleton/lgtz80.cpp: decoded GFX and added preliminary video emulation [Ivan Vangelista]

New not working machine
-----------------------
Mushiking The King Of Beetles 2003 Second (Japan) [HRKT20, MetalliC, rtw]

-pinball/gts3a.cpp: Add a Vifico licensed version of Cue Ball Wizard (#13693) [ClawGrip]

New clones marked not working
-----------------------------
Cue Ball Wizard (Spanish) [Victor Fernandez (City Game), Jordi Beltran (Crazy Taxi)]

-namco/rallyx.cpp: Verify Danger Track PROMs [Recreativas.org] (#13696) [ClawGrip]

-gaelco/gaelco2.cpp: Add an Alligator Hunt clone with alternate title (#13699) [ClawGrip]

New working clones
------------------
Lizard Hunt (unprotected, checksum 25A83609) [Josep Quingles, Recreativas.org]

-gaelco/gaelcof3.cpp: Add two more kiddie ride dumps (#13700) [ClawGrip]

New systems marked not working
------------------------------
Mueve [Josep Quingles, Recreativas.org]
Ob-La-Di [Josep Quingles, Recreativas.org]

-Add missing PROMs and PLDs to several Modular System games [Josep Quingles, Recreativas.org] (#13690) [ClawGrip]

-Skeleton driver for Gaelco Loto-Play (#13695) [ClawGrip]

New systems marked not working
------------------------------
Loto-Play (set 1) [Josep Quingles, Recreativas.org]

New clones marked not working
-----------------------------
Loto-Play (set 2) [Josep Quingles, Recreativas.org]
Loto-Play (set 3) [Josep Quingles, Recreativas.org]
Loto-Play (set 4) [Josep Quingles, Recreativas.org]

New not working machine
-----------------------
SystemSP Factory Check Server [HRKT20, MetalliC, rtw]

-midw8080/8080bw.cpp: Add a Spanish Space Invaders bootleg named Cosmic Battle (#13644) [ClawGrip]

New working clones
------------------
Cosmic Battle (Recreativos Franco bootleg of Space Invaders) [Jordi Tuells]

-midway/williams.cpp: Add a Spanish Defender clone named Next Century (#13639) [ClawGrip]

New working clones
------------------
Next Century (bootleg of Defender) [Retroclub.es, Recreativas.org]

-midw8080/8080bw.cpp, midway/williams.cpp: used actual XTALs present on the PCBs of recently added bootlegs [Ivan Vangelista]

-misc drivers: removed doubled up semicolons [Ivan Vangelista]

-Cocoa debugger: debug view scroll workarounds (#13673) [Antonio Malara]
 * debugger-osx: workaround to fix bottom scrolling and scrollbars the first time the debug window overflows

-pc9801: try again with scrolling [cracyc]

-misc/ncarrera.cpp driver: Added more documentation, technical notes, more cleanups, and fixed copyright. [Roberto Fresca]

-sega: hookup stub DSB2 MPEG device [angelosa]

-isa/sblaster.cpp: hookup command logs thru logmacro.h [angelosa]

-hash/pc98.xml: fix hamlet boot order, fix tesserae metadata [angelosa]

-qt/debuggerview.cpp: style over system colors [angelosa]

-skeleton/lgtz80.cpp: improved reels positioning [Ivan Vangelista]

-qt/debuggerview.cpp: QPalette:Accent doesn't exist in Qt5 [angelosa]

-sega/dsb2.cpp: add basic MPEG playback [angelosa]

-pa_sound: add support for audio latency and samplerate options [hap]

-pa_sound: lower latency interval steps [hap]

-osd: small cleanup to copy pasted header comment [hap]

-igs/igs_m027.cpp: added Oki banking for jking02, klxyj and tct2p [Ivan Vangelista]

-igs/igs_m027_033vid.cpp: adjusted Oki banking so that it works for huahuas6, too [Ivan Vangelista]

-sealy/sealy_m16c.cpp: dumped Oki ROM for gbsf [little0]

-hd6309: correct branch cycles in native mode [hap]

-hxchfe: Do not exit for an unknown encoding, just inform. [Michael Zapf]

New working clones
------------------
Poker (Version 50.02 ICB, set 3 alt) [Roberto Fresca, Grull Osgo, Ioannis Bampoulas]

New systems marked not working
------------------------------
Shenzhou Jielong [little0]

-gaelco/gaelco2.cpp: Add four new Gaelco Bang sets (#13702) [ClawGrip]

New working clones
------------------
Bang! (version 2, checksum 140E) [Josep Quingles, Recreativas.org]
Bang! (version 2, checksum D35D) [Josep Quingles, Recreativas.org]
Gun Gabacho (Japan, version 2, checksum 1C8C) [Josep Quingles, Recreativas.org]
Gun Gabacho (Japan, version 2, checksum B75B) [Josep Quingles, Recreativas.org]

-gaelco/gaelco3d.cpp: Add two more Football Power sets (#13703) [ClawGrip]

New working clones
------------------
Football Power (version 4.6) [Josep Quingles, Recreativas.org]
Football Power (version 1.4) [Josep Quingles, Recreativas.org]

-gaelco/gaelco.cpp: Add a new Last Km clone (#13706) [ClawGrip]

New working clones
------------------
Last KM (ver 1.0.0227, checksum 747a7443, prototype) [Josep Quingles, Recreativas.org]

-misc/flower.cpp: Dumped a Sega/Alpha version of flower and found program ROM matches Komax version. (#13704) [Nekoziman]
 * Corrected sound CPU ROM location, and marked version with modified program ROM as a possible bootleg.

New working clones
------------------
Flower (Japan) [Team Japump]

-igs/igs_m027.cpp: Hooked up sound ROM banking for Chong Chong Leyuan. [Vas Crabb]

-misc/cardline.cpp: Use poker input types. [Vas Crabb]

-misc/flower.cpp: Tabulated the system definitions again. [Vas Crabb]

-docs: Actually commit the version bump. [Vas Crabb]

-muichiz [Olivier Galibert]

-Revert mistake [Olivier Galibert]

-pa: avoid deadlocks, avoid device name collisions [Olivier Galibert]

-Appease annoying CI [Olivier Galibert]

-miuchiz: fix flags, at least.  Message should have been "split driver into per-game entries". [Olivier Galibert]
 * new non working system Miuchiz Bratz Cloe [Lord Nightmare] Miuchiz Bratz Yasmin [Lord Nightmare] Miuchiz Monsterz Creeper [Lord
    Nightmare] Miuchiz Monsterz Inferno [Lord Nightmare] Miuchiz Monsterz Roc [Lord Nightmare] Miuchiz Pawz Dash [Lord Nightmare]
    Miuchiz Pawz Spike [Lord Nightmare]

-miuchiz: fix compile warning [hap]

New working clones
------------------
Riviera Hi-Score (2131-08, U5-4, 111786) [Roberto Fresca, Grull Osgo, Ioannis Bampoulas]
Riviera Hi-Score (2131-08, U5-3C, 091586) [Roberto Fresca, Grull Osgo, Ioannis Bampoulas]
Riviera Hi-Score (2131-08P, 5C25C, 082702, set 1) [Roberto Fresca, Grull Osgo, Ioannis Bampoulas]
Riviera Hi-Score (2131-08P, 5C25C, 082702, set 2) [Roberto Fresca, Grull Osgo, Ioannis Bampoulas]

-merit/merit.cpp: Fix comments. [Roberto Fresca]

New systems marked not working
------------------------------
unknown Kramer Poker (US Rev L5, encrypted) [Roberto Fresca, Grull Osgo, Ioannis Bampoulas]

-misc/miuchiz.cpp - fix validation errors (#13716) [Matthew Daniels]

New systems marked not working
------------------------------
Pub Time Darts v1.4 [Roberto Fresca, Grull Osgo, Ioannis Bampoulas]

-gaelco/gaelco2.cpp: Add more Gaelco/Salter Gym equipment sets (#13711) [ClawGrip]

New working clones
------------------
Pro Cycle Tele Cardioline (Salter fitness bike, V.1.0, checksum 3523) [Josep Quingles, Recreativas.org]

New clones marked not working
-----------------------------
Pro Cycle Tele Cardioline (Salter fitness bike, older, set 1) [Josep Quingles, Recreativas.org]
Pro Cycle Tele Cardioline (Salter fitness bike, older, set 2) [Josep Quingles, Recreativas.org]
Pro Cycle Tele Cardioline (Salter fitness bike, older, set 3) [Josep Quingles, Recreativas.org]
Pro Cycle Tele Cardioline (Salter fitness bike, older, set 4) [Josep Quingles, Recreativas.org]
Pro Stepper Tele Cardioline (Salter fitness stepper, older, set 1) [Josep Quingles, Recreativas.org]
Pro Stepper Tele Cardioline (Salter fitness stepper, older, set 2) [Josep Quingles, Recreativas.org]
Pro Stepper Tele Cardioline (Salter fitness stepper, older, set 3) [Josep Quingles, Recreativas.org]
Pro Stepper Tele Cardioline (Salter fitness stepper, older, set 4) [Josep Quingles, Recreativas.org]

New clones marked not working
-----------------------------
Happy Pierrot (V987271) [buffi]

-okim6376: fix regression, small cleanup [hap]

-igs/igs_m027.cpp: Changed Chong Chong Leyuan sound chip clock to 2 MHz. [Vas Crabb]
 * Speech samples and fanfares sound a lot more natural this way.

-mame.lst: reorder list again [hap]

-midiverb: remove unneeded variables, sphinx40: remove unneeded trampoline [hap]

-misc/pntnpuzls.cpp: preliminary touchscreen layout [angelosa]

-sound: change audio_latency duration option to milliseconds [hap]

-sound: remove references to portaudio options that were removed [hap]

-cpu/mb86235: Improve TGPx4 interpreter (#13718) [Matthew Daniels]
 * cpu/mb86235: Improve TGPx4 interpreter Most Sega Model 2C-CRX games are now working with 3D graphics
 * cpu/mb86235: fixing clang compile error
 * cpu/mb86235: authors are listed on line 2, no need to repeat them (nw)

-pa_sound: add api info to device names [hap]

-shared/efo_sound3.cpp: Fix regression from new sound system [AJR]

-sound: re-add support for -volume option (works same as before sound rewrite) [hap]

-options: fix range checker with negative values [hap]

-sound: no need to save master volume of 0 [hap]

-fntspcian: change company string to hack [hap]

-emuopts: correct typo [hap]

-sound: disable error.log "Sound reset" message by default [hap]

-memorymoog, xpander: Replaced matrix() with write_mx/my(). (#13721) [m1macrophage]

-sega/315-5881_crypt.cpp: cursory cleanups [angelosa]

-sega/model3.cpp: massage UART comms hack for sound in swtrilgy/srally2 [angelosa]

-sound: update prev commit (sound reset msg is not OSD) [hap]

-cpu/z80: Flatten 16b rw operations in order to avoid vars manipulations (#13676) [holub]

-igs/igs_m027_033vid.cpp: hooked up hopper [Ivan Vangelista]

-skeleton/boramz80.cpp: hooked up coin counters [Ivan Vangelista]

New working clones
------------------
In The Hunt (Korea?) [nnap]

Systems promoted to working
---------------------------
Huahua Shijie 5 / Feixing Shijie (V107CN) [David Haywood, Ivan Vangelista]
Qiji 6 (V118CN) [David Haywood, Ivan Vangelista]

-tsvme104: added Tekmis TSVME104 card [Xolod]

-sound: change audio_latency to seconds (float), so people with existing mame.ini won't get broken sound [hap]

-mc68681: ignore tx enable if already enabled [Patrick Mackinlay]

-pa_sound: add error messages [hap]

New systems marked not working
------------------------------
Neo Carnival [buffi]

-igs/igs_m027_033vid.cpp: added coin counters [Ivan Vangelista]

-gaelco/gaelco.cpp: Add a new Big Karnak clone (#13713) [ClawGrip]

New working clones
------------------
Big Karnak (ver. 1.0, checksum 1e38b94) [Josep Quingles, Recreativas.org]

-sound: update mapping when changing audio mixer configuration (fixes issues in audio mixer menu, like randomly adding new entries
 when pressing l/r, cursor randomly moving to 1st entry when pressing l/r, and portaudio errors when switching devices) [hap]

-pa_sound: add device name to error message [hap]

-sound_module: set default sink node to 0 [hap]

-Revert "sound_module: set default sink node to 0" [hap]
 * This reverts commit 0f7b4dc5facc301e9ff6a57dbfa78e941f11a424.

-skeleton/whtm68k.cpp: changed to MACHINE_IMPERFECT_SOUND  (#13723) [flama12333]

-debugger: symlist usability + symbol table extensibility (#13694) [dave-br]
 * Address issue #6655 (symlist command usability), add a bit of plumbing for future extensibility.
 * symlist with no arguments displays all global *and* :maincpu symbols, with clear header text for each list.  At the bottom,
    prints helper text to make user aware of the cpu form
 * To allow for adding new kinds of symbols in the future, this adds an enum field to symbol table for its 'type', for prettier
    printing from symlist.  Symlist now traverses symbol table chain completely.

New working clones
------------------
GTI Double or Nothing Draw Poker (GoT PCB, set 1) [Roberto Fresca, Grull Osgo, Ioannis Bampoulas]

New systems marked not working
------------------------------
unknown Kramer Poker (encrypted) [Roberto Fresca, Grull Osgo, Ioannis Bampoulas]

New clones marked not working
-----------------------------
GTI Double or Nothing Draw Poker (GoT PCB, set 2) [Roberto Fresca, Grull Osgo, Ioannis Bampoulas]
HI-LO Double Up Joker Poker (set 2) [Roberto Fresca, Grull Osgo, Ioannis Bampoulas]
System 3000 Kramergame Poker (encrypted set 5) [Roberto Fresca, Grull Osgo, Ioannis Bampoulas]
Turbo Poker 2 (set 4) [Roberto Fresca, Grull Osgo, Ioannis Bampoulas]
Turbo Poker 2 (set 5) [Roberto Fresca, Grull Osgo, Ioannis Bampoulas]

-Added technical documentation, including detailed notes and an ASCII schematic diagram for gtipokrc daughterboard, and marked the
 set as machine unemulated protection. [Roberto Fresca]

-i386: check cpl in verr and verw [cracyc]

-osd: Various cleanup and fixes: [Vas Crabb]
 * osd/interface/audio.h: Implemented movable and swappable patterns (reduces allocation and copying).
 * monitor/monitor_module.h: Got rid of a C string pointer, avoid the need for a static string object.
 * sound/sound_module.cpp: Moved default implementation stuff out of the header, use algorithm library in place of memcpy.
 * sound/pa_sound.cpp: Fixed a non-const global that should be const.
 * monitor/monitor_dxgi.cpp: Fixed an object leak.
 * Cleaned up some use of COM and COM-like things.

-ncr5385: remove incorrect enum value [Patrick Mackinlay]

-sega/m3comm.cpp: fix black screen regression in srally2 [angelosa]

-sega/model3.cpp: fix MT #08790, allow lostwsga and lemans24 to boot again [angelosa]

-remove obsolete wave (cassette sound) device [hap]

-Plug and Play additions (mostly JAKKS Pacific) (#13697) [mamehaze]

New working systems
-------------------
Dreamworks Shrek / Over The Hedge (JAKKS Pacific TV Game) [David Haywood, Sean Riddle, TeamEurope]
The Amazing Spider-Man in Villain Round-Up (JAKKS Pacific TV Game) (24 Apr 2006 A) [David Haywood, Sean Riddle, TeamEurope]
Disney Princess Magical Adventures (JAKKS Pacific TV Game) [David Haywood, Sean Riddle, TeamEurope]
Arcade Gold featuring Pac-Man (20 APR 2007 A SKU O) [David Haywood, Sean Riddle, TeamEurope]
Cinderella - Once Upon a Midnight (JAKKS Pacific TV Game) (Aug 29 2007 11:15:55) [David Haywood, Sean Riddle, TeamEurope]
High School Musical (JAKKS Pacific TV Game) (Dec 19 2007 17:08:20) [David Haywood, Sean Riddle, TeamEurope]
Retro Arcade featuring Pac-Man (20 AUG 2008 A SKU N) [David Haywood, Sean Riddle, TeamEurope]
Super Pac-Man Collection (26 JAN 2006 A SKU L) [David Haywood, Sean Riddle, TeamEurope]
Sleeping Beauty - Tales of Enchantment (JAKKS Pacific TV Game) (Sep 17 2007 14:45:02) [David Haywood, Sean Riddle, TeamEurope]
Marvel Heroes: Ultimate Action (JAKKS Pacific TV Game) [David Haywood, Sean Riddle, TeamEurope]

New working clones
------------------
Ms. Pac-Man Collection 7-in-1 (JAKKS Pacific TV Game) (QVC version, 12 JUL 2004 A) [David Haywood, Sean Riddle, TeamEurope]
Ms. Pac-Man Collection 5-in-1 (JAKKS Pacific TV Game) (01 APR 2004 A) [David Haywood, Sean Riddle, TeamEurope]

New systems marked not working
------------------------------
SpongeBob SquarePants Dilly Dabbler (JAKKS Pacific TV Game) [David Haywood, Sean Riddle, TeamEurope]
World Poker Tour (JAKKS Pacific TV Game) [David Haywood, Sean Riddle, TeamEurope]

New clones marked not working
-----------------------------
Disney (JAKKS Pacific TV Game) (SPG110 hardware, 28 MAY 2004 A) [David Haywood, Sean Riddle, TeamEurope]

-cirsa/missbamby.cpp: Add Arfyc 3 Mini (#13714) [ClawGrip]

New systems marked not working
------------------------------
3 Mini [Javier Blanco, Recreativas.org]

-gaelco/gaelco.cpp: Add two Gaelco Squash sets (#13726) [ClawGrip]

New working clones
------------------
Squash (USA, ver. 1.1, checksum 015b6f8a) [Josep Quingles, Recreativas.org]

New clones marked not working
-----------------------------
Squash (newer PCB) [Josep Quingles, Recreativas.org]

-gaelco/gaelco2.cpp: Add another Pro Cycle Tele Cardioline set (#13725) [ClawGrip]

New working clones
------------------
Pro Cycle Tele Cardioline (Salter fitness bike, V.1.0, checksum DECA) [Josep Quingles, Recreativas.org]

-gaelco/thoop2.cpp: Add four TH Strikes Back sets (#13724) [ClawGrip]

New working clones
------------------
TH Strikes Back (non North America, version 1.0, checksum 020EB346) [Josep Quingles, Recreativas.org]
TH Strikes Back (non North America, version 1.0, checksum 020E154A) [Josep Quingles, Recreativas.org]
TH Strikes Back (non North America, version 1.0, checksum 0206DF91) [Josep Quingles, Recreativas.org]
TH Strikes Back (non North America, version 1.0, checksum 0206DF91, without title) [Josep Quingles, Recreativas.org]

New systems marked not working
------------------------------
Mahjong The Mysterious World Returns (Japan) [buffi]

-merit/merit.cpp: removed duplicate set, improved documentation [Brian Troha]

-seibu/bloodbro_ms.cpp: fleshed out the driver. Still missing sound and sprite / tilemap priorities [Ivan Vangelista]

-sega/model3.cpp: hookup main board DSW bank [angelosa]

New systems marked not working
------------------------------
Top Draw (encrypted, set 1) [Roberto Fresca, Grull Osgo, Ioannis Bampoulas]
Top Draw (encrypted, set 2) [Roberto Fresca, Grull Osgo, Ioannis Bampoulas]
Top Draw (encrypted, set 3) [Roberto Fresca, Grull Osgo, Ioannis Bampoulas]
Top Draw (encrypted, set 4) [Roberto Fresca, Grull Osgo, Ioannis Bampoulas]

New clones marked not working
-----------------------------
GTI Double or Nothing Draw Poker (GoT PCB, set 3) [Roberto Fresca, Grull Osgo, Ioannis Bampoulas]

-gaelco/gaelco2.cpp: fixed sltpcycla parent / clone relationship [Ivan Vangelista]

-luna_68k: additional board stubs and firmware [Plamen Mihaylov]

-skeleton/lgtz80.cpp: Add ADPCM banking; expand NVRAM area; update notes [AJR]

-pa_sound: popmessage instead of printf if there's a device conflict while fiddling in the audio mixer menu [hap]

-audiomix: fix rounding issue with db adjust [hap]

New systems marked not working
------------------------------
Turbo Poker 1 (set 1) [Roberto Fresca, Grull Osgo, Ioannis Bampoulas]
Turbo Poker 1 (set 2) [Roberto Fresca, Grull Osgo, Ioannis Bampoulas]

-capcom/cps1.cpp: sf2re and sf2mkot are sf2ce clones [angelosa]

-sega/model3.cpp: implement proper stencil mask for 2d layer [angelosa]

-sound/xaudio2_sound.cpp: Initial support for new sound system features. [Vas Crabb]

-sound/xaudio2_sound.cpp: Setting the default latency to the target buffer submission frequency is a bad idea. [Vas Crabb]

-sega/model3.cpp: hookup lostwsga player 2 trigger and offscreen detect [angelosa]

-sega/megadriv_acbl.cpp: simulate coin latch for barek3mba [angelosa]

-sound/xaudio2_sound.cpp: Forgot to clear the want update flag. [Vas Crabb]

-sound/xaudio2_sound.cpp: Changed total buffer size to actually match specified latency (calculation didn't conside sample size or
 channel count). [Vas Crabb]

-sound/xaudio2_sound.cpp: Smarter buffer submission algorithm. [Vas Crabb]

-osd/interface/audio.h: Added missing header for clang. [Vas Crabb]

-sound/xaudio2_sound.cpp: Listen for critical engine errors, more clang warnings. [Vas Crabb]

-sound/xaudio2_sound.cpp: More paranoid cleanup. [Vas Crabb]
 * This hopefully fixes the freezes on exit when changing the sample rate underneath it.  Sound may or may not work after you do
    this until you restart MAME due to race conditions.

-Fix tdv2100 display edge-cases (#13707) [Frodevan]
 * Align switch polarity and fix default settings in TDV-2100 series terminal module
 * Fix attribute edge-case behaviour for TDV-2100 series
 * Fix bitwise-operation spacing

-seibu/bloodbro_ms.cpp: added sound by slightly adapting the implementation in seibu/raiden_ms [Ivan Vangelista]

-seibu/raiden2.cpp: corrected location for a couple mask ROMs in the raiden2 sets [Guru]

-sound/xaudio2_sound.cpp: Better handling of critical errors, more verbose logging. [Vas Crabb]

-technos/vball.cpp: demote vball2pjb with MACHINE_IMPERFECT_SOUND [angelosa]

-sega/model3.cpp: system port 8 is just an irq check strobe [angelosa]
 * fix spikeout/spikeofe bootup

-sega/model3_v.cpp: enable colormod for vs2 radar/cursors [angelosa]

New systems marked not working
------------------------------
Mahjong Jongoh (Japan, TTL800-03-04) [buffi]

New working clones
------------------
Mahjong Gal no Kokuhaku (Japan, set 2) [buffi]
Mahjong Reach Ippatsu (Japan, NM526-01) [buffi]

-mm1kb: use beep_device for the beeper and remove power switch sample [hap]

-various VT3xx (mostly VT369) work + some other VT refactoring, many sets now boot + games selectable (#13727) [mamehaze]
 * added a derived 6502 core for the VT3xx Sound CPU (built into the SoC), it has some customized opcodes
 * added enough emulation of the Sound CPU to get denv150 to pass initial checks
 * added internal SoC ROM to a number of sets that copy the sound program from it, allowing those to pass startup checks too
 * added preliminary support for some of the extra VT3xx background video features, note even the way the hardware implements these
    is ugly, they really are hacked on top of the standard NES modes
 * added preliminary support for extra VT3xx sprite modes
 * the above also allow various Lexibook sets to show boot screens eg. lxcmcysw, lxcmcyfz, lxcmcydp, lxcmcysp, lxcmcycr, lxcmcypj,
    lxcmcyba, lxcmcypp
 * paired some scrambling/encryption to specific SoC classes, as it's likely these represent slightly customized models, added modes
    for nubsupmf, red5mam, dgun2593, gcs2mgp, 240in1ar which also now show something
 * started looking at the new DMA modes needed by 240in1ar etc.
 * denv150 basically now works, but leaving it marked as NOT WORKING until the rest of the sound CPU logic is hooked up
 * flagged a few sets as potentially bad dumps
 * verified / corrected metadata for a number of sets now that they boot and can be better identified
 * identified some cases where there seem to be additional protection devices present, supplying either code or data
 * replaced vt1682 ALU in vt3xx emulation with its own implementation as it isn't the same
 * added relative offset support (a kind of banking internal to the VT3xx) allowing the majority of games in the multi-game menus to
    go ingame
 * added external banking support to a number of the larger games (anything larger than 32Mbytes has to be externally banked)
 * corrected ROM loading for a number of sets
 * fixed additional opcodes on sound CPU, and added the remaining peripherals
 * misc other VT related tweaks

-misc/falgas_m89.cpp: used MACHINE_IMPERFECT_SOUND for the sets that do play sounds (#13731) [flama12333]

-gaelco/goldart.cpp: Add PIC-based sets (not working) (#13722) [ClawGrip]

New clones marked not working
-----------------------------
Goldart (PIC16C54, Spain) [Josep Quingles, Recreativas.org]
Goldart (PIC16C54, France, Covielsa license) [Josep Quingles, Recreativas.org]
Goldart (PIC16C54, Germany) [Josep Quingles, Recreativas.org]
Goldart (PIC16C54, Portugal) [Josep Quingles, Recreativas.org]
Goldart (PIC16C54, United Kingdom) [Josep Quingles, Recreativas.org]

-cdi.xml: New  software added (#13666) [David 'Foxhack' Silva]

New working software list additions (cdi.xml)
---------------------------------------------
Cyber Soldier Sharaku [ShiroeNL, Redump.org]

-taito/taito_z.cpp: dumped PLDs [Guru]

-tattass: add set_maximum_quantum to prevent sound glitches [dink, ScOULaris]

-new handheld game Treasure Island (Tronica) (#13736) [MilanBA]

New working systems
-------------------
Treasure Island (Tronica) [Milan Galcik, Henrik Algestam]

-hh_sm510.cpp: added new game Amusing Arithmetic (#13739) [MilanBA]

New working systems
-------------------
Amusing Arithmetic (Elektronika) [Milan Galcik, Igor Nys]

-sound/wasapi_sound.cpp: Added preliminary WASAPI sound module (not enabled yet). [Vas Crabb]

-sound/xaudio2_sound.cpp: More fixes: [Vas Crabb]
 * Fixed a couple more potential deadlocks when handling critical engine errors.
 * Better tracking of the default device when devices are reconfigured.

-sound/wasapi_sound.cpp: Fixed clang warnings. [Vas Crabb]

-eminline: add muldiv64 and muldivu64 functions sound: correct subtle timing issues, add -sound support, add resampling at the edge
 [Olivier Galibert]

-gaelco/gaelco.cpp: Add new Thunder Hoop sets (#13732) [ClawGrip]

New working clones
------------------
Thunder Hoop (ver. 1, checksum 02a09fcd) [Josep Quingles, Recreativas.org]
Thunder Hoop (ver. X, checksum 00000020, without title) [Josep Quingles, Recreativas.org]
Thunder Hoop (North America, ver. C4, checksum 02A0A008) [Josep Quingles, Recreativas.org]
Thunder Hoop (non North America, ver. X, checksum 00000020, set 1) [Josep Quingles, Recreativas.org]
Thunder Hoop (non North America, ver. X, checksum 00000020, set 2) [Josep Quingles, Recreativas.org]

-pinball/gts3a.cpp: Add the Vifico-licensed version of Super Mario Bros pinball (#13737) [ClawGrip]

New clones marked not working
-----------------------------
Super Mario Brothers (pinball, Spanish) [Victor Fernandez (City Game)]

-speaker: allow positioning unknown and don't map audiomix: fix mistake on microphone channel mapping [Olivier Galibert]

-sound/wasapi_sound.cpp: Improved error handling and buffer management. [Vas Crabb]

-lib/osdobj_common.cpp: Made WASAPI sound the default on Windows and made DirectSound lower priority than XAudio2. [Vas Crabb]

-osd/eminline.h: Made multiply/divide helper names a bit more consistent with other functions. [Vas Crabb]

-osd/eigcc.h: Moved helpers that use the __int128 type here, and fixed availability detection for them. [Vas Crabb]

-osd/eigccx86.h: Added fast multiply/divide helpers for x86-64. [Vas Crabb]

-docs: Updated the list of supported sound modules. [Vas Crabb]

-exidy/exidy.cpp: Use the 1 Coin/1 Credit setting listed in the manual for Venture by default. [Vas Crabb]

-emu/sound.cpp: Fixed GCC uninitialised local variable warnings in sound_manager::run_effects(). [Vas Crabb]

-sound/wasapi_sound.cpp: Fixed clang ARM error. [Vas Crabb]

-sound: better handling of -sound none [Olivier Galibert]

-sound: Correct handling of streams closed on the osd side. [Olivier Galibert]

-sound/xaudio2_sound.cpp: Bump node number on critical XAudio2 engine errors. [Vas Crabb]
 * The sound manager bug that this was triggering has been fixed.  Sound now recovers reliably after changing the mixdown format.

-m68k: make pc-relative disassembly a little nicer to read [Olivier Galibert]

-hh_sm510.cpp: added new game Uchitel' arifmetiki (#13742) [MilanBA]

New working systems
-------------------
Uchitel' arifmetiki (Elektronika) [Milan Galcik, Igor Nys]

-Renamed Amusing Arithmetic to Vesolaya arifmetika, updated Nu, pogodi! release year. [MilanBA]

New systems marked not working
------------------------------
Mega Turbo 2 [Roberto Fresca, Grull Osgo, Ioannis Bampoulas]

-blockfvr.lay: change upper half of overlay to cyan, put overlay and cpanel in collections (aka toggleables) [hap]

-sound: A few refinements: [Vas Crabb]
 * sound/sound_module.cpp: Recirculate buffers rather than removing them to reduces allocations.
 * sound/sound_module.cpp: Scale the number of samples to skip on overrun according to the packet size.
 * sound/xaudio2_sound.cpp: Hide endpoint devices in "unplugged" state.

-sound/sound_wasapi.cpp, sound/sound_xaudio2.cpp: Deal with resetting per-app device to default in Windows mixer controls.
 [Vas Crabb]

-sound/xaudio2_sound.cpp: Actually commit correction to autocomplete gone wrong. [Vas Crabb]

Systems promoted to working
---------------------------
Super Mario Bros. 3 (Nelsonic) [Sean Riddle]

-Current JAKKS Pacific Plug+Play PR (5 working, 1 not working) (#13730) [mamehaze]

New working systems
-------------------
Dora the Explorer - Dora's World Adventure! [David Haywood, Sean Riddle, TeamEurope]
The Cheetah Girls - Passport to Fame (JAKKS Pacific TV Game) (Aug 1 2007 10:32:50) [David Haywood, Sean Riddle, TeamEurope]
Go Diego Go (JAKKS Pacific TV Game) [David Haywood, Sean Riddle, TeamEurope]
Sesame Street Beat (JAKKS Pacific TV Game) (Aug 23 2006 19:12:03, PAL/UK) [David Haywood, Sean Riddle, TeamEurope]
Nicktoons - Summer Camp (JAKKS Pacific TV Game) [David Haywood, Sean Riddle, TeamEurope]

New clones marked not working
-----------------------------
EA Sports Classics: NHL 95 & Madden 95 (JAKKS Pacific TV Game) [David Haywood, Sean Riddle, TeamEurope]

-move some salter sets around  (gaelco2.cpp -> gaelco.cpp) so that they boot (#13744) [mamehaze]

-uchitari: small correction to svg, megaturbo: correct company string typo [hap]

New working clones
------------------
Super Star 97 / Ming Xing 97 (version V153A) [little0]

New systems marked not working
------------------------------
Huangpai Zuqiu Plus / Chaoji Shuangxing Plus (V103CN) [little0]
Jan Mu [Hammy]
Majiang Zhengba (V103CN) [little0, Mr. Kong]

New clones marked not working
-----------------------------
Special Dream 9 (v1.0.7G) [Hammy]

-sealy/sealy_m16c.cpp: dumped Oki samples ROM for sandaha [little0]

-sealy/sealy_z80.cpp: dumped Oki samples ROM and EEPROM for bbddz [little0]

-Driver for a World Rally prototype on Modular System (#13735) [ClawGrip]

New clones marked not working
-----------------------------
World Rally (prototype on Modular System) [Javier Valero, Recreativas.org, David Haywood]

-sound/xaudio2_sound.cpp: Fixed some stuff not getting reset on exit()/init(). [Vas Crabb]

-sound/wasapi_sound.cpp, sound/xaudio2_sound.cpp: Don't print an error message on a "not found" error getting default devices - this
 happens when there are no active devices. [Vas Crabb]

-sound: Removed DirectSound sound module. [Vas Crabb]

-sound/xaudio2_sound.cpp: Use more fine-grained locking in voice callbacks, simplified further simplified buffer queueing.
 [Vas Crabb]

-phc25: Wire the gm1 signal to I/O PORT $40 bit 4. (#13754) [Sylvain Glaize]
 * phc25: Added context on comment on Attribute Bit 7.

-dislot: add set_option_device_input_defaults_all [hap]

-misc: small spelling correction [hap]

-Aloow seperate display and configuration names for sound nodes [Olivier Galibert]

-namco sound: fix typo on mono channels [Olivier Galibert]

-sound/wasapi_sound.cpp, sound/xaudio2_sound.cpp: Fixed device names. [Vas Crabb]

-file/winfile.cpp: Align allocation for directory entry structure in osd_stat. [Vas Crabb]

-file/stdfile.cpp: Updated signature for osd_stat. [Vas Crabb]

-sound/wasapi_sound.cpp, sound/xaudio2_sound.cpp: Changed logging back to display names. [Vas Crabb]

-Revert "dislot: add set_option_device_input_defaults_all" [hap]
 * This reverts commit f25dcd04d29418c49946bc8576208adb3292e016.

-sound: tell the osd about the update [Olivier Galibert]

-gaelco/wrally.cpp: Add new World Rally sets (#13750) [ClawGrip]

New working clones
------------------
World Rally (version 1.0, checksum DE0D) [Josep Quingles, Recreativas.org]
World Rally (version 1.0, checksum D384) [Josep Quingles, Recreativas.org]
World Rally (version 1.0, checksum C448) [Josep Quingles, Recreativas.org]

-gaelco/glass.cpp: Add a Glass prototype (development version, not working) (#13747) [ClawGrip]

New clones marked not working
-----------------------------
Glass (development PCB) [Javier Valero, Recreativas.org, David Haywood]

-gaelco/gaelco.cpp: Identify test switch for Salter sets (#13751) [ClawGrip]
 * Also homogenized Salter sets names with the others on the driver

-sound/wasapi_sound.cpp: Repeat the channel mask from the mix format back when initialising the audio client. [Vas Crabb]

-Driver for Gaelco Xor World on Modular System (#13740) [ClawGrip]

New clones marked not working
-----------------------------
Xor World (Modular System) [Javier Valero, Recreativas.org]

-fidelity: add printer port [hap, Golden Child]

-Fixed tpoker2d undumped MCU romname. [Roberto Fresca]

-portaudio: do not mess up on shift-f3 [Olivier Galibert]

-Similar fix for sdl [Olivier Galibert]

-A little more clearing for safety [Olivier Galibert]

-hh_sm510.cpp: added new game Vinni-Pukh (#13752) [MilanBA]

New working systems
-------------------
Vinni-Pukh (Elektronika) [Milan Galcik, Igor Nys]

-phc25: Invert cassette polarity. (#13755) [Olivier Valentin]

-update.sh: be silent when there's nothing to do [Olivier Galibert]

-JAKKS Pacific Plug and Play PR (4 WORKING machines, 2 NOT WORKING machines) (#13749) [mamehaze]

New working systems
-------------------
Wheel of Fortune - 2nd Edition (JAKKS Pacific TV Game) (Mar 15 2007 PAK2) [David Haywood, Sean Riddle, TeamEurope]
Deal or No Deal (JAKKS Pacific TV Game) [David Haywood, Sean Riddle, TeamEurope]
Hannah Montana - One in a Million (JAKKS Pacific TV Game) (Aug 13 2007 15:42:29) [David Haywood, Sean Riddle, TeamEurope]
Hannah Montana - Best of Both Worlds (JAKKS Pacific TV Game) (Aug 17 2007 22:47:47) [David Haywood, Sean Riddle, TeamEurope]

New systems marked not working
------------------------------
Retro Arcade featuring Space Invaders (JAKKS Pacific TV Game) [David Haywood, Sean Riddle, TeamEurope]
Bejeweled Deluxe (JAKKS Pacific TV Game) (Feb 28 2008 22:54:43) [David Haywood, Sean Riddle, TeamEurope]

New systems marked not working
------------------------------
Challenge Golf (J 990326 V1.000) [Hammy, Darksoft]
Jungle King 2004 (V101US) [Ioannis Bampoulas]

New clones marked not working
-----------------------------
Long Hu Zhengba 2 (China, VS210M) [little0]
Master Boy (1987, Modular System) [Josep Quingles, Recreativas.org]

-gaelco/mastboyo_ms.cpp: correct hash for a GFX ROM [Ivan Vangelista]

-sound/xaudio2_sound.cpp: Don't request sample rate conversion if stream sample rate matches mixdown sample rate. [Vas Crabb]

-emu/validity.cpp: Validate device input defaults. (#13758) [ajrhacker]
 * Also do input validation on non-default slot options.

-gaelco/mastboyo_ms.cpp: improved colors a bit, still not correct [Ivan Vangelista]

-attotime: fix lockup with as_string and negative attotime, video: fix issue with throttling when mame runs at slow motion (-speed
 lower than 0.2) options: change mimimum speed setting from 0.01 to 0.1 (mame would crash with very low value, and besides, video
 throttle still fails below 0.1), ui: add speed slider when cheats are enabled [hap]

-luaengine: add set_speed_factor [hap]

-sega/model3.cpp: hookup diplocations [angelosa]

-capcom/blktiger_ms.cpp: fix palette hookup [angelosa]

-misc/blocktax.cpp: add gfx notes for blocktax [angelosa]

-sega/model2.cpp: implement 4 players support in airwlkrs [angelosa]

-emu/validity.cpp: Fix typo in error message [AJR]

-gaelco/gaelco2.cpp: Add three new World Rally 2 sets (new parent) (#13753) [ClawGrip]

New working clones
------------------
World Rally 2: Twin Racing (version 20-07, checksum B1B8) [Josep Quingles, Recreativas.org]
World Rally 2: Twin Racing (version 09-06, checksum 7BE1) [Josep Quingles, Recreativas.org]
World Rally 2: Twin Racing (version 09-06, checksum 50A2) [Josep Quingles, Recreativas.org]

-cirsa/missbamby.cpp: Add note about alternate PCB for Deta Multy [Javier Blanco] (#13759) [ClawGrip]
 * cirsa/missbamby.cpp: Add note about alternate PCB for Deta Multy [Javier Blanco]

New systems marked not working
------------------------------
Royal 5+ (V101US) [Ioannis Bampoulas]

New clones marked not working
-----------------------------
Cherry Bonus V Five (V1.4) [Hammy]

-sound: print verbose message if module doesn't support audio_latency option, docs: small update, remove references to dsound [hap]

-spectrum_cass.xml: Added 35 working items. (#13720) [ArcadeShadow]
 * Replaced Hunchy (1983, Mr. Micro) with a better dump. [Planeta Sinclair, Steven Brown]
 * Combined the 128K and 48K vesions of Chuck Yeager's Advanced Flight Trainer into a single item.
 * Marked 3 Games For Children - 2nd Edition as not working

New working software list items (spectrum_cass.xml)
---------------------------------------------------
British Isles Geography - Ports [Planeta Sinclair, Steven Brown]
Chuck Yeager's Advanced Flight Trainer (Dro Soft) [Spectrum Computing]
Chuckman (ZX Data) [Spectrum Computing]
Countries - Africa - Cities [Planeta Sinclair, Steven Brown]
Countries - Africa - Features [Planeta Sinclair, Steven Brown]
Countries - Australia - Features [Planeta Sinclair, Steven Brown]
Countries - Australia - Towns [Planeta Sinclair, Steven Brown]
Countries - South America - Features [Planeta Sinclair, Steven Brown]
J.S. Compilation 1 [Planeta Sinclair, Luís Rato]
J.S. Compilation 2 [Spectrum Computing]
J.S. Compilation 4 [Spectrum Computing]
J.S. Compilation 5 [Spectrum Computing]
J.S. Compilation 6 [Spectrum Computing]
J.S. Compilation 7 [Spectrum Computing]
Klokkijken Analoog + Klokkijken Digitaal [Planeta Sinclair, Steven Brown]
Learn Chess [Planeta Sinclair, Steven Brown]
Lifeboat [Planeta Sinclair, Steven Brown]
Prince, Princess and the Wicked Witch [Planeta Sinclair, Steven Brown, Gordon Wallis]
Vindicators (Erbe) [Spectrum Computing]
Vocabulario Aleman (Cohete) [Spectrum Computing]
Vocabulario Frances (Portero) [Spectrum Computing]
Vocabulario Infantil Frances (Raton) [Spectrum Computing]
Vocabulario Infantil Ingles (Platero) [Spectrum Computing]
VU-3D (Polbrit) [Spectrum Computing]
VU-3D (Psion) [Spectrum Computing]
VU-Calc (Investronica) [Spectrum Computing]
Wanderer (MCM) [Spectrum Computing]
Wanderers - Chained in the Dark (alt) (English) [Spectrum Computing]
Wanderers - Chained in the Dark (Czech) [Spectrum Computing]
Wanderers - Chained in the Dark (Russian) [Spectrum Computing]
Wanderers - Chained in the Dark (Slovak) [Spectrum Computing]
War in the East (for Timex 2068) [Spectrum Computing]
World Geography - Land & Water [Planeta Sinclair, Steven Brown]
Your Spectrum Mega Basic (v4.0) [Spectrum Computing]
ZX Football Manager 2005 (128K) [Spectrum Computing]

-sound/sdl_sound.cpp: Don't try to call SDL_GetDefaultAudioInfo for SDL older than 2.24.0. [AJR]

-sound: change audio_latency meaning similar to what it was before (20ms steps for portaudio, xaudio2, wasapi), old mame.ini default
 setting of 2 should work fine [hap]

-docs: fix spacing after prev commit [hap]

-vt369 - allow rtvgc300/rtvgc300fz to display menus / select games, vt32 - preliminary support for new video mode used by lxpcsp
 (#13748) [mamehaze]
 * added basic support for 'high resolution' mode on VT369 (currently renders at standard resolution, but the tiles used are now
    correct)
 * added another new sprite mode, used in high res mode
 * menus are now visible in rtvgc300, rtvgc300fz, background is visible on image match in lxcmcysp is visible
 * moved some VT32 specific code to the VT32 device as it was preventing aero engine in the rtvgc300 sets from working
 * split VT32 PPU into its own derived device
 * added preliminary support for a new VT32 (or maybe a newer variant of it) specific(?) video mode used by lxpcsp and maybe a few
    others
 * added VT32 specific support for a bitswap on PPU character data pulls used by some titles (some of the bonus games in myaasa
    etc.)
 * improved a few notes

-gaelco/targeth.cpp: Add new Target Hits clones (#13757) [ClawGrip]

New working clones
------------------
Target Hits (ver 1.1, checksum B1F7) [Javier Valero, Recreativas.org]
Quick Shots (ver 1.0, checksum AD0C) [Javier Valero, Recreativas.org, David Haywood]

-osd: Preliminary revised macOS CoreAudio backend. [R. Belmont]
 * Supports multiple input and output streams to multple devices simultaneously.
 * audio_latency now is a floating-point number of 50 Hz audio frames.  0 is valid now.
 * Channel layouts are determined when available (many devices don't support them).
 * External effects support removed; it may return later.

Systems promoted to working
---------------------------
Super Mario World (Nelsonic) [Sean Riddle]

-ui: add mame version info to the 'missing roms' error msg [hap]

-saturn.xml: Added 1 new item, replaced nine items (#13658) [David 'Foxhack' Silva]
 * saturn.xml: Added 1 new item, replaced nine items
   - Also removed five bad dumps.

New not working software items:
-------------------------------
AI Shougi 2 (Japan) [redump.org]

Redumped not working software list items:
-----------------------------------------
Advanced V.G. (Japan) [redump.org]
AnEarth Fantasy Stories: The First Volume (Japan) [redump.org]
Asuka 120% Limited: Burning Fest Limited (Japan) [redump.org]
Baldy Land (Japan) [redump.org]
Bomberman Wars (Japan) [redump.org]
Dark Savior (Europe) [redump.org]
Dark Savior (USA) [redump.org]
Dark Seed (Japan) [redump.org]
Dark Seed 2 (Japan) [redump.org]

Removed items:
--------------
AI Shougi (Japan, alt) [David 'Foxhack' Silva]
AnEarth Fantasy Stories - The First Volume (Japan, alt) [David 'Foxhack' Silva]
Dark Savior (Japan, alt) [David 'Foxhack' Silva]
Dark Savior (Japan, alt 2) [David 'Foxhack' Silva]
Dark Savior (Japan, alt 3) [David 'Foxhack' Silva]

-Update saturn.xml [David 'Foxhack' Silva]

-saturn.xml: Marked sets missing CD indexes as bad [David 'Foxhack' Silva]

-Skeleton driver for Olivetti Celint 2000 (#13657) [ClawGrip]
 * Skeleton driver for Olivetti Celint 2000

New systems marked not working
------------------------------
Olivetti Celint 2000 (Superfono Santander edition) [ArcadeHacker]

-Screen is a TECDIS C425901 320x240 gLCD [ClawGrip]

-Update celint2k.cpp [ClawGrip]

-Add a PC-based casino Poker machine (#13698) [ClawGrip]
 * Add a PC-based casino Poker machine

New systems marked not working
------------------------------
Play 4 Texas Hold'em [anonymous]

-Typo [ClawGrip]

-Fix PIC ROM sizes [ClawGrip]

-Fix PICs ROM sizes [ClawGrip]

-Add missing .cpp [ClawGrip]

-Add PIC16F54 dump [ClawGrip]

-Add note about CF type [ClawGrip]

-coreaudio_sound.cpp: Rebuild the device list when the default devices change, fixes a crash when a new default device is connected.
 [R. Belmont]

-coreaudio_sound.cpp: Add a callback for each active device to see if it becomes unavailable. [R. Belmont]

-coreaudio_sound.cpp: Move default device change check to get_generation so it happens regularly. [R. Belmont]

-Add 74LS61x memory mapper circuit. [Michael Zapf]

-ti99: Expand SAMS memory card to 4M, use memory mapper circuit. [Michael Zapf]

-gaelco/gaelco3d.cpp: Add a prototype of Radikal Bikers (not working) (#13746) [ClawGrip]

New clones marked not working
-----------------------------
Radikal Bikers (prototype) [Javier Valero, Recreativas.org]

-gaelco/glass.cpp: Add new sets (new parent too) (#13763) [ClawGrip]

New working clones
------------------
Super Splash (Ver 1.1, Break Edition, checksum 59D5E66B, Version 1994) [Josep Quingles, Recreativas.org, David Haywood]
Glass (Ver 1.1, Break Edition, checksum 49D5E66B, Version 1994, set 1) [Josep Quingles, Recreativas.org, David Haywood]
Glass (Ver 1.1, Break Edition, checksum D7AF5496, Version 1994, US) [Josep Quingles, Recreativas.org, David Haywood]
Glass (Ver 1.1, Break Edition, checksum 3D8A724F, Version 1994, unprotected, Korea) [Josep Quingles, Recreativas.org, David Haywood]
Glass (Ver 1.0, Break Edition, checksum EBCB0BFE, 22 Nov 1993) [Josep Quingles, Recreativas.org, David Haywood]
Glass (Ver 1.0, Break Edition, checksum 6241CD67, 16 Nov 1993) [Josep Quingles, Recreativas.org, David Haywood]
Glass (Ver 1.0, Break Edition, checksum 2B43D337, 10 Nov 1993) [Josep Quingles, Recreativas.org, David Haywood]

-gaelco/wrally.cpp: Reorder sets by their most probably age (#13762) [ClawGrip]

-roland_tr707.cpp: Extended driver to encompass most hardware other than audio and LCD. (#13710) [m1macrophage]
 * roland_tr707.cpp: Extended driver to encompass most hardware, other than audio and LCD.
 * roland_tr707.cpp: use matrix_mx/my instead of matrix. Renamed cart_led to led_cart to match the naming of other LED outputs.

-coreaudio_sound.cpp: Use property listeners to determine configuration changes instead of polling. [R. Belmont]
 * Device additions are now tracked in addition to removals
 * Changing channel configuration in Audio/MIDI Setup is now tracked

-gaelco/gaelco3d.cpp: Add three Surf Planet clones (#13769) [ClawGrip]

New working clones
------------------
Surf Planet (version 3.1) [Josep Quingles, Recreativas.org]
Surf Planet (version 1.2) [Josep Quingles, Recreativas.org]
Surf Planet (version 1.0) [Josep Quingles, Recreativas.org]

-ui: use ui text/bg color for osd text popups [hap]

-gaelco/targeth.cpp: Fix note (#13771) [ClawGrip]

-trs/coco3.cpp: Change order of GIME initialization. (#13764) [tim lindner]

-Add PLDs and PROMs to three Modular System games (shadowwm, slapfighm, splashms) [Josep Quingles, Recreativas.org] (#13743)
 [ClawGrip]

-Include device names in full names. [Michael Zapf]

-misc/dmainevent.cpp: correct gamename [angelosa]

-dataeast/dec0.cpp: fixes towards bandit pri == 7 uses, promote game [angelosa]

-machine/mm58174.cpp: Improve chip emulation based on data sheet (#13775) [Mark Garlanger]

-cpu/z80: Handled flags lazily (#13729) [holub]
 * cpu/z80: Renamed LUT fields
 * cpu/z80: Handled flags lazily

-taitotz.cpp: `batlgr2a` is the Side by Side cabinet revision + other stuff (#13691) [FMecha]
 * batlgr2a is the Side by Side cabinet revision
 * Made version labeling consistent
 * Fixed batlgear release year
 * Fixed styphp release year

-specnext: fix random crash at boot [hap]

-z80: set the flags after loadstate [hap]

-z80: support accessing F register in debugger [hap]

-current JAKKS Pacific PR - 1 redump, 8 new sets (#13761) [mamehaze]

New working systems
-------------------
1 Vs 100 (JAKKS Pacific TV Game) [David Haywood, Sean Riddle, TeamEurope]
Avatar: The Last Airbender - Book One Challenges (JAKKS Pacific TV Game) (06 Jun 2006 A) [David Haywood, Sean Riddle, TeamEurope]
X-Men - Mutant Reign (JAKKS Pacific TV Game) [David Haywood, Sean Riddle, TeamEurope]
Jeopardy (JAKKS Pacific TV Game) [David Haywood, Sean Riddle, TeamEurope]
Are You Smarter than a 5th Grader? (JAKKS Pacific TV Game) [David Haywood, Sean Riddle, TeamEurope]

New systems marked not working
------------------------------
Thomas & Friends - Right on Time (JAKKS Pacific TV Game) (Jun 28 2006 18:24:37) [David Haywood, Sean Riddle, TeamEurope]
The Price Is Right (JAKKS Pacific TV Game) (Mar 24 2009 17:34:55) [David Haywood, Sean Riddle, TeamEurope]

New clones marked not working
-----------------------------
Thomas & Friends - Right on Time (JAKKS Pacific TV Game) (Jun 28 2006 18:01:22) [David Haywood, Sean Riddle, TeamEurope]

-redumped "Wall-E (JAKKS Pacific TV Game) (Dec 18 2007 11:34:25)" [TeamEurope]

-moved a handful of sets around, reordered a few things by manufacturer in driver [mamehaze]

-gaelco/gaelco3d.cpp: Add new Speed Up clones (#13772) [ClawGrip]

New working clones
------------------
Speed Up (version 2.10, checksum 9536) [Josep Quingles, Recreativas.org]
Speed Up (version 2.00, checksum E145) [Josep Quingles, Recreativas.org]
Speed Up (version 2.00, checksum 491B) [Josep Quingles, Recreativas.org]

-gaelco/splash.cpp: Add new Splash! 1.3 sets (#13776) [ClawGrip]

New working clones
------------------
Splash! (ver. 1.3, checksum E7BEF3FA, World) [Josep Quingles, Recreativas.org]
Splash! (ver. 1.3, checksum E7BEEBFA, Korea) [Josep Quingles, Recreativas.org]
Splash! (ver. 1.3, checksum E7BEEEFA, North America) [Josep Quingles, Recreativas.org]

-'splash' was renamed to 'splash12' because of the new parent. [ClawGrip]

-gaelco/lotoplay.cpp:  Add a PIC-based Loto Play (#13766) [ClawGrip]

New clones marked not working
-----------------------------
Loto-Play (PIC16C54) [Josep Quingles, Recreativas.org]

New systems marked not working
------------------------------
Clown Magic [Hammy, buffi]

-sega/model3.cpp: updated PCB infos [Brian Troha]

-z80: use z80 terminology for the flag vars [hap]

-z80: fix debugger h flag [hap]

-js_sound: correct stream_sink_update function [hap]

-coreaudio_sound.cpp: Channel layout tag is a bitfield, not an enum. [R. Belmont]

-cpu/sharc: correctly align 32-bit data transfers using PM bus (#13770) [Matthew Daniels]
 * Fixes glitchy characters in Fighting Vipers and Sonic the Fighters
 * Use mask for 32-bit writes over PM bus

-hlcd0538: add hlcd0607 [hap]

-6809dasm: use < symbol for direct addressing [hap]

Systems promoted to working
---------------------------
Victory Paradise II (V9) [Hammy]

New systems marked not working
------------------------------
Super Match 2003 (Version 3.1 2003-11-04) [Hammy, Darksoft]

New clones marked not working
-----------------------------
Magic Bomb (Ver. BR71.A, 30/05/14) [Ioannis Bampoulas]
Monkey Land (Ver. EN.20.B) [Ioannis Bampoulas]

New systems marked not working
------------------------------
Chanbara Kids (Japan) [alamone]

-ef9345: fix insert and cursor rendering logic (#13631) [Fabio D'Urso]

-multibus: fixed regression on isbc202 (#13594) [fulivi]

New working software list items (a7800.xml)
-------------------------------------------
Impossible Mission (NTSC, bug-fix) [Guru]

-hash/a7800.xml: big documentation update [Guru]

-sound: Allow to compile without threads, by defining SOUND_DISABLE_THREADING [Olivier Galibert]

-phc25: fix cursor blinking too fast (#13782) [Sylvain Glaize]
 * Two changes:
   - change VDG to m5c6847p1 which is the processor used by PHC-25
   - IRQ gets a pulse from fsync. The reason of fast blinking was that IRQ was asserted during whole fsync and ISR restarted four
      times during the time of assertion

-sound/xaudio2_sound.cpp: Changed buffering strategy for output streams. [Vas Crabb]
 * This should work better with output devices like Bluetooth speakers, and should be a bit smoother in general.

-osd/osdfile.h: Ensure size isn't passed to ::operator delete when destructing directory entries. [Vas Crabb]
 * osd_stat allocates additional space following the directory entry to store the name.  A regular delete may pass sizeof(entry) to
    ::operator delete, which won't match the allocated size.  This causes a problem if the runtime library checks it.  (May suppress
    the warning in MT09137.)

-sound: Got rid of dependencies on emu and frontend.  We're working to reduce circular dependencies.  Adding more is a regression.
 [Vas Crabb]

New systems marked not working
------------------------------
Majiang Xingyun Shenlong (China, D121) [little0]

New clones marked not working
-----------------------------
Happy Farm (Ver. IN.01.02.B) [Ioannis Bampoulas]
Little Witch (Ver. EN.01.A) [Ioannis Bampoulas]

-astrocorp/astrocrp.cpp: added sprite banking for the newer games, added "CPU code" for wwitch [Ivan Vangelista]

-sega/system16.cpp: added MCU dump for wb3bble [f205v]

-SunPlus based Plug & Play additions (2 working additions, 5 non-working) (#13778) [mamehaze]

New working systems
-------------------
Carl Edwards 99 [David Haywood, Sean Riddle, TeamEurope]
Disney Game It! Princess Pals [David Haywood, Sean Riddle, TeamEurope]

New systems marked not working
------------------------------
Jibbi [David Haywood, Sean Riddle, TeamEurope]
Blue's Room: Coloring With Blue (JAKKS Pacific TV Game) [David Haywood, Sean Riddle, TeamEurope]
Tele-Doodle (JAKKS Pacific TV Game) [David Haywood, Sean Riddle, TeamEurope]
Super Silly Makeover (JAKKS Pacific TV Game) [David Haywood, Sean Riddle, TeamEurope]

New clones marked not working
-----------------------------
Bob the Builder - Project: Build It (JAKKS Pacific TV Game) (Feb 28 2006 10:48:40) [David Haywood, Sean Riddle, TeamEurope]

-vtvppong: Swap address lines on PRG & GFX ROMs to get this to show something [AJR]
 * digezlg: Make the menu appear

-sound: Set SOUND_DISABLE_THREADING for Emscripten target [Justin Kerk]

-taitotz.cpp: mark raizpinj HDD as BAD_DUMP (#13779) [FMecha]

-gaelco/xorworld_ms.cpp: New Xor World for Modular System (not working) (#13785) [ClawGrip]

New clones marked not working
-----------------------------
Xor World (Modular System, set 2) [Josep Quingles, Recreativas.org]

-gaelco/splash_ms.cpp: Add a new Splash for Modular System  (#13777) [ClawGrip]

New working clones
------------------
Splash (Modular System, ver. 1.0, checksum A6C431A4, non North America, uncensored) [Josep Quingles, Recreativas.org, David Haywood]

-gaelco/gaelco2.cpp: Add a new Maniaq Square set (#13781) [ClawGrip]

New working clones
------------------
Maniac Square (unprotected, version 1.0, checksum BEAE) [Josep Quingles, Recreativas.org]

-gaelco/splash.cpp: Add more Splash clones  (#13783) [ClawGrip]

New working clones
------------------
New Splash (ver. 1.4, checksum A26032A3, Korea, set 1) [Josep Quingles, Recreativas.org]
New Splash (ver. 1.4, checksum A26032A3, Korea, set 2) [Josep Quingles, Recreativas.org]
Splash! (ver. 1.1, checksum 4697D2BF, non North America) [Josep Quingles, Recreativas.org]

-gaelco/glass.cpp: Add a new Super Splash set (not working)  (#13784) [ClawGrip]

New clones marked not working
-----------------------------
Super Splash (Ver 1.0, checksum 2104394E, 27 Oct 1993) [Josep Quingles, Recreativas.org, David Haywood]

-risc2500: lcd read is not hooked up, use pwm_display for leds [hap]

-device_mixer_interface: set rate to SAMPLE_RATE_OUTPUT_ADAPTIVE (highest samplerate of device it outputs to) [hap]

-hs36red, hs36blk: Descramble address and data lines and move to VT02/VT03 driver [AJR]

-sega/segahang.cpp: Fixed PCM sample ROM loading for endurobl. (#13786) [cam900]

-nichibutsu/nbmj8688.cpp: Improved DIP switches for Mahjong Crystal Gal and Mahjong Crystal Gal 2. (#13734) [buffi]

-sound: fix default.cfg load not applying default effects, and rename default.cfg default_audio_effects to audio_effects (same as
 system.cfg, there's no clash) [hap]

-sinclair/specnext.cpp: Removed imperfect graphics flag. (#13787) [holub]
 * All graphics features that are implemented are believed to be correct.
 * Some blending modes are not implemented, but they currently lack test cases.

-sound: simplify prev commit [hap]

-sound/xaudio2_sound.cpp: Use abuffer for bufferring input. [Vas Crabb]
 * This simplifies the code somewhat and gives a bit more consistency across modules.
 * XAudio2 sound will ignore the audio latency setting for now - properly synchronising streams, etc. requires more work.

-Cleaned up some recent changes. [Vas Crabb]

-docs: remove unneeded note on -speed setting [hap]

-sinistarc: fix sound routing fatalerror [hap]

-digezlg: Improve controls somewhat [AJR]

-heathzenith/z100.cpp: Confirm/update PROM images (#13788) [Mark Garlanger]

-sound/gb.cpp: Initialise enough member variable to avoid branching on uninitialised memory on initial reset. [Vas Crabb]
 * Also removed old changelog comment.

-sound/sdl_sound.cpp: Allow MAME to be built with SDL 2.0.14 or 2.0.15 with limited functionality. [Vas Crabb]

-a7800: update 1on1 comment again [hap]

-screen: add optional screen update callback for svg screens [hap]

-risc2500: add lcd screen [hap]

-ay8910: remove unneeded set_volume (update the few drivers that use it to set_output_gain) [hap]

-sound: random fixes [Olivier Galibert]

-roland_tr707.cpp: interactive layout. (#13789) [m1macrophage]

-sound: fix sync issue when starting a stream that was stopped [Olivier Galibert]

-megadriv.xml: Added 27 working items + 1 redumped + 1 removed (#13765) [ArcadeShadow]

New working software list additions
-----------------------------------
Attack of the Petscii Robots [no-intro]
Black Jewel Reborn (demo 2.1) [PSCD Games]
Black Jewel Reborn (demo 2.11) [PSCD Games]
Captain Barrel (demo) [OzzyOuzo]
Earthworm Jim 2 (USA, prototype 19950809) [Hidden Palace]
Fire Shark (Retro-Bit) [no-intro]
Gaiares (Retro-Bit) [no-intro]
Kirito - The Game (demo) [Tulfared]
Lethal Wedding (demo 1) [Mega Cat Studios]
Lethal Wedding (demo 2) [Mega Cat Studios]
Magic Girl: featuring Ling Ling the Little Witch (Europe, USA) [no-intro]
Smart Mouse (USA) [no-intro]
Syd of Valis (Retro-Bit) [no-intro]
T.C.K - The Cursed Knight [no-intro]
T.C.K - The Cursed Knight (pre-release beta) [no-intro]
T.C.K - The Cursed Knight (demo 1.0) [no-intro]
T.C.K - The Cursed Knight (demo 1.1) [no-intro]
T.C.K - The Cursed Knight (demo 2.0) [no-intro]
T.C.K - The Cursed Knight (demo 2.1) [no-intro]
T.C.K - The Cursed Knight (demo 3.0) [no-intro]
The Lost Vikings (USA, rev. A) [no-intro]
The Smurfs (Brazil) [no-intro]
Thunder Paw [no-intro]
Truxton (Europe, USA) (Retro-Bit) [no-intro]
Valis (Retro-Bit) [no-intro]
Valis III (Retro-Bit) [no-intro]
Xeno Crisis [no-intro]

Redumped set
------------
Donald in Maui Mallard (Brazil) [ArcadeShadow]

Removed set
-----------
Fire Shark (USA) [bad dump]

-Added chip serial, PCB serial, developer and language info on several sets [ArcadeShadow]

-samples: set stream samplerate to sample samplerate [hap]

-samples: fix off by 1 error when interpolating [hap]

-pdp1: add savestates [hap]

-minx: add savestates [hap]

-misc skeleton cpu: add SAVE_UNSUPPORTED flag [hap]

-risc2500: correct romlabels [hap]

New working clones
------------------
Mephisto Lyon 16 Bit (v2.09) [Berger]

-samples: update notes, fix new regression with start_raw at very low samplerate [hap]

-samples: remove unneeded samples_start callback [hap]

-pokey: Replace fake serial port emulation with timer-driven line-level interface; most Acid800 serial tests pass now [AJR]

-pokey: Emulate two-tone and force break serial output modes; fix logging message [AJR]

-dynax/ddenlovr.cpp: Identified some DIP switch settings for Majiang Xingyun Shenlong, marked other settings as unknown. [Vas Crabb]

-sound/sdl_sound.cpp: Corrected SDL verson detection macro. [Vas Crabb]

-docs: A few sound documentation updates. [Vas Crabb]

-sound: Fix extremely subtle and rare problem that could happen when changing stream frequency. [Olivier Galibert]

-gaelco/gaelco2.cpp: Use the right gfx+sound ROMs arrangement for 'touchgona' (#13793) [ClawGrip]

-atarifdc: Convert to slot device [AJR]

-bus/a800/telelink2.cpp: Add mirroring to allow cartridge to boot [AJR]

-a800_flop.xml: "Insert info link here" re: .atx support [AJR]

-sgi_gr1: add unsupported save emulation flag [Patrick Mackinlay]

-cpu/m6800/m6801.cpp: Corrected the ICR read handlers. (#13799) [m1macrophage]

-Various GNU/Hurd fixes (#13792) [Pino Toscano]
 * bx: Small platform detection/usage improvements
 * Use BX_PLATFORM_POSIX where needed
   - The semaphone implementation already uses BX_PLATFORM_POSIX to include <pthread.h> on all the POSIX platforms; do the same also
      in other places for consistency. This is done also for <sched.h>, which is a POSIX API, and sched_yield() from it is already
      guarded by BX_PLATFORM_POSIX.
 * Drop support for GNU libc older than 2.12
   - glibc 2.12 was released on 2010, and at this point any supported Linux distro has that version or way greather than that.
   - From bkaradzic/bx@b59b7debd32260750c2af71f62585d9b438b3b96
 * bx: fix <pthread/pthread.h> include on Hurd
   - <pthread/pthread.h> does not exist, the standard <pthread.h> does exist so switch to it.
 * osd/modules/file: use dirent::d_type on any GNU libc platform
   - This BSD extension is provided by GNU libc, so enable its usage with that C library.
 * osd/modules/file: use <pty.h> on any GNU libc platform
   - openpty() is implemented by GNU libc for all the OSes, so include <pty.h> when using that C library.
 * osd/modules/file: cast dirent::d_name to const char* before using it
   - According to POSIX [1], the type of dirent::d_name is loosely defined as "char d_name[]", as array with an undefined size. In
      particular, few ways are seen in the wild: (a) "char d_name[size]", i.e. as proper array with a full size (b) "char
      d_name[1]"/"char d_name[0]", i.e. as C flexible arrays Regardless of its type, dirent::d_name is used as if it was a classic
      const char *, i.e. as pointer to a null-terminated string.
   - util::string_format() uses C++ templates to collect all the arguments, and thus it will use the actual type of dirent::d_name.
      In case of (a) there is no issue, however for (b) the result is that only the first character is used.
   - To ensure that dirent::d_name is fully used, explicitly cast it to const char * before passing it to util::string_format(), so
      the whole string is used.
   - [1] https://pubs.opengroup.org/onlinepubs/9699919799/basedefs/dirent.h.html

-amiga_m: partial revert of https://github.com/mamedev/mame/commit/7441234f9fbed646fca0776acc5dd43ae67921f8 - see MT09176, DDFSTOP
 mask was correct before, and this workaround broke ar_ldrb [hap]

-misc/belatra.cpp: move to acorn folder [angelosa]

-osi/osi.cpp: cassette starts from monitor command [angelosa]

-amiga/amiga_m.cpp: impose upper masks for AGA/ECS chipset only [angelosa]

-rtpc: fix keyboard diagnostic [Patrick Mackinlay]

-coreaudio_sound.cpp: Promote to level 2, prep for 3. [R. Belmont]

-qsoundhle: add parent rom reference to qsound [hap]

-sega/model2: renderer improvements (#13796) [Matthew Daniels]
 * sega/model2: renderer improvements
   - Texture mirroring is now implemented correctly (carpet in Sonic the Fighters and pitch markings in Virtua Striker)
   - Fixed broken textures for trees in Sega Rally and mountain in Super GT 24h
 * sega/model2_v.cpp: use std::clamp for luminance

-qsoundhle: correction to qsound header include [hap]

-qsound: nevermind hacking around the hack [hap]

-sound/wasapi_sound.cpp: Avoid another potential deadlock. [Vas Crabb]
 * It's possible for a device format property update to block an activate call.  There's still a race condition in that if streams
    get device invalidated errors before the property update arrives, the core may try and fail to create replacement streams.  This
    at least stops it from causing a deadlock, at worst you lose sound.

-sound/wasapi_sound.cpp: Handle someone messing with the mixdown format right as MAME exits. [Vas Crabb]

-sega/hikaru.cpp: wip checkpoint [MetalliC]

-qsoundhle: retry adding parent rom reference to qsound, function body in cpp file [hap]

-emumem: correct shifting direction on masks when importing a map with active umask [Olivier Galibert]

-z80: don't clear all input pins state at reset [hap]

-k007121: sprite list and related fixes (#13795) [Jim Westfall]
 * I was recently doing some testing on a contra board around the 007121 IC and found the following
   - There is no sprite limit, but instead a 264 8x8 sprite block limit
   - There is no buffering of sprite data on the attached SRAM
     * From this the follow changes have been made
   - Use the 264 8x8 sprite block limit to determine number of sprites that should be rendered
   - Remove sprite ram buffering, and move logic for picking sprite ram bank into k007121.cpp
   - Comment updates related to the limit and non-buffering
     * Additionally the high bit of tiles are stored in one of the control registers, if this bit changes all tiles should be marked
        as dirty.
     * These changes fix a number of sprite related issues on games using this chip
     * mametesters 00185 (combatsc: missing sprites) mametesters 00401 + issue #7957 (contra: left over sprites)

-[patinhofeio] internal layout: fix encoding of extended ascii strings (#13803) [Felipe Corrêa da Silva Sanches]

-k007121: add sprite buffer (otherwise 1 frame sprite lag in eg. hcastle, contra, labyrunr) [hap]

-nichibutsu/galivan.cpp: Redumped Ninja Emaki (Tecfri license) [Jordi Tuells] (#13804) [ClawGrip]

New clones marked not working
-----------------------------
Zulu (Ver. 2.04J, Feb 3 2004) [ClawGrip, Recreativas.org]

-model3: undo right-aligned gamelist entries [hap]

-gaelco/xorworld.cpp: Add a Xor World clone (#13794) [ClawGrip]

New working clones
------------------
Xor World (ver 1.2, checksum DB5D10, prototype) [Josep Quingles, Recreativas.org, David Haywood]

-sega/stv.cpp: demote colmns97 to MNW [angelosa]

-misc/cardline.cpp: fix MT09175 [angelosa]

-misc/spool99.cpp: fix MT09099 [angelosa]

-sega/hikaru.cpp: wip checkpoint [MetalliC]

-cardline: Fix dot clock in screen configuration [AJR]

-gaelco/wrally_ms.cpp: start fleshing out wrallymp a little, game now boots and shows plenty (#13805) [mamehaze]

-gaelco/wrally.cpp, gaelco/wrally_ms.cpp: add Championship suffix to all titles, wrallymp Rally -> Rallye [angelosa]

-sharp/mz2000.cpp: map only two floppy connectors, sketchy back panel reset switch implementation, cursory cleanups [angelosa]

-k007121: update notes, combatsc: assume vtotal=264 (refresh rate is same as before), mu2000.lay: cut up a 28000-character length
 line [hap]

-video/ariel.cpp: New device for the Apple "Ariel" RAMDAC used in several lower-end Macs. [R. Belmont]
 * apple/v8.cpp: Use the Ariel device.
 * machine/pseudovia.cpp: Improved accuracy, support more interrupt lines, and support the "AIV3" variant used in Duo Docks.
    [R. Belmont]

-video/ariel.cpp: Turn off logging and correct include guard. [R. Belmont]

-konami drivers with k007121: add screen raw params [hap]

-Pocket Racer: sound playback speed BTANB note (#13807) [AnthonyRyuki]

-novag*: at least document printer port i/o for now where it was unknown [Golden Child]

-k007232: log wav data at keyon instead of at every stream update [hap]

-k007232: remove really old changelog [hap]

New systems marked not working
------------------------------
Chao Ji Bie Qi (V205CN) [little0]
Chao Ji Gan Deng Yan (V110CN) [little0]
Da Hua Xi You (V201CN) [little0]
Huo Qi Lin (V116CN) [little0]
Majiang Zhi Zun (S100CN) [little0]
Tian Sheng Hao Shou (V101CN) [little0, Mr. Kong]
Xi You Dou Niu (S110CN) [little0]

-gaelco/wrally.cpp - improve set ordering based on research, fix a typo (#13806) [mamehaze]

-debugcmd: no need to try to convert string_view to const char*, fix possible nullptr access [hap]

-igs/igs_m036.cpp: Nicer short names for a couple of games. [Vas Crabb]

-Use parentheses with various uses of the conditional operator. [Vas Crabb]

-jaleco/tetrisp2.cpp: Dumped sub board ROMs for Rocn'n MegaSession ver 1.0. [buffi]

New working clones
------------------
Rock'n MegaSession (Japan, ver 1.0) [buffi]

-7 SunPlus plug and play dumps (#13801) [mamehaze]

New working systems
-------------------
PDC30 - Pocket Dream Console (Pink version) (VideoJet, France) [David Haywood, Sean Riddle, TeamEurope]
Oui-Oui - Pocket Dream Console (VideoJet, France) [David Haywood, Sean Riddle, TeamEurope]
Rock 'Em Sock 'Em Robots [David Haywood, Sean Riddle, TeamEurope]
Whac-A-Mole [David Haywood, Sean Riddle, TeamEurope]
Backyard Baseball & Soccer [David Haywood, Sean Riddle, TeamEurope]
Barbie: I Love Pets - Pet Rescue [David Haywood, Sean Riddle, TeamEurope]
Hot Wheels (steering wheel controller) [David Haywood, Sean Riddle, TeamEurope]

-sega/hikaru.cpp: checkpoint, all but GPU done. [MetalliC]

-nubus/enetlc.cpp: Support for the Apple Ethernet LC Card and Apple Ethernet LC Twisted Pair Card. [R. Belmont, Al Kossow]
 * nubus/enetnbtp.cpp: Support for the Apple Ethernet NB Twisted Pair card. [R. Belmont, Al Kossow]
 * apple/macpwrbkmsc.cpp: Support the dock slot on all supported PowerBook Duos. [R. Belmont]
 * nubus/pwrbkduo/duodock.cpp: Preliminary support for the PowerBook Duo Dock, including video, SCSI bus, floppy, and NuBus slots.
    [R. Belmont, Al Kossow]
 * nubus/pwrbkduo/ethernetudock.cpp: Support for the Newer Technology Ethernet MicroDock. [R. Belmont, Doug Brown]
 * nubus/pwrbkduo/floppydock.cpp: Support for the PowerBook Duo Floppy Dock. [R. Belmont]

-pwrbkduo/cards.h: Corrected include guard.  [R. Belmont]

-Fix clang error: 'm_nubus' is a private member of 'device_nubus_card_interface' (debug build) [AJR]

-validate passes nullptr for tags.  [R. Belmont]

-roland_tr707.cpp, video/hd61602.cpp: LCD emulation. (#13798) [m1macrophage]
 * Emulated HD61602 device.
 * Incorporated it into the 707 driver and layout.
 * Corrected tempo potentiometer curve.
 * Made dinsync testable.
 * Marked systems as supporting save.
 * Minor layout cleanup.

-sharp/mz2000.cpp: (attempt to) modernize memory model [angelosa]

-nubus_image: fix gcc compile warning with strncpy (size does not include \0 char at the end) [hap]

-Revert "nubus_image: fix gcc compile warning with strncpy (size does not include \0 char at the end)" [hap]
 * This reverts commit 279fa0e73117f8f6216483833374140f266bf3a0.

New systems marked not working
------------------------------
Jin Huang Guan 3 Dai (V445CN) [little0]

New working clones
------------------
Jungle King (V105US) [Ioannis Bampoulas]
Tarzan (V106FA) [Ioannis Bampoulas]

-sealy/sealy_z80.cpp: dumped EEPROM for djddz [little0]

-model1/model 2: TGP sin/cos lookup tables (#13814) [Matthew Daniels]

-MOS6551: correctly transfer data from RSR to RDR (#13815) [Colin Leroy-Mira]
 * On real hardware, this transfer is not atomic, but done bit-by-bit on the last clock cycles of a byte reception. Do the same, so
    bugs in programs are not hidden from developers.
 * Also fixes another discrepancy with reality: when the RDR is full and a byte arrives, it is transferred to the RDR, and the
    Overrun flag is set. Our implementation did set the flag but left the old byte in the RDR.

-k007121: do flipscreen and dirty tilemap marking with callbacks [hap]

-contra,fastlane,flkatck,labyrunr: fix flipscreen (except for labyrunr ending sequence) [hap]

-labyrunr: fix flipscreen for ending sequence [hap]

-flkatck: add todo note about old hack [hap]

-tvgames/st2302u_bbl_spi.cpp: Update notes [AJR]

-astrocorp/astrcorp.cpp: Add note about ASTRO F01 chip [ArcadeHacker] (#13816) [ClawGrip]

-bus/spectrum/zxbus.cpp Moved to separate folder (#13809) [holub]

-sinclair/z88.cpp: Moved to sinclair folder (#13812) [holub]

-machine/applepic.cpp: Don't let the 6502 program see masked IRQs as active.  Fixes System 7.5+ hanging on boot with IOP-accelerated
 LocalTalk. [R. Belmont]

-Current Plug & Play set additions - added 2 working games + 11 not working (#13813) [mamehaze]

-Update xavix_2002.cpp - replace bad dump on xavpkjr (#13821) [mamehaze]

-sharp/mz2000.cpp: enable floppy sounds [angelosa]

-sharp/mz2000.cpp: add snapshot_image_device [angelosa]

-sharp/mz2500.cpp: hookup compatability with mz2000_flop [angelosa]

-sharp/mz2000.cpp: move mz2200_cass SW list to mz2200 only [angelosa]

-sound: fix crash after loadstate with different resampler setting [hap]

-k007121: update notes, avoid shift with negative amount in drivers [hap]

-contra: add missing watchdog (#13818) [Jim Westfall]

-k007121 drivers: remove "not verified" comment for screen raw params, contra: add watchdog period [hap]

-mz2500_flop: fix validation [hap]

-nintendo/vt1682.cpp: I/O enhancements [AJR]
 * Add ports E & F
 * Add 24C02 serial EEPROM to njp60in1 and pgs268
 * Add provisional A/D interface (not hooked up to anything yet)
 * Respect direction settings when reading from ports

-fixed wrallymp priorities, promoted to working (#13822) [mamehaze]

New working clones
------------------
World Rallye Championship (prototype on Modular System, 23 Nov 1992) [Javier Valero, Recreativas.org, David Haywood]

-improvements to the modular system version of XorWorld, promote to working (#13802) [mamehaze]

New working systems
-------------------
Xor World (Modular System, prototype, set 1) [Josep Quingles, Recreativas.org, David Haywood]

New working clones
------------------
Xor World (Modular System, prototype, set 2) [Josep Quingles, Recreativas.org, David Haywood]

-Add two Xor World sets (different hardware, not working) (#13800) [ClawGrip]

New systems marked not working
------------------------------
Xor World (different hardware, ver 1.1, checksum 3333BA, prototype) [Josep Quingles, Recreativas.org, David Haywood]

New clones marked not working
-----------------------------
Xor World (different hardware, ver 1.1, checksum 333462, prototype) [Josep Quingles, Recreativas.org, David Haywood]

-i960: Make shli produce identical value to shlo because later models where they may differ are unsupported; distinguish KA and KB
 device types [AJR]
 * This effectively reverts commit e3997fb6b2caefaeba23cc6f3d3b67013ece87fb and reinstates 5954767b0b4da0c43f7194c7def4c162fbc8ef78.

-anpncpc: Hook up I2C EEPROM; prevent sound CPU from running off the rails [AJR]
 * machine/i2cmem.cpp: Don't enter start condition except from idle state

-bus/bbc/1mhzbus/barrybox: Added microphone, and is now working. [Nigel Barnes]

-skeleton/squale.cpp: Removed tag lookups, use logmacro logging, and general cleanup. [Nigel Barnes]

-olivetti/celint2k.cpp: Added more devices, now shows signs of life, but still many unknowns. [Nigel Barnes]

New working software list additions
-----------------------------------
squale_cart: Squale BASIC [anonymous]

-video/saa5050.cpp: Fixed some Flash and Hold control issues. [Nigel Barnes]

New working software list additions
-----------------------------------
bbc_rom: Colourjet Driver 1.0, Mega-ROM 1.03, Wordwise-B20 1.20, XOB Multi Print Server 2.03, GameROM: Chuckie Egg 1.10, GameROM:
  Missile Control 1.10, GameROM: Snapper 1.10 [Nigel Barnes]

Software list items promoted to working
---------------------------------------
bbc_rom: Barry-Box [Nigel Barnes]

New software list items marked not working
------------------------------------------
bbc_rom: BeebScan 1.30 [Nigel Barnes]

-sinclair/tsconf_rs232.cpp: Emulated TS-Conf "ZiFi" UART. (#13760) [holub]
 * sinclair/tsconf.cpp: Added "ZiFi" UART and RS-232 port.

-gaelco.cpp: added preliminary sound and identified some DIPs for xorwflat [Ivan Vangelista]

-act/victor9k_hdc.cpp: Emulated Victor 9000 SASI hard disk controller. (#13665) [donohoe00]
 * act/victor9k.cpp: Added hard disk interface.

-vtech/prestige.cpp, snotec.xml: Added Note Club µ teen's time and 4 new software items (#13524) [qufb]
 * Extended bank selection to support 0x200000-byte system ROM.
 * Added list of extra programs in currently dumped systems.
 * Sorted software items by name, and alt_title and serial metadata;

New working software items (snotec.xml)
---------------------------------------
Nakayoshi Diary (1999) [TeamEurope, QUFB]
Ochame na PetMate 2 [TeamEurope, QUFB]

New partially working software items (snotec.xml)
-------------------------------------------------
Nakayoshi PetMate [TeamEurope, QUFB]
Primo Puel [TeamEurope, QUFB]

New clones marked not working
-----------------------------
Bandai Super Note Club µ teen's time (Japan) [TeamEurope, QUFB]

-gaelco.cpp: fixed a couple of braincramps in the most recent commit [Ivan Vangelista]

-heathzenith/z100.cpp: Fixed 8085 speed, improved saved state support, and tidied code. (#13827) [Mark Garlanger]

-spg_renderer: Disable blending over transparent pixels (#13828) [Simon Eriksson]

-k007121: add interrupts and scrollram [hap]

-lgtnfght: Removed NMI connection to sound CPU as it does not exist on schematics. The sound is not affected. (#13819) [JOTEGO]

-contra,fastlane,flkatck,labyrunr: correction to bgcolor [hap]

New working clones
------------------
Master Boy (Italy, set 4, checksum E84C) [Josep Quingles, Recreativas.org]

-sliders: finer control over screen refresh slider, correction to shift+alt incval (although after this commit, nothing has an
 incval > 100) [hap]

-sliders: add separator after osd sliders, add todo note about empty slider list check [hap]

-sliders: make sure menu won't be hidden when re-entering it (POLA) [hap]

New working clones
------------------
Master Boy (Spain, set 5, checksum DF11) [Josep Quingles, Recreativas.org]

-m6809: don't reset physical input pins state at device_reset [hap]

-zx81_cass.xml: Added 36 working items + 1 not working (#13831) [ArcadeShadow]

New working software list additions
-----------------------------------
1K Supertrio [Planeta Sinclair, Mark Westmoreland, Steven Brown]
2ª Dimensão [ZX81 Never Die]
Aventura & Mistério [ZX81 Never Die]
Aventuras na Selva (type-in, Micro Sistemas Nº 23 - Agosto 1983) [ZX81 Never Die]
Bichos & Cia [ZX81 Never Die]
Captain on the Bridge - Episode 1: Sinclair Maru? [Warp 8-bit Games]
Combate [ZX81 Never Die]
Darts (type-in) [Planeta Sinclair, Steven Brown]
Defensor 3D [ZX81 Never Die]
House of Gnomes (alt) [Planeta Sinclair, Mark Westmoreland, Steven Brown]
Kludo + Battleships [Planeta Sinclair, Mark Westmoreland, Steven Brown]
Kong Jump (type-in, Your Computer Vol. 3 Nº 6 - June 1983) [Planeta Sinclair, Steven Brown]
Mad Maze (type-in, Sunclair User № 11 - February 1983) [Planeta Sinclair, Steven Brown]
Matemática II [Planeta Sinclair, Zé Oliveira]
Mercador dos Sete Mares [ZX81 Never Die]
Meteors II (type-in) [Planeta Sinclair, Steven Brown]
Midway [ZX81 Never Die]
On Final (type-in, The ZX Collection - Winter 1984) [Planeta Sinclair, Steven Brown]
Othello (Roy Eastwood) [Planeta Sinclair, Steven Brown]
Patrulha Galática [ZX81 Never Die]
Pilot (type-in) [Planeta Sinclair, Steven Brown]
Retorno dos Vegas [ZX81 Never Die]
Road Hog [Planeta Sinclair, Steven Brown]
Selva [ZX81 Never Die]
Subespaço [ZX81 Never Die]
Terceira Dimensão [ZX81 Never Die]
Trader (Trimp) [Spectrum Computing]
Universal Patterner (type-in, Sinclair Programs № 1 - May/June 1982) [Planeta Sinclair, Steven Brown]
Valkirie [ZX81 Never Die]
Velho Oeste [ZX81 Never Die]
Visita ao Ca$$ino [ZX81 Never Die]
Zaxxon [ZX81 Never Die]
ZX81 Program Pack 2 [Planeta Sinclair, Mark Westmoreland, Steven Brown]
ZX81 Program Pack 4 [Planeta Sinclair, Mark Westmoreland, Steven Brown]
ZX81 Program Pack 5 [Planeta Sinclair, Mark Westmoreland, Steven Brown]
ZX81 Program Pack 6 [Planeta Sinclair, Mark Westmoreland, Steven Brown]

New NOT working software list additions
---------------------------------------
Fighter Pilot [Planeta Sinclair, Steven Brown]

-zx81_cass.xml: Add metadata for blitzbal [AJR]

-k007121 drivers: correct pixel clock [hap]

-ghosb: invert vblank port [hap]

-victor9k: Fix very slow floppy disk performance (#13583) [donohoe00]
 * victor9k: Floppy disk fixes to address very slow performance
   - Polarity of the reset signal was incorrect
   - Hold the 8048 in reset as long as the reset signal is asserted, instead of doing a one-shot reset and letting it run.
   - Due to all the mirroring in the IO register map, register writes while probing for the hard disk controller were hitting the
      registers of the VIA chips in the FDC controller, resulting in SCP resets and whatnot.
   - The RDY0/RDY1 and Motor Speed signals can be either inputs or outputs. During initialization, these signals are used for things
      like loading speed tables into the SCP.  Look at the direction of the signals from the VIA's point of view to determine who
      should be driving the lines.
   - Generate the tach signals going to the SCP correctly.
   - After all of the above fixes, we can now use the Ready signals from the SCP, and no longer need to bypass it.
 * victor9k: Fix failures and disk corruption when writing to floppies.

-osd: remove redundant checks when setting BASE_TARGETOS/SDLOS_TARGETOS (#13830) [Pino Toscano]
 * The vast majority of the OSes use BASE_TARGETOS=unix and SDLOS_TARGETOS=unix, which are set as default values; the few exceptions
    (Windows and macOS) already have their own selections.
 * Hence drop all the empty if statements for other OSes than Windows and macOS, as actually redundant.

-ghostb: there is no ACK for NMIs (#13832) [Jim Westfall]
 * NMI on the 6309 comes from the 74LS00 @ 13C (dual input NAND gate) where input 1 is vblank and input 2 comes from a latch
    (74LS273 @ 3A). The latch gets updated with writes to 0x3840, which is what you write to to enable/disable NMI.  So there is no
    hardware logic to ack NMIs

-dec8: update note about screen raw params [hap]

-victor9k: Restore line of code inadvertently removed during merge of FDC fixes. (#13834) [donohoe00]

-rfcp168: Move to VT32 driver (still doesn't boot though) [AJR]

-rfcp168: Safety first [AJR]

-osd/modules/file: define buffer size for openpty() (#13837) [Pino Toscano]
 * There is no defined size for the slave name returned by openpty(); OSes that have a PATH_MAX constant usually use that as limit.
    Create a custom OPENPTY_PATH_MAX constant specifically for openpty(), even in case PATH_MAX is not available: in that situation,
    use 8192 as buffer size, which hopefully should be "good enough".

-ghostb: add manual sprite dma trigger [hap]

-circusc: correct cpu clock, add screen raw params, junofrst: correct cpu clock, sbasketb: assume cpu clock is 1.536mhz [hap]

-circusc: add buffered spriteram [hap]

-circusc: small cleanup to source code organization [hap]

-sega/sega_beena.cpp, sega_beena_cart.xml: Add software items and peripheral card reader support (#13645) [qufb]

-namcos21: clear screen to palette index 0 instead of 0xff (#13708) [FlykeSpice]

-dec8: correct gondo/garyoret buffered spriteram [hap]

-dec8.h: remove wrong note [hap]

-sinclair/tsconf.cpp: Added CRAM initialisation, changed initial system RAM fill to 0x00. (#13823) [holub]
 * Initial RAM system RAM content is indeterminate, but tested software seems to work better with 0x00 than with 0xff.

-korg/korgtriton.cpp: Added a skeleton driver for the Korg TRITON. (#13712) [Antonio Malara]

New systems marked not working
------------------------------
Korg TRITON [Antonio Malara]

-korg/korgtriton.cpp: Fix build [AJR]

-mcd: shift the end of the disk by 150 sectors like the start [cracyc]

-sharp/mz2000.cpp: hookup WAIT signal, tie BREAK key to PPI port B, Z80 clock is 4 MHz, fix PIT timings [angelosa]

-sharp/mz2000.cpp: modernize video rendering, add vgate and priority control [angelosa]

-sharp/mz2000.cpp: convert MZ-2000 and MZ-80B to monochrome monitor [angelosa]

-hash/mz2000_cass.xml: merge with mz2200_cass.xml, add sharedfeat option [angelosa]

-video/saa5240.cpp: Updated Flash and Hold logic to match SAA5050. [Nigel Barnes]

-machine/ay34592.cpp: New AY-3-4592 keyboard encoder device. [Nigel Barnes]

-video/mr9735.cpp: New MR9735-002 Teletext/Viewdata Video Generator device. [Nigel Barnes]

New systems marked not working
------------------------------
STC 3910 Executel [Binary Dinosaurs, Nigel Barnes]

New working software list additions
-----------------------------------
squale_cart: Squale BASIC (Squash) [anonymous]

-sound: move positions to osd interface add special-casing for LFE add reverb (currently too subtle, need to find out why)
 [Olivier Galibert]
 * vgm_visualizer: stop going OOB on the bitmap

-coreaudio_sound: Fix Mac compile. [R. Belmont]

-reverb: srcclean and blind attempt at Windows fix [R. Belmont]

-tatsumi: Minor source reorganization [AJR]

-reverb.cpp: Trying again on Windows. [R. Belmont]

-mmdevice_helpers.cpp: More Windows compile fixes. [R. Belmont]

-taitotz.cpp: Improve direct-mode poly handling and texmode 3 handling. [Ryan Holtz] (#13839) [MooglyGuy]

New working systems
-------------------
Xor World (different hardware, ver 1.1, checksum 3333BA, prototype) [Josep Quingles, Recreativas.org, David Haywood]

New working clones
------------------
Xor World (different hardware, ver 1.1, checksum 333462, prototype) [Josep Quingles, Recreativas.org, David Haywood]

New systems marked not working
------------------------------
Xin Jin Huang Guan (V400CN) [little0]

-resampler hq: Remove the hard cutoff ceiling at 20K.  It was an initial way to limit the number of phases and filter length, and
 that is done explicitely now.  Plus, who knows, maybe someone will want to run ar 192KHz some day. [Olivier Galibert]

-reverb: detect preset when entering menu [hap]

-Reenabling the write accessor for the LUA input_class enabled property (#7564) [npwoods]
 * This is used by BletchMAME to toggle mouse capture on and off

-filter: don't try to filter above nyquist freq (or slightly below it) [hap]

-reverb: update to prev commit, don't hardcode "Default" in preset string [hap]

-igs/igs036crypt.cpp: added decryption tables for most sets in igs/igs_m036.cpp [Peter Wilhelmsen]

-nichibutsu/cclimber.cpp: dumped PROM internal to the CPU module for cclimber [Domenico Cervini]

-ekara_cart.xml: Added the last known Kids' Song 20 cartridge and twelve used e-kara Web cartridges. (#13820) [mamehaze]

New working software list items (ekara_cart.xml)
------------------------------------------------
Kids' Song 20 (Japan) (KD-4) [David Haywood, TeamEurope]
e-kara Web cartridge 28M (used, with 26 songs) (Japan) [David Haywood, TeamEurope]
e-kara Web cartridge 12M (used, with 12 songs, set 2) (Japan) [David Haywood, TeamEurope]
e-kara Web cartridge 12M (used, with 12 songs, set 3) (Japan) [David Haywood, TeamEurope]
e-kara Web cartridge 12M (used, with 12 songs, set 4) (Japan) [David Haywood, TeamEurope]
e-kara Web cartridge 12M (used, with 12 songs, set 5) (Japan) [David Haywood, TeamEurope]
e-kara Web cartridge 12M (used, with 12 songs, set 6) (Japan) [David Haywood, TeamEurope]
e-kara Web cartridge 12M (used, with 12 songs, set 7) (Japan) [David Haywood, TeamEurope]
e-kara Web cartridge 12M (used, with 12 songs, set 8) (Japan) [David Haywood, TeamEurope]
e-kara Web cartridge 12M (used, with 12 songs, set 9) (Japan) [David Haywood, TeamEurope]
e-kara Web cartridge 8M (used, with 8 songs, set 2) (Japan) [David Haywood, TeamEurope]
e-kara Web cartridge 8M (used, with 8 songs, set 3) (Japan) [David Haywood, TeamEurope]
e-kara Web cartridge 8M (used, with 8 songs, set 4) (Japan) [David Haywood, TeamEurope]

-reverb: remove del key on load preset again, it's awkward [hap]

-ui: improve control over audio filter cutoff freq [hap]

-filter: don't repeat min/max freq values in multiple places [hap]

-ui/audio_effect_reverb.cpp: Fix assert in debug build [AJR]

-filter: correction to prev commit [hap]

-reverb: fix config_load typo [hap]

-reverb: add more to default_changed [hap]

-Wacky Gator: Internal layout improvements (#13843) [Felipe Corrêa da Silva Sanches]

-sinclair/spec128.cpp: Support multiple kinds of AY devices through a slot (#13808) [holub]

-ui/info.cpp: Treat incorrect ROM content as a severe warning. [Vas Crabb]

-file/winfile.cpp: Added note about file handle buffering. [Vas Crabb]

-taito/taitotz.cpp: Use algorithms rather than memcpy. [Vas Crabb]

New working clones
------------------
R-Shark (set 2) [twistedsymphony]

-filter: allow finer control of frequency with shift+alt [hap]

-equalizer: change freq to u32, apply same nyquist freq fix as 1e71f7a0d3bd11974993dd16467432c3bcbb9126 [hap]

-sharp/mz2000.cpp: implement back color register, move reverse handling at palette level, replace beep_device with
 speaker_sound_device [angelosa]

-hash/mz2500_flop.xml: identify unk1~unk5 entries [angelosa]

-deckarn: correct 16x32 size flag, update notes [hap, Jim Westfall]

-effects: Fix reverb decays, disable by default reverb and compressor [Olivier Galibert]

New clones marked not working
-----------------------------
Knights of Valour / Sanguo Zhan Ji / Sangoku Senki (bootleg, ver. 112CN?) [little0, Mr. Kong]
Knights of Valour Plus / Sanguo Zhan Ji Zhengzong Plus / Sangoku Senki Masamune Plus (bootleg, ver. 117CN?) [little0, Mr. Kong]
Long Hu Zhengba 2 (China, VS220M) [little0]

-pinball/gts3a.cpp: Add an earlier Vifico-licensed Super Mario Brothers (#13846) [ClawGrip]

New clones marked not working
-----------------------------
Super Mario Brothers (pinball, Spanish, set 2) [jordigahan]

-LDP1450: Added preliminary support for custom On Screen Text mode. (#13490) [James Wallace]
 * LDP1450: Added support for custom On Screen Text mode (still needs checking against hardware).

New working system
------------------
Vision Quest [James Wallace, Jeff Anderson, Dragon's Lair Project]

-nichibutsu/cclimber.cpp: corrected copy/paste error in hashes of the newly dumped cclimber decryption PROM [Ivan Vangelista]

-audio_effects/reverb.cpp: Add more missing initialization [AJR]

-nichibutsu/cclimber.cpp: used PROM contents to decrpyt cclimber encrypted sets [iq_132]

-bus/acorn: Buffered the bus using device_memory_interface. [Nigel Barnes]
 * Added BLK0 and PB lines to the interface.
 * Moved existing devices into anonymous namespaces.
   - bus/acorn/atom: Added GDOS, GDOS-2015, MDCR, Speech Synthesis Module, EPROM Switch Card, Tube Interface, EF9345 80 Column Card.
   - bus/acorn/cu: Added High Resolution Graphics, CUBIO w/ Race Controllers, Teletext Video Interface.
   - bus/acorn/system: Added configuration to use 32K RAM card with the Atom.
   - acorn/acrnsys.cpp: Devicified the System keyboard with AY-3-4592 encoder.

-bus/acorn/cu/cugraph: Fix #include guard. [Nigel Barnes]

-dpatrol: added bd3.d1 prom [Bitsavers] (removed one of the sets since it's an overdump) [hap]
 * misc: small cleanup

-taitotz: remove pwrshovla, it was a bad dump of pwrshovl [mokonaXVI]

-compressor: add infinite release option (eg. combine with input gain of 12db for some sort of replaygain option) [hap]

-Revert "compressor: add infinite release option (eg. combine with input gain of 12db for some sort of replaygain option)" [hap]
 * This reverts commit 9033932679e00151b4dcb417c67fdd99a395313a.

-adp: New clones marked not working (#13738) [stonedDiscord]

New clones marked not working
-----------------------------
Funny Land de Luxe (W2 set) (Stella) [m170.dev]
Funny Land de Luxe (W4 set) (Stella) [m170.dev]
Super Multi (DOB) (Venus) [stonedDiscord]
Action (ADP) [stonedDiscord]
Grand Hand (Stella) [stonedDiscord]
Vulkan (Stella) [stonedDiscord]
Multi Multi (ADP) [stonedDiscord]
Sunny (Mega) [stonedDiscord]
Oh La La (Stella) [stonedDiscord]
Allfred (Stella) [m170.dev]
Tai Pan Money (Nova) [stonedDiscord]
Asterix und Kleopatra (Stella) [stonedDiscord]
Turbo Sunny (Mega) [stonedDiscord]

-7 new Plug & Play dumps (#13825) [mamehaze]

New systems marked not working
------------------------------
Compact Cyber Arcade - Batman [TeamEurope]
Compact Cyber Arcade - Disney Princess (JL2367DP, 150-in-1) [TeamEurope]
Compact Cyber Arcade - Spider-Man (JL2367SP, 150-in-1) [TeamEurope]
36-in-1 Classic Games phone case [TeamEurope]
Star Wars: The Clone Wars - Republic Squadron (JAKKS Pacific TV Motion Game) (May 6 2009 12:53:31) [TeamEurope]
G9 Game Box 666 Games [TeamEurope]
Let's! TV Play Gekiwaza Shuutoku Gekiranger - Super Gekiranger e no Michi (Japan) [TeamEurope]

-compressor: change channel link range to 0-1 [hap]

-compressor: change most floats to 2-decimals [hap]

-audio_effect: add reset_all for resetting all variable settings [hap]

-audio_effect: small update to prev commit [hap]

-taitotz.cpp: Rework direct-FIFO handling again to avoid a crash. [Ryan Holtz] (#13847) [MooglyGuy]

-Add language translation: Belarusian (#13471) [holub]

-audioeffects: fix conflict between effect and resampler menu entries [hap]

-audio_effect: LR_ALWAYS flag is not applicable here [hap]

-audiomix: add LR_REPEAT flag when cursor is on db [hap]

-Vision Quest: Add default NVRAM (nw) [James Wallace]

-psx.xml: Added 11 working items + 1 not working + 4 redumped (#13456) [ArcadeShadow]

New working software list additions
-----------------------------------
2002 FIFA World Cup (Europe) [Redump]
2002 FIFA World Cup (France) [Redump]
2002 FIFA World Cup (Germany) [Redump]
2002 FIFA World Cup (Italy) [Redump]
2002 FIFA World Cup (Spain) [Redump]
3, 2, 1, Smurf! My First Racing Game (Europe) [Redump]
Ace Combat (Japan) [Redump]
Air Combat (Europe) [Redump]
Air Combat (Europe) (EDC) [Redump]
Darkseed (Japan) [Redump]
Transport Tycoon 3D: SL Kara Hajimeyou!! (Japan) [Redump]

New NOT working software list addition
--------------------------------------
Bedlam (Europe) [Redump]

Redumped software list items
----------------------------
2002 FIFA World Cup (USA) [Redump]
Air Combat (USA) [Redump]
Smurf Racer! (USA) [Redump]
Darkseed II (Japan) [Redump]

-Update psx.xml [ArcadeShadow]
 * Switched parent/cloneof between: 007 - The World Is Not Enough (USA) <-> 007 - The World Is Not Enough (Europe) 007 - Tomorrow
    Never Dies (USA) <-> 007 - Tomorrow Never Dies (Europe) 007 Racing (USA) <-> 007 Racing (Europe)

-audio_effect: fix some limit issues [hap]

New working systems
-------------------
EuroCUBE-65 [Nigel Barnes]
EuroCUBE-09 [Nigel Barnes]

New working clones
------------------
EuroBEEB-1 [Nigel Barnes]
EuroBEEB-2 (Teletext) [Nigel Barnes]
EuroBEEB-3M (CU-Graph monochrome) [Nigel Barnes]
EuroBEEB-3C (CU-Graph colour) [Nigel Barnes]

-trainer/thaler.cpp: Resolved key mapping conflict. [Nigel Barnes]

-skeleton/optomaxv.cpp: Memory mapped various devices, and added the teletext video card. [Nigel Barnes]

New systems marked not working
------------------------------
Mac III 6502 Microcomputer [Nigel Barnes]

-bus/bbc/1mhzbus: Added BEEBEX Extender for BBC Micro. [Nigel Barnes]

-equalizer: finer control over settings [hap]

-audio_effect: add space between value and unit [hap]

-filter,equalizer: add separators to menu [hap]

-filter,equalizer: change default q to sqrt(2)/2 [hap]

-bus/bbc/1mhzbus/beebex.cpp: Fix slot tags [AJR]

New working clones
------------------
Bad Cats (LF-1) [ipdb.org, PinMAME]
Double Axle (US, Rev 1, set 2) [Sean Sutton, Smitdogg, Brian Troha, The Dumping Union]

New systems marked not working
------------------------------
DS-5000 Driving Simulator [Phil Bennett]

-sega/model2.cpp: Verified and added proper communication ROM board program ROM for the Over Rev sets.
 [Sean Sutton, Smitdogg, Brian Troha, The Dumping Union]

-bus/bbc/1mhzbus/beebex.cpp: Assign unique slot tags. [Nigel Barnes]

-sinclair/tsconf.cpp: Enabled memory waits and access cache at 14Mhz (#13840) [holub]

-multi32: Separate the speakers that were in different cabinets sound: Handle a special case for adaptivity [Olivier Galibert]

-audio_effect: move effect title to header (no need to know effect entry number here) [hap]

-misc fixes [Olivier Galibert]

-filter,equalizer: do limit rounding with roundf instead of manually [hap]

-compressor: reorder settings a bit [hap]

-compressor: add separator before the 'expert' settings [hap]

-equalizer: change default bands to 100,330,1k,3,3k,10k [hap]

-sharp/mz2500.cpp: remove z80->state_int use, misc cleanups [angelosa]

-equalizer: check band mask instead of db when building filter [hap]

-cobra: Do not trigger input lines on other not-yet-initialized devices in device start [Olivier Galibert]

-segas32: lower overall volume [hap]

-bus/a800/atarifdc.h: Remove leftover #includes [AJR]

-diserial: reset the receive register when changing frame format or the port may be stuck into synchronous receive mode due to the
 default start bits = 0 [Olivier Galibert]

New clones marked not working
-----------------------------
Animal Wonders (ver A900 66) [Ioannis Bampoulas]

-sega/segaxbd.cpp: Put rear speakers in the rear. [R. Belmont]

-segapcm_device drivers: lower overall volume (even lower for segaxbd due to rear speakers clipping if user hw is plain stereo)
 [hap]

-file/posixptty.cpp: Better handling of getting PTY path, etc. [Vas Crabb]
 * Support Issue 8 TTY_NAME_MAX/ptsname_r and pre-standard ptsname_r.
 * Set termios flags directly rather than relying on BSD's cfmakeraw.

-osd/asio.h: Move some duplicated code into the common header. [Vas Crabb]

-sharp/mz2500.cpp: port over IPL reset/Boot reset front panel buttons, fix MT06340 [angelosa]

New clones marked not working
-----------------------------
Triton Music Workstation/Sampler (v2.5.3) [hap]
Triton Music Workstation/Sampler (v2.5.0) [hap]

-file/posixpty.cpp: Actually enable the XPG-8 path. [Vas Crabb]

-bgfx/chainmanager: correct a printf parse issue (compiler didn't care) [hap]

-k051733: added nmi timer [hap, Jim Westfall]

-a2bus/a2ieee488.cpp: Added support for the Apple IEEE-488 Card. [R. Belmont, Golden Child]

-current plug & play PR (4 non-working machines, 4 non-working software list entries) (#13848) [mamehaze]

New software list items marked not working
------------------------------------------
Smart Cycle [TeamEurope]
Sasuke & Kinniku Battle!! Sportsman No. 1 Ketteisen (Japan) [TeamEurope]
Cyber Arcade Pocket - Disney Princess (JL1895DP) [TeamEurope]
XaviX Aero Check & Balance (XaviXPORT, Japan) [TeamEurope]

New software list items marked not working
------------------------------------------
smartcycle_cart.xml: [mamehaze]
Discover the Dinosaurs (0308) [TeamEurope]
Learning Adventure (0608) [TeamEurope]
The Penguins of Madagascar (1410) [TeamEurope]
Scooby-Doo! (2108) [TeamEurope]

-mainevt: add note about htotal, misc konami sprite chips: small cleanup [hap]

-roland_tr707.cpp: audio emulation.  (#13856) [m1macrophage]
 * roland_tr707.cpp: Audio emulation.

Systems promoted to working
---------------------------
TR-707 Rhythm Composer [m1macrophage]

-roland_tr707.cpp: comment and style fixes. [m1macrophage]

-sega/model2.cpp: sound comms (#13851) [Matthew Daniels]
 * Model 2B accesses SCSP via address 0x9C0000, all others access SCSP/Model 1 sound board via 0x1C80000

-casio/fz1.cpp: Add floppy to FZ-1 and clones (#13849) [Devin Acker]
 * fz1: drive select is not connected

-sound: correct dreadful typo that killed stereo [Olivier Galibert]

New systems marked not working
------------------------------
Mahjong Sweet Academy (Japan, TSM010-002) [buffi]

-xavix_2002.cpp - added Ultraman 2 (#13858) [mamehaze]

new NOT WORKING machines
------------------------
Let's! TV Play Taikan Daikaijuu Battle: Ayatsure! Ultra Daikaijuu! (Japan) [TeamEurope]

-nec/pc100.cpp: kick off a SW list [angelosa]

New software list items marked not working
------------------------------------------
pc100: Aerial, Lift, Mieyen [inufuto]

-igs/goldstar.cpp: got the super9 sets to do something [Ivan Vangelista]

-igs/goldstar.cpp: forgot to press save [Ivan Vangelista]

-k051733: fix divide by 0, fix sqrt off-by-1, change rng to machine().rand() [hap, Jim Westfall]

-sharp/mz2500.cpp: replace beeper with speaker_sound_device [angelosa]

-hash/mz2500_flop.xml: perform a QA pass [angelosa]

-moog/source.cpp, paia/fatman.cpp: Disable streaming for EGs that don't need it. (#13860) [m1macrophage]

-g9_666: Descramble ROM data [AJR]

-g9_666: Fix range that needs to be descrambled (many more games load now) [AJR]

-sound/[va_eg, va_vca, dac76]: Automatically adapt to the  input and output connections. (#13868) [m1macrophage]
 * sound/va_eg.cpp: automatically determine if streaming is enabled. Removed disable_streaming() function, updated drivers that were
    using it.
 * sound/[va_vca, dac76]: Automatically detecting streaming CV. Removed va_vca::configure_streaming_cv() and
    dac76::configure_streming_iref(). Adapted cps2000 to new sound engine.
 * dac76: Correct comments about inputs.
 * dac76: Remove forgoten instance variable.

-k051733: add lfsr, improve collision detection [hap, Jim Westfall]

-osd audio interface: initialize channel positions in header file (prevents channel_position constructor initializing after
 initializing array of channel_position in sound backends) [hap]

-k051733: no need to shift lfsr by 2, remove old notes about then-unknown reg 6 [hap]

-k051733: shorthand variable types [hap]

-k051733: simpler sqrt function (result is same) [hap]

-igs/goldstar.cpp: brought super7 to probably playable state. Left as MNW as precaution until someone who can play these games
 verifies I/O [Ivan Vangelista]

-rsharka: make it a clone of rshark [hap]

-nintendo/nes_vt32.cpp: Minor comment update [AJR]

-psion/workabout.cpp: Added the LIF-PFS socket (with LIF converter). [Nigel Barnes]

-k051733: improve reg 7 [hap, Jim Westfall]

-k051733: division appears to be signed [hap]

-pa_sound: remove enters from device string [hap]

-sharp/mz2500.cpp: preliminary MZ80 bus slot implementation: [angelosa]
 * Move MZ-1E30 SASI, MZ-1R37 EMM from mz2500 base emulation;
 * Fix range of EMM to 640KB max RAM;
 * Add basic MZ-1E35 ADPCM emulation;
 * Add SuperTurboZ EH-SASI ROM BIOS to MZ-1E30;
 * implicitly fix dustbx01-dustbx02-dustbx03 bootups: they are incompatible with MZ-1E30 Sharp BIOS;

-k051960: disable shadow config bit 0 (it was only used in chqflag and ultraman, and both needed a workaround), ultraman: shadows_w
 is actually irq enable [hap]

-chqflag: headlights are still on at dawn [hap]

New systems marked not working
------------------------------
Wakeng [little0]

New clones marked not working
-----------------------------
Animal Wonders (ver A900, Bicigo bootleg) [Ioannis Bampoulas]

-chqflag: improve highlights [hap]

-tmnt: lower overall volume [hap]

-Current Plug and Play / Handhelds PR - added Lexibook Pocket Spiderman (#13872) [mamehaze]

new NOT WORKING machines
------------------------
Cyber Arcade Pocket - Spider-Man [TeamEurope]

-chqflag: update prev commit, a bit more tweaking [hap]

-mikiej: space between shinnyuu and shain [hap]

-mikie: another update to title strings [hap]

-sharp/mz2500.cpp: preliminary mouse hookup [angelosa]

-namco/namcos12.cpp: Add Tekken 3 (Japan, TET1/VER.D) (#13871) [ClawGrip]

New working clones
------------------
ekken 3 (Japan, TET1/VER.D) [Tailsnic Retroworks]

-pc/play4texash.cpp: Add dump for Lattice ispMACH LC4384V (#13870) [ClawGrip]
 * pc/play4texash.cpp: Add dump for Lattice ispMACH LC4384V
 * Add .jed suffix

-risc2500: small tweak to svg [hap]

-deckarn: small update to notes [hap]

-dipalette: add shadow config to savestates, and might as well rename hilight to highlight [hap]

-Various fixes: [Vas Crabb]
 * ui: The new menus were unusable with a touchscreen, and not conducive to localisation.  It's still not possible to add sound
    routes with a touchscreen, but at least it's possible to configure routes that exist.
 * emu/sound.cpp: Fixed localisation issues, less temporary objects.
 * emu/audio_effects: Fixed some localisation issues.
 * plugins/autofire, plugins/inputmacro: Allow deleting autofire buttons or input macros without needing to use the UI Clear input.
 * ui/selmenu.cpp, ui/imgcntrl.cpp: Use terse messages for bad media. Making these messages longer hasn't reduced support burden.
    Adding the version will just perpetuate the myth that you need to redownload all your ROMs for every release.
 * ui/ui.cpp: Allow info screens to be dismissed by mouse clicks or touches.
 * ui/sliders.cpp: Hiding the menu should preserve state.  This is a design choice.
 * sound: Avoid anything that could possibly depend on static initialisation order across transaltion units.  Allow speaker position
    names to be localised.
 * sound/none.cpp: Don't pretend it can create output streams.

-srcclean [Vas Crabb]

-sound/js_sound.cpp: Blind attempt at updating for base class changes. [Vas Crabb]

-Metadata corrections, missed srccleanin. [Vas Crabb]

-Fix copy/paste error breaking build, and some space indents. [Vas Crabb]

-sound/js_sound.cpp: Hopefully fix Emscripten build; zx81_cass.xml: Fixed an obvious typo. [Vas Crabb]

-gaelco/mastboy.cpp: Fixed set numbering; misc/norautp.cpp: Added missing parent/clone relationship. [Vas Crabb]

-igs/igs017.cpp: Demoted slqz2b to not working; adp/stella8085.cpp: Commented out sets added without dump credits. [Vas Crabb]
 * I'm pretty sure the ADP additions in this release basically all use parent/clone relationships incorrectly.  They seem to make
    all games on similar boards clones, rather than just different versions of the same game.
